/* 2014-07-06
   wfi.c
   Public Domain

   gcc -o wfi wfi.c

   ./wfi [gpio]
*/

#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/time.h>
#include <poll.h>

#define GPIO 4

int main(int argc, char *argv[])
{
   char str[256];
   struct timeval tv;
   struct pollfd pfd;
   int fd, gpio;
   char c;
   int bytesRead;

   /*
      Prior calls assumed.
      sudo sh -c "echo 4      >/sys/class/gpio/export"
      sudo sh -c "echo in     >/sys/class/gpio/gpio4/direction"
      sudo sh -c "echo rising >/sys/class/gpio/gpio4/edge"
   */

   if (argc > 1) gpio = atoi(argv[1]);
   else          gpio = GPIO;

   sprintf(str, "/sys/class/gpio/gpio%d/value", gpio);

   if ((fd = open(str, O_RDONLY | O_NONBLOCK)) < 0)
   {
      fprintf(stderr, "Failed, gpio %d not exported.\n", gpio);
      exit(1);
   }

   pfd.fd = fd;

   pfd.events = POLLPRI;
   read(fd, &c, 1);
   lseek(fd, 0, SEEK_SET);    /* consume any prior interrupt */
   poll(&pfd, 1, -1);         /* wait for interrupt */
   bytesRead = read(fd, &c, 1);
   if ( bytesRead == 1 ) {
	if( c == '0' ){
		printf("low\n");
	}
	else{
		printf("high\n");
	}
   }
   else{
       printf("error gpio:%i read bytes:%i\n", gpio, bytesRead);
   }


   exit(0);
}
