<?php

/**
 * This file contains several settings for the application
 *
 * @author JPul
 **/
function return_bytes ($size_str) {
    switch (substr ($size_str, -1)) {
        case 'K': case 'k': return (int)$size_str * 1024;
        case 'M': case 'm': return (int)$size_str * 1048576;
        case 'G': case 'g': return (int)$size_str * 1073741824;
        default: return $size_str;
    }
}

if (!defined('DS')) {
    define('DS', DIRECTORY_SEPARATOR);
}

if (!defined('PS')) {
    define('PS', PATH_SEPARATOR);
}

if (!defined('DOC_ROOT')) {
    define('DOC_ROOT', $_SERVER['DOCUMENT_ROOT']);
}

if (!defined('BASE_DIR')) {
    define('BASE_DIR', realpath(DOC_ROOT . DS . '..' . DS));
}

if (!defined('SYS_ROOT_DIR')) {
    define('SYS_ROOT_DIR', realpath(BASE_DIR . DS . ".." . DS . ".."));
}

if (!defined('RAM_DB')) {
    define('RAM_DB', SYS_ROOT_DIR . DS . 'tmp' . DS . 'rwo_ramDb.sqlite3');
}

if (!defined('IS_DEV_ENV')) {
  // we check if it is the development
  // on an actual device the sys root variable should be /
  if (strlen(SYS_ROOT_DIR) > 1) {
    define('IS_DEV_ENV', TRUE);
  }else {
    define('IS_DEV_ENV', FALSE);
  }
}

if (!defined('DATA_DIR')) {
    define('DATA_DIR', SYS_ROOT_DIR . DS . 'etc' . DS . 'lightstream' . DS . 'data');
}

// Temporary location for non-media file uploads
if (!defined('TEMP_UPLOADS_DIR')) {
    define('TEMP_UPLOADS_DIR', DOC_ROOT . DS . 'uploads');
}

if (!defined('MEDIA_DIR')) {
    define('MEDIA_DIR', DOC_ROOT . DS . 'media' . DS . 'master');
}

if (!defined('DOWNLOADS_DIR')) {
    define('DOWNLOADS_DIR', DOC_ROOT . DS . 'media' . DS . 'downloads');
}

if (!defined('USER_IMAGES_DIR')) {
    define('USER_IMAGES_DIR', DOC_ROOT . DS . "images" . DS . 'user_images');
}

if (!defined('CUSTOM_LOGO_DIR')) {
  define('CUSTOM_LOGO_DIR', USER_IMAGES_DIR . DS .'logo');
}

if (!defined('CUSTOM_LOGO_DIR_REL')) {
  define('CUSTOM_LOGO_DIR_REL', '/images' . DS . 'user_images' . DS .'logo');
}

/**
if (!defined('MAX_UPLOAD_SIZE')) {
     * The max upload size for a single file. The value is 512 bytes less than the value of
     * upload_max_filesize in the php.ini. This lesser value is the limit on the size of the
     * actual file; upload_max_filesize is set 512 bytes greater to permit additional information
     * that is included with the upload beside the actual file data (generally around 420 extra bytes).
    define('MAX_UPLOAD_SIZE', return_bytes(ini_get('upload_max_filesize')) - 512);
}
*/

// define the size in bytes that should be reserved on the hard drive for free space
if (!defined('LS_RESERVE_SIZE')) {
    define('LS_RESERVE_SIZE', 512000000);
}

if (!defined('LSWIFI_DB')) {
    define('LSWIFI_DB', DATA_DIR . DS . 'lswifi.sqlite3');
}

/**
 * Define the path to the Media Database
 * @author CV
 **/
if (!defined('MEDIA_DB')){
    define('MEDIA_DB', DATA_DIR . DS . 'media.sqlite3');
}


if (!defined('LSBT_DB')) {
    define('LSBT_DB', DATA_DIR . DS . 'lsbt.sqlite3');
}

if (!defined('LSSD_DB')) {
    define('LSSD_DB', DATA_DIR . DS . 'lssd.sqlite3');
}

if (!defined('SATELLITE_DB')) {
    define('SATELLITE_DB', DATA_DIR . DS . 'satellite.sqlite3');
}

if (!defined('ZIP_DIR')) {
    define('ZIP_DIR', MEDIA_DIR . DS . 'zip');
}

if (!defined('VERSION_FILE')) {
        define('VERSION_FILE', SYS_ROOT_DIR . DS . 'etc' . DS . 'lightstream' . DS . 'version');
}

if (!defined('NEWLINE')) {
  define('NEWLINE', "\n");
}

if (!defined('EMAIL_DIVIDER')) {
  define('EMAIL_DIVIDER', '____________________________________________');
}

if (!defined('THEMES_CSS_DIR')) {
	// Location of the CSS file storing user themes
	define('THEMES_CSS_DIR', DOC_ROOT . DS . 'css');
}

if (!defined('THEMES_CSS_DIR')) {
	// Location of the CSS file storing user themes
	define('THEMES_CSS_DIR', DOC_ROOT . DS . 'css');
}

// Set locale to english UTF (important for filenames to work correctly)
putenv('LANG=en_US.UTF-8');
setlocale(LC_ALL, 'en_US.UTF-8');