<?php
require_once('..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once("Renew" . DS . "DbManagerBluetooth.php");
require_once("Renew" . DS . "DbManagerSd.php");
require_once("Renew" . DS . "DbManagerWifi.php");
require_once("Renew" . DS . "DiskInfo.php");
require_once("Renew" . DS . "DeviceInfo.php");
require_once("Renew" . DS . "FilesHelper.php");
require_once("Renew" . DS . "Utilities" . DS . "Validator.php");
require_once("Renew" . DS . "DateHelper.php");

$validator = new \Renew\Validator();

if (isset($_POST, $_POST['_method'], $_POST['ajax'])) {
    // delete all of the stats
    if ($_POST['_method'] == 'DELETE') {
      $bluetoothManager = new Renew\DbManagerBluetooth(LSBT_DB);
      $bluetoothManager->openDb();
      $bluetoothManager->statsDeleteAll();
      $bluetoothManager->closeDb();
      $sdCopyStatsManager = new \Renew\DbManagerSd(LSSD_DB);
      $sdCopyStatsManager->openDb();
      $sdCopyStatsManager->statsDeleteAll();
      $sdCopyStatsManager->closeDb();
      $dbManagerWifi->openDb();
        $dbManagerWifi->statsDeleteAll();
      $dbManagerWifi->closeDb();
    }

    // Return to ajax (will refresh the page)
    echo $validator->ajaxFormResponse();
    exit();
}

if (file_exists(LSBT_DB)) {
    /**
     * Handle the Bluetooth data
     *
     * @author JPul
     **/
    /**
     * Grab the current bluetooth settings from the site settings table
     *
     * @author JPul
     **/
    $bluetoothManager = new Renew\DbManagerBluetooth(LSBT_DB);
    $t->assign("bt_total_successes", $bluetoothManager->statsCountPushes('success'));
    $t->assign("bt_unique_devices_all", $bluetoothManager->statsCountUniqueDevices('all'));
    $t->assign("bt_unique_devices_success", $bluetoothManager->statsCountUniqueDevices('success'));
    $t->assign("top_files", $bluetoothManager->statsTopFiles(5));
    /**
     * Handle the Blacklisted Devices data
     *
     * @author JPul
     **/
    $t->assign("latest_rejected_devices", $bluetoothManager->statsLatestRejectedDevices(5));
} else {
    $bluetoothMissing = true;
    $blacklistMissing = true;
}


if (file_exists(LSSD_DB)) {
    /**
     * Handle the SD Copy Stats
     *
     * @author JPul
     **/
    $sdCopyStatsManager = new \Renew\DbManagerSd(LSSD_DB);
    $sdStats = $sdCopyStatsManager->statsFindAll();
    $t->assign("sd_number_executions", $sdStats['NUMBER_OF_EXECUTIONS']);
    $t->assign("sd_number_files", $sdStats['NUMBER_OF_FILES']);
    $t->assign("sd_total_size", $sdStats['READABLE_SIZE']);
} else {
    $sdMissing = true;
}

/**
 * Handle the WiFi data
 *
 * @author JPul
 **/
$dbManagerWifi->openDb();
  $reportingEmail = $dbManagerWifi->settingsGetValueForKey('reporting_email');
  $t->assign("total_downloads", $dbManagerWifi->statsGetSumTotal('download'));
  $t->assign("total_streams", $dbManagerWifi->statsGetSumTotal('stream'));
  $t->assign("top_wifi_files", $dbManagerWifi->statsGetStreamsAndDownloadsByFileid(5, TRUE));
  // $recentActivity = $dbManagerWifi->statsGetRecentActivity(10, TRUE);
  // error_log(print_r($dbManagerWifi->statsGetSumTotal('stream'), TRUE));
  // error_log(print_r($recentActivity, TRUE));
$dbManagerWifi->closeDb();

$t->assign("reporting_email", $reportingEmail);
$t->assign("page_title", _('Dashboard'));
$t->assign("current_page", 'dashboard');
templateDisplayPageAdmin('admin' . DS . 'dashboard.tpl');
