<?php
/*
  Used in power.php and security.php
*/
use \Renew\Validator;

define('MODE_SECURE', 'secure');
$secureBootEnabledFile = SYS_ROOT_DIR . DS . 'boot' . DS . "secureBootEnabled.opt";

function saveSecureBoot($startupMode) {
  global $validator;
  global $secureBootEnabledFile;

  // Secure boot check
  $secureBootEnabled = FALSE;
  if ($startupMode === MODE_SECURE) {
    $secureBootEnabled = TRUE;
  }

  // Save
  if ($validator->formErrorsIsEmpty()) {
    if ($secureBootEnabled) {
      `sudo /usr/bin/touch "{$secureBootEnabledFile}"`;
    }
    else {
      `sudo /bin/rm "{$secureBootEnabledFile}"`;
    }
  }

  if (file_exists($secureBootEnabledFile) !== $secureBootEnabled) {
    $validator->addFormErrorSaveFailed();
    error_log('Error: Secure boot save failed.');
  }
}
