<?php
/*
  Used in wifi.php and security.php
*/
use \Renew\Validator;

define('MESSAGE_WIFI_PASSWORD', _('WiFi Password'));

$wifiPasswordEnabled = NULL;
$wifiPassword = NULL;
function validateWifiPasswordHelper() {
  global $validator;
  global $wifiPasswordEnabled;
  global $wifiPassword;

  $wifiPasswordEnabled = Validator::formatCheckbox(@$_POST['wifi_password_enabled']);
  if ($wifiPasswordEnabled === Validator::STRING_TRUE) {
    $wifiPassword = $_POST['wifi_password'];
    $wifiPasswordConfirm = $_POST['wifi_password_confirm'];
    if ($wifiPassword !== $wifiPasswordConfirm) {
      $validator->addFormError(MESSAGE_WIFI_PASSWORD, Validator::ERR_PASSWORDS_DO_NOT_MATCH);
    }
    $validator->validateWifiPassword($wifiPassword, MESSAGE_WIFI_PASSWORD);
  }
}

$errorMessageArray = Validator::getErrorMessageArray();
$t->assign('wifi_password_max_length', Validator::WIFI_PASSWORD_MAX_LENGTH);
$t->assign('wifi_password_length_message', sprintf($errorMessageArray[Validator::ERR_INPUT_NOT_BETWEEN], Validator::WIFI_PASSWORD_MIN_LENGTH, Validator::WIFI_PASSWORD_MAX_LENGTH));
