<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once('..' . DS . 'includes' . DS . 'assigns_fineuploader.php');
require_once("Renew" . DS . "DbManagerMedia.php");
require_once("Renew" . DS . "DbManagerWifi.php");
require_once("Renew" . DS . "DiskInfo.php");
require_once("Renew" . DS . "Utilities" . DS . "Validator.php");
use \Renew\Validator;
use \Renew\DbManagerWifi;
use \Renew\DiskInfo;

$dbManagerMedia = new \Renew\DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);
$validator = new Validator();

// Constants
define('IMAGES_LIMIT', 16);

if (isset($_POST) && isset($_POST['ajax'])) {
  // Ajax more images
  if ($_POST['_method'] === 'GET') {
    $offset = $_POST['offset'];

    $dbManagerMedia->openDb();
      $imagesArray = $dbManagerMedia->imagesGetAll($offset, IMAGES_LIMIT);
    $dbManagerMedia->closeDb();

    $t->assign('serial_number', $serialNumber);
    $t->assign('ajax', TRUE);
    $t->assign('images_array', $imagesArray);
    $t->display('admin/components/images/manage_images_icon_foreach.tpl');
    exit();
  }

  // Delete Image
  if ($_POST['_method'] === 'DELETE') {
    if (isset($_POST['type']) && $_POST['type'] === 'DELETE_ALL') {
      $dbManagerMedia->openDb();
        if(!$dbManagerMedia->imagesDeleteAll()) {
          $validator->addFormErrorSaveFailed();
        }
      $dbManagerMedia->openDb();
    } else {
      $imageId = $_POST['image_id'];
      $dbManagerMedia->openDb();
        $success = $dbManagerMedia->imagesDeleteImageWithId($imageId);
        if ($success === FALSE) {
          $validator->addFormErrorString($adminErrorMessages['ERR_DELETE_FAILED']);
        }
      $dbManagerMedia->closeDb();

      // CHECK THE GREETING TO MAKE SURE YOU DIDN'T JUST DELETE IT'S MEDIA
      $dbManagerWifi->openDb();
      $greetingSettings = $dbManagerWifi->settingsGetGreetingAll();
      if ($greetingSettings['greeting_mode']['value'] == DbManagerWifi::GREETING_MODE_IMAGE) {
        $greetingModeImageSrc = $greetingSettings['greeting_mode_image_src']['value'];
        if ($greetingModeImageSrc == $imageId) {
          $dbManagerWifi->settingsSetKeyValue('greeting_mode', DbManagerWifi::GREETING_MODE_TEXT);
          $dbManagerWifi->settingsSetKeyValue('greeting_mode_image_src', '0');
        }
      }

      $dbManagerWifi->closeDb();
    }
  }

  // Rename Image
  if ($_POST['_method'] === 'POST') {
      $title = $_POST['title'];
      $validator->validateTextInput($title, _('Title'));

      if ($validator->formErrorsIsEmpty()) {
        $dbManagerMedia->openDb();
        if ($dbManagerMedia->imagesGetImageWithTitle($title) !== FALSE) {
          $validator->addFormErrorString($adminErrorMessages['ERR_TITLE_EXISTS']);
        }
        elseif( !$dbManagerMedia->imagesSetImageTitleForId($_POST['image_id'], $_POST['title']) ) {
          $validator->addFormErrorString($adminErrorMessages['ERR_RENAME_FAILED']);
        }
        $dbManagerMedia->closeDb();
      }
  }

  // Return to Ajax
  echo $validator->ajaxFormResponse();
  exit();
}

$dbManagerMedia->openDb();
  $imagesArray = $dbManagerMedia->imagesGetAll(0, IMAGES_LIMIT);

  // TODO make this more efficient, actually get the number in the table
  $totalImages = count($dbManagerMedia->imagesGetAll());
$dbManagerMedia->closeDb();

// Sort Descending (newest id first)
// Use indices starting from 0 for the array
$imagesArray = array_values($imagesArray);

//$t->assign('images_space_used', DiskInfo::BytesToHumanReadableSize(DiskInfo::FolderSize(USER_IMAGES_DIR)));
$t->assign('storage_free_gb', DiskInfo::BytesToHumanReadableSize(DiskInfo::DiskFreeSpaceInB(MEDIA_DIR, LS_RESERVE_SIZE)));
$t->assign('images_array', $imagesArray);
$t->assign('total_images', $totalImages);
$t->assign('images_limit', IMAGES_LIMIT);
$t->assign('page_title', _('Images'));
$t->assign('current_page', 'manage');
$t->assign('current_manage', 'images');
templateDisplayPageAdmin('admin' . DS . 'manage' . DS . 'images.tpl');
