<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "DbManagerMedia.php");
require_once("Renew" . DS . "Utilities" . DS . "Uploader.php");
require_once("Renew" . DS . "Utilities" . DS . "Validator.php");
use \Renew\Validator as Validator;

$mediaDbManager = new \Renew\DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);
$validator = new Validator();

if (isset($_POST, $_POST['ajax'])) {
  $tempFilePathAbs = DOC_ROOT . $_POST['temp_file_path']; // Starts with '/'
  $fileName = $_POST['file_name'];

  // Validate image
  $validator->validateImage($tempFilePathAbs, '');

  // Convert, move, and add to db
  if ($validator->formErrorsIsEmpty()) {
    $imageTitle = pathinfo($fileName, PATHINFO_FILENAME);
    $imageId = $mediaDbManager->imagesAddImage($imageTitle, $tempFilePathAbs);
    if ($imageId === FALSE) {
      $validator->addFormErrorString(_('Error') . ' - ', $adminErrorMessages[$mediaDbManager->getLastErr()]);
    } else {
      $mediaDbManager->openDb();
        $imageId = $mediaDbManager->imagesGetImageWithTitle($imageTitle)['image_id'];
        if (!$imageId) {
          $validator->addFormErrorSaveFailed();
        }
      $mediaDbManager->closeDb();
    }
  }

  // If file still exists, remove it
  if (file_exists($tempFilePathAbs)) {
    unlink($tempFilePathAbs);
  }

  // TODO do we need to do this?
  // Remove empty outer folder created by fineuploader
  rmdir(dirname($tempFilePathAbs));

  // Return to Ajax
  echo $validator->ajaxFormResponse(json_encode(array(
    'filename' => $fileName,
    'image_id' => $imageId
  )));
  exit();
}
