<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once('..' . DS . 'includes' . DS . 'assigns_fineuploader.php');
require_once("Renew" . DS . "DiskInfo.php");
require_once("Renew" . DS . "DbManagerMedia.php");
use \Renew\DbManagerMedia as DbManagerMedia;
use \Renew\DiskInfo as DiskInfo;

define('PAGE_TITLE', _('Manage Media'));
define('MEDIA_LIMIT_MANAGE', 30); // 2

$dbManagerMedia = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);

// Load more media ajax call
if (isset($_POST) && isset($_POST['ajax'])) {
  $currentDirectoryId = $_POST['current_directory_id'];
  $offset = $_POST['offset'];

  $dbManagerMedia->openDb();
    $mediaArray = $dbManagerMedia->mediaGetAllWithParentId($currentDirectoryId, $offset, MEDIA_LIMIT_MANAGE);
    $imagesArray = $dbManagerMedia->imagesGetAll();
  $dbManagerMedia->closeDb();

  $t->assign('serial_number', $serialNumber);
  $t->assign('ajax', TRUE);
  $t->assign('images_array', $imagesArray);
  $t->assign('media_array', $mediaArray);
  $t->assign('media_checkbox_array_name', $_POST['media_checkbox_array_name']);
  $t->display('admin/components/media/media_foreach.tpl');
  exit();
}

// Get the current directory
$isRootDirectory = FALSE;
if (isset($_GET, $_GET['id'])) {
  $currentDirectoryId = strip_tags($_GET['id']);
  if ((int) $currentDirectoryId === DbManagerMedia::MEDIA_ROOT_DIRECTORY_FILE_ID) {
    $isRootDirectory = TRUE;
  }
} else {
  $isRootDirectory = TRUE;
  $currentDirectoryId = DbManagerMedia::MEDIA_ROOT_DIRECTORY_FILE_ID;
  $currentDirectoryPathRel = '';
}

$dbManagerMedia->openDb();
  if (!isset($currentDirectoryPathRel)) {
    $currentDirectoryPathRel = $dbManagerMedia->mediaGetPathRelForId($currentDirectoryId);
  }
  if ((int) $currentDirectoryId === DbManagerMedia::MEDIA_ROOT_DIRECTORY_FILE_ID) {
    $currentDirectoryTitle = DbManagerMedia::MEDIA_ROOT_DIRECTORY_TITLE;
  } else {
    $currentDirectoryTitle = ($dbManagerMedia->mediaGetFileWithId($currentDirectoryId))['title'];
  }
  $mediaArray = $dbManagerMedia->mediaGetAllWithParentPath($currentDirectoryPathRel, 0, MEDIA_LIMIT_MANAGE);
  $childrenCount = $dbManagerMedia->mediaCountChildrenWithParentPath($currentDirectoryPathRel, FALSE);
  $imagesArray = $dbManagerMedia->imagesGetAll();
  $directoryArray = $dbManagerMedia->mediaGetAllDirectoriesAddPathRel();
  $languageDirectoriesArray = $dbManagerMedia->mediaGetLanguageDirectories(FALSE, TRUE);
  $breadcrumbsArray = $dbManagerMedia->mediaGetBreadcrumbsWithPath($currentDirectoryPathRel);
$dbManagerMedia->closeDb();
$directoryArray = DbManagerMedia::MediaFormatDirectoryArrayForSelect($directoryArray);
$languageDirectoriesArraySelect = DbManagerMedia::MediaFormatLanguageDirectoryArrayForSelect($languageDirectoriesArray);

$diskFreePct = DiskInfo::DiskFreePercent(MEDIA_DIR, LS_RESERVE_SIZE);
$diskUsedPct = 100 - $diskFreePct;
$diskTotalGb = DiskInfo::DiskTotalSpaceInGB(MEDIA_DIR, LS_RESERVE_SIZE);
$diskFreeGb = DiskInfo::DiskFreeSpaceInGB(MEDIA_DIR, LS_RESERVE_SIZE);
$diskUsedGb =  $diskTotalGb - $diskFreeGb;

if ($isRootDirectory && count($languageDirectoriesArray) > 0) {
  $t->assign('language_directories_array', $languageDirectoriesArray);
}

$t->assign('language_directories_array_select', $languageDirectoriesArraySelect);
$t->assign('directory_array', $directoryArray);
$t->assign('media_limit', MEDIA_LIMIT_MANAGE);
$t->assign('children_count', $childrenCount);
$t->assign('images_array', $imagesArray);
$t->assign('media_array', $mediaArray);
$t->assign('breadcrumbs_array', $breadcrumbsArray);
$t->assign('current_directory_id', $currentDirectoryId);
$t->assign('media_root_directory_file_id', DbManagerMedia::MEDIA_ROOT_DIRECTORY_FILE_ID);
$t->assign('current_directory_title', $currentDirectoryTitle);
$t->assign('storage_used_gb', $diskUsedGb);
$t->assign('storage_used_pct', $diskUsedPct);
$t->assign('storage_free_gb', $diskFreeGb);
$t->assign('storage_free_pct', $diskFreePct);
$t->assign('storage_total_gb', $diskTotalGb);
$t->assign("page_title", PAGE_TITLE);
$t->assign('current_page', 'manage');
$t->assign('current_manage', 'media');
$t->assign('currentFile', 'media.php');
templateDisplayPageAdmin('admin' . DS . 'manage' . DS . 'media.tpl');
