<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "DbManagerMedia.php");
require_once("Renew" . DS . "Utilities" . DS . "Validator.php");
require_once("Renew" . DS . 'StringHelper.php');
require_once('..' . DS . '..' . DS . 'includes' . DS . 'validate_language_iso.php');
use \Renew\Validator;
use \Renew\DbManagerMedia;

$dbManagerMedia = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);
$validator = new Validator();

define('TYPE_LANGUAGE', 'language');

if (isset($_POST) && isset($_POST['ajax'])) {
  // Validate language directory data
  $isLangugeDirectory = isset($_POST['language_iso']);
  if ($isLangugeDirectory) {
    $languageIso = validateLanguageIso();

    // Language Display Name
    $title = $_POST['title'];
    $title = \Renew\StringHelper::FormatFilename($title);
    $validator->validateTextInput($title, _('Language Display Name'));
  } else {
    // Directory id to create new one in
    $directory = $_POST['directory'];

    // Filename
    $filename = $_POST['filename'];
    $filename = \Renew\StringHelper::FormatFilename($filename);
    $validator->validateTextInput($filename, _('Folder Title'));
  }

  // Create folder
  if ($validator->formErrorsIsEmpty()) {
    $dbManagerMedia->openDb();
      if ($isLangugeDirectory) {
        $success = ($dbManagerMedia->mediaCreateLanguageDirectoryWithLanguageIso($languageIso, $title) !== FALSE);
      } else {
        $success = $dbManagerMedia->mediaCreateDirectoryWithFilenameAndParentId($filename, $directory);
      }
    $dbManagerMedia->closeDb();
    if ($success === FALSE) {
      $validator->addFormErrorString($adminErrorMessages['ERR_FILE_NAME_MAY_ALREADY_EXIST']);
    }
  }

  // Return to Ajax
  echo $validator->ajaxFormResponse();
  exit();
}
