<?php

/**
* TODO Comment this
*/
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "DbManagerMedia.php");
require_once("Renew" . DS . "DbManagerWifi.php");
require_once("Renew" . DS . "Utilities" . DS . "Validator.php");
use \Renew\Validator as Validator;
use \Renew\DbManagerMedia as DbManagerMedia;
use \Renew\DbManagerWifi as DbManagerWifi;

define('ERROR_MOVE_FAILED', _('Move Failed'));

$dbManagerMedia = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);
$validator = new Validator();

function setAvailabilityStatus($checkbox, $name) {
	global $fileId;
	global $dbManagerMedia;

	$availability = 0;
	if ($checkbox) {
		$availability = 2;
	}
	$dbManagerMedia->mediaUpdateAttrsForFileWithId($fileId, array($name => $availability));
	/*
		// Remove from featured if wifi is shut off
		if ($name === 'wifi_status' && $availability === 0) {
			$dbManagerMedia->mediaUpdateAttrsForFileWithId($fileId, array('featured' => 0));
		}
	*/
}

// Messages
define('ERR_DELETE_FAILED', _('Failed to delete files'));

if (isset($_POST) && isset($_POST['ajax'])) {

  if ($_POST['_method'] === 'DELETE') {

		$dbManagerMedia->openDb();

      if (isset($_POST['multi_delete'])) { // Multi delete button
          $failed = FALSE;
					$selectedMediaArray = $_POST['selected_media_array']; // Added to form by JS
          foreach($selectedMediaArray as $fileId) {
            $result = $dbManagerMedia->mediaDeleteFileWithId($fileId, DOWNLOADS_DIR);
            if ($result === FALSE) {
              $failed = TRUE;
            }
          }
          if ($failed) {
						$validator->addFormErrorString(ERR_DELETE_FAILED);
          }
      } else { // Delete button on media_items
        $fileId = $_POST['file_id'];
          $result = $dbManagerMedia->mediaDeleteFileWithId($fileId, DOWNLOADS_DIR);
          if ($result === FALSE) {
						$validator->addFormErrorString(ERR_DELETE_FAILED);
          }
      }

			// CHECK THE GREETING TO MAKE SURE YOU DIDN'T JUST DELETE ITS MEDIA
			$dbManagerWifi->openDb();
				$greetingSettings = $dbManagerWifi->settingsGetGreetingAll();
			if ($greetingSettings['greeting_mode']['value'] == DbManagerWifi::GREETING_MODE_MEDIA) {
				$greetingModeMediaFileId = $greetingSettings['greeting_mode_media_file_id']['value'];
				$greetingMediaFile = $dbManagerMedia->mediaGetFileWithId($greetingModeMediaFileId);
				if ($greetingMediaFile == FALSE || $greetingMediaFile['is_deleted'] != 0) {
					$dbManagerWifi->settingsSetKeyValue('greeting_mode', DbManagerWifi::GREETING_MODE_TEXT);
					$dbManagerWifi->settingsSetKeyValue('greeting_mode_media_file_id', '0');
				}
			}
			$dbManagerWifi->closeDb();
		$dbManagerMedia->closeDb();

  }

  if ($_POST['_method'] === 'PUT') {
      $formType = $_POST['form_type'];

      if ($formType === 'move') { // Move button in nav
        $directory = $_POST['directory']; // Added to form by JS
        $selectedMediaArray = $_POST['selected_media_array']; // Added to form by JS

        if (isset($directory)) {
          // Move files
          foreach($selectedMediaArray as $fileId) {
            $dbManagerMedia->openDb();
              if(!$dbManagerMedia->mediaMoveFileWithId($fileId, $directory)) {
								$validator->addFormErrorString(ERROR_MOVE_FAILED . '. ' . _('Note that files in the same folder cannot have the same name and folders cannot be moved into themselves.'));
							}
            $dbManagerMedia->closeDb();
          }
        } else {
					$validator->addFormErrorString(ERROR_MOVE_FAILED);
        }
      } else if ($formType === 'availability') {
        $fileId = $_POST['file_id'];
        $wifiStatus = Validator::formatCheckboxBoolean(@$_POST['wifi_status']);
        //$bluetoothStatus = Validator::formatCheckboxBoolean(@$_POST['bluetooth_status']);
        $usbStatus = Validator::formatCheckboxBoolean(@$_POST['usb_status']);
				$featured = Validator::formatCheckboxOneZero(@$_POST['featured']);

        // Save checkboxes
        $dbManagerMedia->openDb();
					$dbManagerMedia->mediaUpdateAttrsForFileWithId($fileId, array('featured' => $featured));
          setAvailabilityStatus($wifiStatus, 'wifi_status');
          setAvailabilityStatus($usbStatus, 'usb_status');

					//setAvailabilityStatus($bluetoothStatus, 'bluetooth_status');

        $dbManagerMedia->closeDb();
      } else if ($formType === 'sort_order') {
        $fileId = $_POST['file_id'];
        $sortOrder = Validator::FormatCheckboxShowFirst(@$_POST['show_first']);
        $dbManagerMedia->openDb();
          $dbManagerMedia->mediaUpdateAttrsForFileWithId($fileId, array('sort_order' => $sortOrder));
        $dbManagerMedia->closeDb();
      }
  }

  // Return to Ajax
  echo $validator->ajaxFormResponse();
  exit();
}
