<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once('..' . DS . 'includes' . DS . 'assigns_fineuploader.php');
require_once("Renew" . DS . "DbManagerWifi.php");
require_once("Renew" . DS . "DbManagerMedia.php");
use \Renew\DbManagerWifi;
use \Renew\DbManagerMedia;
use \Renew\Validator;

$dbManagerMedia = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);

// Constants (often used on the front-end)
define('IMAGE_BOOLEAN', 'is_image');
define('COLOR_BOOLEAN', 'is_color');
define('BLUR_BOOLEAN', 'is_blur');
define('COLOR_VALUE', 'color_value');
define('IMAGE_VALUE', 'image_value');
define('TITLE', 'title');
define('DESCRIPTION', 'description');
define('DEFAULT_COLOR', '#000000');

// Messages
define('PAGE_TITLE', _('Customize Homepage'));

$open = FALSE;
// Open a settings dropdown accordion by default if defined in URL
if (isset($_GET) && isset($_GET['open'])) {
  $open = $_GET['open'];
}
$t->assign('open', $open);

// Settings from database
$dbManagerWifi->openDb();
  $generalSettings = $dbManagerWifi->settingsGetGeneralAll();
  $greetingSettings = $dbManagerWifi->settingsGetGreetingAll();
  $featuredSettings = $dbManagerWifi->settingsGetFeaturedAll();
  $themes = $dbManagerWifi->themesGetAll();
$dbManagerWifi->closeDb();

templateAssignSettings($generalSettings);
templateAssignSettings($greetingSettings);
templateAssignSettings($featuredSettings);

//TODO move these description strings to a helper class, or put in DB?
$themes[DbManagerWifi::THEME_BACKGROUND_NAV_HEADER][TITLE] = _('Logo Header Background');
$themes[DbManagerWifi::THEME_BACKGROUND_NAV_HEADER][DESCRIPTION] = FALSE;
$themes[DbManagerWifi::THEME_BACKGROUND_GREETING][TITLE] = _('Greeting Panel Background');
$themes[DbManagerWifi::THEME_BACKGROUND_GREETING][DESCRIPTION] = FALSE;
$themes[DbManagerWifi::THEME_BACKGROUND_BUTTON_1][TITLE] = _('Button Background Color');
$themes[DbManagerWifi::THEME_BACKGROUND_BUTTON_1][DESCRIPTION] = FALSE;
$themes[DbManagerWifi::THEME_BACKGROUND_MAIN][TITLE] = _('Background Color #1');
$themes[DbManagerWifi::THEME_BACKGROUND_MAIN][DESCRIPTION] = _('Main background color for pages');
$themes[DbManagerWifi::THEME_BACKGROUND_SECONDARY][TITLE] = _('Background Color #2');
$themes[DbManagerWifi::THEME_BACKGROUND_SECONDARY][DESCRIPTION] = _('Background color for media icons');
$themes[DbManagerWifi::THEME_BACKGROUND_MEDIA_ICON][TITLE] = _('Background Color #3');
$themes[DbManagerWifi::THEME_BACKGROUND_MEDIA_ICON][DESCRIPTION] = _('Color behind titles on media icons');
$themes[DbManagerWifi::THEME_COLOR_LIGHT][TITLE] = _('Font Color: Light');
$themes[DbManagerWifi::THEME_COLOR_LIGHT][DESCRIPTION] = _('Font color used with dark backgrounds');
$themes[DbManagerWifi::THEME_COLOR_DARK][TITLE] = _('Font Color: Dark');
$themes[DbManagerWifi::THEME_COLOR_DARK][DESCRIPTION] = _('Font color used with light backgrounds');

//TODO move this into a helper class
// Send down default theme values for when images are set
foreach(DbManagerWifi::THEME_PRESET_DARK as $darkThemeItem) {
  $themes[$darkThemeItem['key']]['default'] = $darkThemeItem['value'];
}

$themesOrdered = array(); // ordered array for the front end presentation
$themesOrdered[] = $themes[DbManagerWifi::THEME_BACKGROUND_NAV_HEADER];
$themesOrdered[] = $themes[DbManagerWifi::THEME_BACKGROUND_GREETING];
$themesOrdered[] = $themes[DbManagerWifi::THEME_BACKGROUND_BUTTON_1];
$themesOrdered[] = $themes[DbManagerWifi::THEME_BACKGROUND_MAIN];
$themesOrdered[] = $themes[DbManagerWifi::THEME_BACKGROUND_SECONDARY];
$themesOrdered[] = $themes[DbManagerWifi::THEME_BACKGROUND_MEDIA_ICON];
$themesOrdered[] = $themes[DbManagerWifi::THEME_COLOR_DARK];
$themesOrdered[] = $themes[DbManagerWifi::THEME_COLOR_LIGHT];

// Make color palette: a list of theme values without duplicates
$themePalette = array();
foreach ($themesOrdered as $theme) {
  $value = $theme['value'];
  if (!in_array($value, $themePalette) && Validator::isHexString($value)) {
    $themePalette[] = $value;
  }
}

$t->assign('themes_palette', $themePalette);
$t->assign('themes', $themesOrdered);

$greetingModeMediaFileSelectArray = NULL;
$dbManagerWifi->openDb();
  $generalLogo = $dbManagerWifi->settingsGetValueForKey('general_logo');
  $greetingModeMediaFileId = $dbManagerWifi->settingsGetValueForKey('greeting_mode_media_file_id');
$dbManagerWifi->closeDb();
$dbManagerMedia->openDb();
  $imagesArray = $dbManagerMedia->imagesGetAll();
  $featuredMediaArray = $dbManagerMedia->mediaGetFeaturedMedia(TRUE);
  if ($greetingModeMediaFileId !== DbManagerMedia::FILE_ID_DEFAULT) {
    $greetingModeMediaFileSelectArray = $dbManagerMedia->mediaGetFileWithIdFormatAsSelectArray($greetingModeMediaFileId);
  }
$dbManagerMedia->closeDb();

// TODO: do we need to do this here?
// TODO Could we make a helper class to convert to a key-value associative array?
if ($featuredMediaArray === FALSE) {
  $featuredMediaArray = array();
}

$t->assign('featured_media_array', $featuredMediaArray);
$t->assign('images_array', $imagesArray);
$t->assign('max_logo_text_length', MAX_LOGO_TEXT_LENGTH);
$t->assign('page_title', PAGE_TITLE);
$t->assign('current_page', 'manage');
$t->assign('current_manage', 'user_interface');
$t->assign('custom_logo_dir_rel', CUSTOM_LOGO_DIR_REL);
$t->assign('general_logo', $generalLogo);
$t->assign('greeting_mode_media_file_id', $greetingModeMediaFileId);
$t->assign('greeting_mode_media_file_select_array', $greetingModeMediaFileSelectArray);
templateDisplayPageAdmin('admin' . DS . 'manage' . DS . 'user_interface.tpl');
