<?php

/**
* TODO Comment this
*/

require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
use \Renew\Validator;
use \Renew\DbManagerWifi;


$validator = new Validator();

define('MESSAGE_CUSTOM_IMAGE', _('Custom Image'));

if (isset($_POST) && isset($_POST['ajax'])) {

  // Radio: disable sliders
  // NOTE: Can be treated like a checkbox with Validator::validateCheckbox,
  // radio returns 'true', or 'false'
  $generalDisableSliders = Validator::formatTrueFalseRadio($_POST['general_disable_sliders']);

  // Checkbox: enable logo
  $generalLogoEnabled = Validator::formatCheckbox(@$_POST['general_logo_enabled']);

  // Select: site logo
  $generalLogoMode = $_POST['general_logo_mode'];
  if ($generalLogoMode === DbManagerWifi::GENERAL_LOGO_MODE_IMAGE) {
    $customImageSrc = $_POST['custom_image_src'];
    if (!$customImageSrc) {
      $validator->addFormErrorString(MESSAGE_CUSTOM_IMAGE . ' - ' . _('No image uploaded'));
    }
    $customImageAbsPath = DOC_ROOT . $customImageSrc;
    $validator->validateImage($customImageAbsPath, MESSAGE_CUSTOM_IMAGE);
  } else if ($generalLogoMode === DbManagerWifi::GENERAL_LOGO_MODE_TEXT) {
    $generalLogoText = $_POST['general_logo_text'];
    $validator->validateTextInputMaxLengthNotBlank($generalLogoText, _('Site Logo Text'), MAX_LOGO_TEXT_LENGTH);
  }

  // Redirect users into language folders
  $generalLanguageDirect = Validator::formatCheckbox(@$_POST['general_language_redirect']);
  $generalDownloadMode = Validator::formatCheckbox(@$_POST['general_download_mode']);

  // Save settings
  if ($validator->formErrorsIsEmpty()) {
    $saveSettings = array(
      'general_disable_sliders' => $generalDisableSliders,
      'general_logo_enabled' => $generalLogoEnabled,
      'general_logo_mode' => $generalLogoMode,
      'general_language_redirect' => $generalLanguageDirect,
      'general_download_mode' => $generalDownloadMode
    );

    // NOTE: general_logo gets saved in upload_image_logo.php
    if ($generalLogoMode === DbManagerWifi::GENERAL_LOGO_MODE_TEXT) {
      $saveSettings['general_logo_text'] = $generalLogoText;
    }

    // Save
    $dbManagerWifi->openDb();
      if (!$dbManagerWifi->settingsSetKeyValueArray($saveSettings)) {
        $validator->addFormErrorSaveFailed();
      }
    $dbManagerWifi->closeDb();
  }

  // Return to ajax
  echo $validator->ajaxFormResponse();
  exit();
}
