<?php

/**
* TODO Comment this
*/

require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "DbManagerWifi.php");
require_once("Renew" . DS . "Utilities" . DS . "Uploader.php");
use \Renew\Validator as Validator;

$uploader = new \Renew\Utilities\Uploader(DOC_ROOT . DS . "uploads");
$validator = new Validator();

// Constants
define('ACTION_PLAY', 'play');
define('ACTION_DOWNLOAD', 'download');
define('MODE_MEDIA', 'media');
define('MODE_IMAGE', 'image');

define('ERR_PREFIX_EMPTY_MEDIA', _('No media file'));
define('ERR_PREFIX_EMPTY_IMAGE', _('No image'));

if (isset($_POST) && isset($_POST['ajax'])) {
  $greetingEnabled = Validator::formatCheckbox(@$_POST['greeting_enabled']);
  $isGreetingEnabled = Validator::formatCheckboxBoolean(@$_POST['greeting_enabled']);

  if ($isGreetingEnabled) {
    $greetingShowBeforeFeatured = 'true';

    // Input: greeting panel title
    $greetingTitle = $_POST['greeting_title'];
    $validator->validateTextInputLength($greetingTitle, _('Greeting Title'));

    // Input: greeting panel text
    $greetingText = $_POST['greeting_text'];
    $validator->validateTextFieldLength($greetingText, _('Greeting Text'));

    // Radio: greeting Panel type (values 'image', 'media', 'text')
    $greetingMode = $_POST['greeting_mode'];
    if ($greetingMode === MODE_MEDIA) {
      // Select: media File
      $greetingModeMediaFileId = $_POST['greeting_mode_media_file_id'];
      $validator->validateNotEmpty($greetingModeMediaFileId, ERR_PREFIX_EMPTY_MEDIA);

      // Optional custom image
      // NOTE: Option to have custom image removed. TODO: remove code entirely.
      $mediaCustomImageCheckbox = NULL;//Validator::formatCheckbox(@$_POST['checkbox_custom_media_image']);

      if ($mediaCustomImageCheckbox === 'true') {
        // Select: custom image
        $greetingModeMediaImageSrc = $_POST['greeting_mode_media_image_src'];
        $validator->validateNotEmpty($greetingModeMediaImageSrc, ERR_PREFIX_EMPTY_IMAGE);

        // Checkbox: force download
        $greetingModeMediaImageCheckbox = Validator::formatCheckbox(@$_POST['greeting_mode_media_image_action']);
        $greetingModeMediaImageAction = ACTION_PLAY;
        if ($greetingModeMediaImageCheckbox === 'true') {
          $greetingModeMediaImageAction = ACTION_DOWNLOAD;
        }
      }
    } else if ($greetingMode === MODE_IMAGE) {
      // Select: image
      $greetingModeImageSrc = $_POST['greeting_mode_image_src'];
      $validator->validateNotEmpty($greetingModeImageSrc, ERR_PREFIX_EMPTY_IMAGE);
    }
  }

  // Save settings
  if ($validator->formErrorsIsEmpty()) {
    if ($isGreetingEnabled) {
      $saveSettings = array(
        'greeting_enabled' => $greetingEnabled,
        'greeting_show_before_featured' => $greetingShowBeforeFeatured,
        'greeting_title' => $greetingTitle,
        'greeting_text' => $greetingText,
        'greeting_mode' => $greetingMode,
      );
      if ($greetingMode === MODE_IMAGE) {
        $saveSettings['greeting_mode_image_src'] = $greetingModeImageSrc;
      } else if ($greetingMode === MODE_MEDIA) {
        $saveSettings['greeting_mode_media_file_id'] = $greetingModeMediaFileId;
        if (isset($greetingModeMediaImageSrc)) {
          $saveSettings['greeting_mode_media_image_src'] = $greetingModeMediaImageSrc;
          $saveSettings['greeting_mode_media_image_action'] = $greetingModeMediaImageAction;
        } else {
          $saveSettings['greeting_mode_media_image_src'] = '';
        }
      }
    } else {
      $saveSettings['greeting_enabled'] = $greetingEnabled;
    }

    // Save
    $dbManagerWifi->openDb();
      if (!$dbManagerWifi->settingsSetKeyValueArray($saveSettings)) {
        $validator->addFormErrorSaveFailed();
      }
    $dbManagerWifi->closeDb();
  }

  // Return to Ajax
  echo $validator->ajaxFormResponse();
  exit();
}
