<?php

/**
* TODO Comment this
*/

require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "DbManagerWifi.php");
require_once("Renew" . DS . "Utilities" . DS . "Validator.php");
require_once("Renew" . DS . "Utilities" . DS . "Uploader.php");
use \Renew\Validator as Validator;
use \Renew\DbManagerWifi as DbManagerWifi;

$uploader = new \Renew\Utilities\Uploader(DOC_ROOT . DS . "uploads");
$validator = new Validator();

// Constants
define('IMAGE_SUFFIX', '_image');
define('COLOR_SUFFIX', '_color');
define('BLUR_SUFFIX', '_blur');
define('THEME_PRESET_DARK', 'dark');
define('THEME_PRESET_LIGHT', 'light');

// Messages
define('ERR_PREFIX_SELECT_IMAGE_EMPTY', _('One or more of your background images has been left blank'));

if (isset($_POST) && isset($_POST['ajax'])) {

  // If user is clicking button to apply dark or light theme
  if (isset($_POST['apply_theme'])) {
    $type = $_POST['type'];

    // Save themes
    $dbManagerWifi->openDb();
      if ($type === THEME_PRESET_DARK) {
          $saveError = $dbManagerWifi->themesSetAllWithArray(DbManagerWifi::THEME_PRESET_DARK);
      } else if ($type === THEME_PRESET_LIGHT) {
          $saveError = $dbManagerWifi->themesSetAllWithArray(DbManagerWifi::THEME_PRESET_LIGHT);
      } else {
        error_log('Empty or invalid theme type applied');
      }
      if ($saveError !== TRUE) {
        $validator->addFormError('', $saveError);
      } else {
        // Write CSS file from db
        $dbManagerWifi->themesWriteCSSFile(THEMES_CSS_DIR);
      }
    $dbManagerWifi->closeDb();

    echo $validator->ajaxFormResponse();

  // If the form is being submitted
  } else {
    // Array of formatted styles to save
    $stylesArray = array();

    $dbManagerWifi->openDb();
      $themeKeys = $dbManagerWifi->themesGetAllKeys();
    $dbManagerWifi->closeDb();

    // Iterate through style names to get theme settings ready to save
    foreach ($themeKeys as $currentThemeKey) {
      $type = $_POST[$currentThemeKey]; // 'image', 'background', or 'color'
      $effect = '';

      if ($type === DbManagerWifi::THEME_TYPE_IMAGE) {

        // Validate select image
        $value = $_POST[$currentThemeKey . IMAGE_SUFFIX];
        $validator->validateNotEmpty($value, ERR_PREFIX_SELECT_IMAGE_EMPTY);

        // Blur effect
        $blur = Validator::formatCheckbox(@$_POST[$currentThemeKey . BLUR_SUFFIX]);
        if ($blur === 'true') {
          $effect = DbManagerWifi::THEME_EFFECT_BLUR;
        }
      } else if ($type === DbManagerWifi::THEME_TYPE_BACKGROUND || $type === DbManagerWifi::THEME_TYPE_COLOR) {

        // Validate hex. NOTE: the front end should do this already, so this is just for safety.
        $value = $_POST[$currentThemeKey . COLOR_SUFFIX];
        $validator->validateHexString($value, '');
      } else {
        error_log('Theme type of ' . $type . ' is not valid.');
      }
      $stylesArray[] = array(
        'key' => $currentThemeKey,
        'value' => $value,
        'type' => $type,
        'effect' => $effect
      );
    }

    // Save theme settings
    if ($validator->formErrorsIsEmpty()) {
      $dbManagerWifi->openDb();
        foreach ($stylesArray as $style) {
          $success[] = $dbManagerWifi->themesSet(
            $style['key'],
            $style['value'],
            $style['type'],
            $style['effect']
          );
        }
        if (Validator::booleanArrayAllTrue($success) === FALSE) {
          $validator->addFormErrorSaveFailed();
        } else {
          // Save user themes to file
          $dbManagerWifi->themesWriteCSSFile(THEMES_CSS_DIR);
        }
      $dbManagerWifi->closeDb();
    }

    // Return to Ajax
    echo $validator->ajaxFormResponse();
  }
  exit();
}
