<?php

require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "Utilities" . DS . "LightStreamServices.php");
require_once("Renew" . DS . "DbManagerBluetooth.php");
require_once("Renew" . DS . "DbManagerMedia.php");
use \Renew\Validator as Validator;
use \Renew\DbManagerMedia;

$dbManagerBluetooth = new Renew\DbManagerBluetooth(LSBT_DB);
$dbManagerMedia = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);
$validator = new Validator();

define('ERR_PREFIX_SCAN', _('Scan for Bluetooth Devices'));
define('DEVICE_NAME_MAX_LENGTH', 212); //31

if ((isset($_POST)) && (!empty($_POST))) {
  // Files to bluetooth
  $bluetoothMediaArray = array();
  if (isset($_POST['bluetooth_media'])) {
    $bluetoothMediaArray = $_POST['bluetooth_media'];
  }

  // Bluetooth settingss
  $bluetoothDeviceName = strip_tags($_POST['bluetooth_device_name']);
  $validator->validateTextInputMaxLengthNotBlank($bluetoothDeviceName, _('Device Name'), DEVICE_NAME_MAX_LENGTH);
  $bluetoothMaxPushRetry = $_POST['bluetooth_max_push_retry'];
  $validator->validateInt($bluetoothMaxPushRetry, _('Maximum Push Retries'));
  $bluetoothRejectedDelay = $_POST['bluetooth_rejected_delay'];
  $validator->validateInt($bluetoothRejectedDelay, _('Timeout Length'));
  $bluetoothScanForDevices = Validator::formatCheckboxOneZero(@$_POST['scan_for_bluetooth_devices']);

  if ($validator->formErrorsIsEmpty()) {
      // Enable or disable bluetooth files
      $dbManagerMedia->openDb();
        if (!$dbManagerMedia->mediaSetBluetoothEnabledWithIdArray($bluetoothMediaArray)) {
          $validator->addFormErrorSaveFailed();
        }
      $dbManagerMedia->closeDb();

      // Save settings
      $dbManagerBluetooth->openDb();
        $dbManagerBluetooth->settingsSetKeyValue("device_name", $bluetoothDeviceName);
        $dbManagerBluetooth->settingsSetKeyValue("max_push_retry", $bluetoothMaxPushRetry);
        $dbManagerBluetooth->settingsSetKeyValue("reject_delay", $bluetoothRejectedDelay);
        $dbManagerBluetooth->settingsSetKeyValue("scan_for_devices", $bluetoothScanForDevices);
      $dbManagerBluetooth->closeDb();

      // restart the lsbt service via incrond service
      $lightStreamServices = new \Renew\Utilities\LightStreamServices();
      // always returns true
      if ($lightStreamServices->rebootBluetooth() === FALSE) {
        error_log('Unable to restart the bluetooth service properly');
      }
  }

  // Return to ajax
  echo $validator->ajaxFormResponse();
  exit();
}

$dbManagerBluetooth->openDb();
  $t->assign('bluetooth_device_name', $dbManagerBluetooth->settingsGetValueForKey('device_name'));
  $t->assign('bluetooth_max_push_retry', $dbManagerBluetooth->settingsGetValueForKey('max_push_retry'));
  $t->assign('bluetooth_rejected_delay', $dbManagerBluetooth->settingsGetValueForKey('reject_delay'));
  $t->assign('bluetooth_scan_for_devices', $dbManagerBluetooth->settingsGetValueForKey('scan_for_devices'));
$dbManagerBluetooth->closeDb();

$dbManagerMedia->openDb();
  $bluetoothMediaArray = $dbManagerMedia->mediaGetAllBluetoothEnabledMediaAddPathRel();
$dbManagerMedia->closeDb();

$t->assign('bluetooth_media_array', $bluetoothMediaArray);
$t->assign('page_title', _('Bluetooth Settings'));
$t->assign('current_page', 'settings');
$t->assign('current_settings', 'bluetooth');
$t->assign('device_name_max_length', DEVICE_NAME_MAX_LENGTH);
templateDisplayPageAdmin('admin' . DS . 'settings' . DS . 'bluetooth.tpl');
