<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once('Renew' . DS . 'Utilities' . DS . 'LightStreamServices.php');
require_once('..' . DS . 'includes' . DS . 'secure_boot.php'); // shared code with security.php
use \Renew\Validator as Validator;

$autoBootEnabledFile = SYS_ROOT_DIR . DS . 'boot' . DS . "autoBootEnabled.opt";
$validator = new Validator();

define('MODE_AUTO', 'auto');

if (isset($_POST, $_POST['ajax'])) {

    $lightStreamServices = new \Renew\Utilities\LightStreamServices();
    if ((isset($_POST['reboot-method'])) && ($_POST['reboot-method'] == 'shutdown')) {
      if ($lightStreamServices->shutdown()) {
        error_log('Shut Down initiated');
        echo $validator->ajaxFormResponse();
        exit();
      }
    } elseif ((isset($_POST['reboot-method'])) && ($_POST['reboot-method'] == 'reboot')) {
      if ($lightStreamServices->reboot()) {
        error_log('Reboot initiated');
        echo $validator->ajaxFormResponse();
        exit();
      }
    }

    // Radio startup mode
    $startupMode = $_POST['startup_mode'];

    // Secure boot (also used in security.php)
    saveSecureBoot($startupMode);

    // Auto Boot check
    $autoBootEnabled = FALSE;
    if ($startupMode === MODE_AUTO) {
      $autoBootEnabled = TRUE;
    }

    // Save
    if ($validator->formErrorsIsEmpty()) {
      if ($autoBootEnabled) {
        `sudo /usr/bin/touch "{$autoBootEnabledFile}"`;
      }
      else {
        `sudo /bin/rm "{$autoBootEnabledFile}"`;
      }
    }
    if (file_exists($autoBootEnabledFile) !== $autoBootEnabled) {
      $validator->addFormErrorSaveFailed();
      error_log('Error: auto boot save failed.');
    }

    // Return to ajax
    echo $validator->ajaxFormResponse();
    exit();
}

$autoBootEnabled = file_exists($autoBootEnabledFile);
$secureBootEnabled = file_exists($secureBootEnabledFile);

$t->assign("auto_boot_enabled", $autoBootEnabled);
$t->assign("secure_boot_enabled", $secureBootEnabled);
$t->assign("page_title", _('Power Settings'));
$t->assign('current_page', 'settings');
$t->assign('current_settings', 'power');
templateDisplayPageAdmin('admin' . DS . 'settings' . DS . 'power.tpl');
