<?php

require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "SatelliteManager.php");
require_once("Renew" . DS . "Utilities" . DS . "Validator.php");
use \Renew\Validator as Validator;
$validator = new Validator();

// create the database
$satellite_db = new SQLite3(SATELLITE_DB);
$satellite_db->busyTimeout(5000);

$satelliteManager = new \Renew\SatelliteManager($satellite_db);

$txfrequencyOptions = array(
    _("Daily") => '1 day',
    _("Each Sunday & January 1st") => '7 days',
);

if (isset($_POST, $_POST['ajax'])) {

	if (isset($_POST, $_POST['_method'])) {
	    if ($_POST['_method'] == 'transmit_test') {
				if (!$satelliteManager->setSetting("transmit_test", "true")) {
					$validator->addFormErrorSaveFailed();
				}
				else {
					exec('sudo /usr/bin/rwo_satellite.sh > /dev/null 2>/dev/null &');
				}
	    }
	}

    $txFrequency = strip_tags($_POST['txfrequency']);
    if (!$satelliteManager->setTxFrequency($txFrequency)) {
        $validator->addFormErrorSaveFailed();
    }

		echo $validator->ajaxFormResponse();
    exit();
}

// get the saved option
$txfrequency = $satelliteManager->getTxFrequency();

// destroy the database
$satellite_db->close();
unset($satellite_db);

$txfrequencyValue = array_search($txfrequency, $txfrequencyOptions);

// NOTE: satellite_cable_connected assigned in secure.php
$t->assign("page_title", _('Satellite'));
$t->assign('current_page', 'settings');
$t->assign('current_settings', 'satellite');
$t->assign("txfrequency", $txfrequency);
$t->assign("txfrequency_options", $txfrequencyOptions);
templateDisplayPageAdmin('admin' . DS . 'settings'  . DS . 'satellite.tpl');
