<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once('Renew' . DS . 'Utilities' . DS . 'LightStreamServices.php');
require_once('Renew' . DS . 'SystemHelper.php');
require_once('Renew' . DS . 'DbManagerMedia.php');
require_once('..' . DS . 'includes' . DS . 'secure_boot.php'); // shared code with power.php
require_once('..' . DS . 'includes' . DS . 'wifi_password.php'); // shared code with wifi.php
use \Renew\Validator;
use \Renew\SystemHelper;

$dbManagerMedia = new \Renew\DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);
$validator = new Validator();
$lightStreamServices = new \Renew\Utilities\LightStreamServices();

define('MODE_DEFAULT', 'default');

if (isset($_POST, $_POST['ajax'])) {
  if (isset($_POST['type'])) {
    switch($_POST['type']) {
      case 'factory_restore':
        $lightStreamServices = new \Renew\Utilities\LightStreamServices();
        if (!SystemHelper::SystemResetDefaults()) {
          $validator->addFormErrorSaveFailed();
        } else {
          $lightStreamServices->reboot();
        }
      break;
    }
    echo $validator->ajaxFormResponse();
    exit();
  }

  // Secure boot (also used in security.php)
  $startupMode = '';
  if (Validator::formatCheckboxBoolean(@$_POST['secure_boot_enabled'])) {
    $startupMode = MODE_SECURE;
  }
  saveSecureBoot($startupMode);

  // Site Logo
  $generalLogoEnabled = Validator::STRING_TRUE;
  if (Validator::formatCheckboxBoolean(@$_POST['disable_site_logo'])) {
    $generalLogoEnabled = Validator::STRING_FALSE;
  }

  // WiFi PW
  validateWifiPasswordHelper();

  // Followup form
  $formFollowupEnabled = Validator::STRING_TRUE;
  if (Validator::formatCheckboxBoolean(@$_POST['disable_followup_form'])) {
    $formFollowupEnabled = Validator::STRING_FALSE;
  }
  if ($formFollowupEnabled === Validator::STRING_TRUE) {
    $formEmailEnabled = Validator::STRING_TRUE;
    if (Validator::formatCheckboxBoolean(@$_POST['disable_followup_form_email'])) {
      $formEmailEnabled = Validator::STRING_FALSE;
    }
  }

  // Save
  if ($validator->formErrorsIsEmpty()) {
    $saveSettings = array(
      'general_logo_enabled' => $generalLogoEnabled,
      'wifi_password_enabled' => $wifiPasswordEnabled,
      'form_followup_enabled' => $formFollowupEnabled
    );
    if ($formFollowupEnabled === Validator::STRING_TRUE) {
      $saveSettings['form_email_enabled'] = $formEmailEnabled;
    }
    if ($wifiPasswordEnabled === Validator::STRING_TRUE) {
      $saveSettings['wifi_password'] = $wifiPassword;
    }

    $dbManagerWifi->openDb();
      if(!$dbManagerWifi->settingsSetKeyValueArray($saveSettings)) {
        $validator->addFormErrorSaveFailed();
      }
    $dbManagerWifi->closeDb();
  }

  echo $validator->ajaxFormResponse();
  exit();
}

$dbManagerWifi->openDb();
  $generalLogoEnabled = $dbManagerWifi->settingsGetValueForKey('general_logo_enabled');
  $formFollowupEnabled = $dbManagerWifi->settingsGetValueForKey('form_followup_enabled');
  $formEmailEnabled = $dbManagerWifi->settingsGetValueForKey('form_email_enabled');
  $wifiPasswordEnabled = $dbManagerWifi->settingsGetValueForKey('wifi_password_enabled');
  $wifiPassword = $dbManagerWifi->settingsGetValueForKey('wifi_password');
$dbManagerWifi->closeDb();

$secureBootEnabled = file_exists($secureBootEnabledFile);
$disableFollowupForm = FALSE;
if ($formFollowupEnabled === Validator::STRING_FALSE) {
  $disableFollowupForm = TRUE;
}
$disableFormEmail = FALSE;
if ($formEmailEnabled === Validator::STRING_FALSE) {
  $disableFormEmail = TRUE;
}

$t->assign('secure_boot_enabled', $secureBootEnabled);
$t->assign('general_logo_enabled', Validator::StringToBoolean($generalLogoEnabled));
$t->assign('disable_followup_form', $disableFollowupForm);
$t->assign('disable_followup_form_email', $disableFormEmail);
$t->assign('wifi_password_enabled', Validator::StringToBoolean($wifiPasswordEnabled));
$t->assign('wifi_password', $wifiPassword);

$t->assign('page_title', _('Security Settings'));
$t->assign('current_page', 'settings');
$t->assign('current_settings', 'security');
templateDisplayPageAdmin('admin' . DS . 'settings' . DS . 'security.tpl');
