<?php

/**
 * Set the default languages for the captive popral popup
 * 
 * @param $setEvenIfLanguagesHaveBeenSet If FALSE, function will only run if no languages are currently set
 */
function captivePortalSetDefaultLanguages($setEvenIfLanguagesHaveBeenSet = TRUE) {
  global $dbManagerMedia;
  global $dbManagerWifi;

  $success = TRUE;

  $dbManagerWifi->openDb();
  $captivePortalLanguages = $dbManagerWifi->captivePortalLanguagesGetAll();

  // If there are no captive portal languages customized by user
  $langugesHaveNotBeenSet = empty($captivePortalLanguages);
  if ($setEvenIfLanguagesHaveBeenSet || $langugesHaveNotBeenSet) {
    $defaultMessagesSaveArray = array();

    // Get default language translations included on the LightStream
    $captivePortalDefaultMessages = $dbManagerWifi->captivePortalGetAllDefaultMessages();
    $success &= $captivePortalDefaultMessages;
    $dbManagerMedia->openDb();
      foreach($captivePortalDefaultMessages as $defaultMessage) {
        $languageIso = $defaultMessage['language_iso'];
        $message = $defaultMessage['message'];
        $language = $dbManagerMedia->languagesGetWithIso($languageIso);
        if ($language) {
          $languageDisplayName = $language['name_localized'];
          $defaultMessagesSaveArray[] = array(
            'language_display_name' => $languageDisplayName,
            'language_iso' => $languageIso,
            'message' => $message
          );
        }
      }
    $dbManagerMedia->closeDb();

    // Save default languages
    $success &= $dbManagerWifi->captivePortalLanguagesUpdateWithArray($defaultMessagesSaveArray);
  }
  $dbManagerWifi->closeDb();

  return $success;
}