<?php
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'secure.php');
require_once('..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DS . "Utilities" . DS . "Validator.php");
require_once("Renew" . DS . "Utilities" . DS . "Uploader.php");
require_once("Renew" . DS . "Utilities" . DS . "LightStreamServices.php");
use \Renew\Validator as Validator;

$validator = new Validator();
$fileData = array();

if (isset($_POST, $_POST['ajax'])) {
	$tempFilePathAbs = DOC_ROOT . $_POST['temp_file_path']; // Starts with '/'
	$fileName = $_POST['file_name'];

	// Create / empty uploads directory
	$uploadDirectory = TEMP_UPLOADS_DIR . DS . 'firmware';
	if (!is_dir($uploadDirectory)) {
		mkdir($uploadDirectory, 0755, TRUE);
	} else {
		array_map('unlink', glob($uploadDirectory . DS . "*"));
	}

	// Create path to move uploaded firmware to
	$newPathAbs = $uploadDirectory . DS . $fileName;

	if (!rename($tempFilePathAbs, $newPathAbs)) {
		$validator->addFormErrorString(_('Update failed'));
	} else {
		unlink($tempFilePathAbs); // Delete file
		rmdir(dirname($tempFilePathAbs)); // Remove empty outer folder created by fineuploader
	}

	if ($validator->formErrorsIsEmpty()) {
		$allowedMimeTypes = array(
			'application/gzip',
			'application/x-gzip'
		);

		// Determine Internet media type of firmware file.
		$finfo = finfo_open(FILEINFO_MIME_TYPE);
		$firmwarePath = $newPathAbs; //$uploadDirectory . DS . $firmware['name'];
		$mimeType = finfo_file($finfo, $firmwarePath);
		if (!in_array($mimeType, $allowedMimeTypes)) {
			unlink($firmwarePath); // Delete file
			$validator->addFormErrorString(sprintf(_('File type not allowed. Upload one of these file types: %s'), ".tar.gz"));
		}
	}

	if ($validator->formErrorsIsEmpty()) {
		$lightStreamServices = new \Renew\Utilities\LightStreamServices();

		// Check whether firmware update is triggered.
		if ($lightStreamServices->updateFirmware() === FALSE) {
			$validator->addFormErrorString(_('Unable to update software.'));
		}
	}

	echo $validator->ajaxFormResponse();
	exit();
}
