<?php

/**
 * Process a delete.
 * @param string GET sd=true : include sd stats
 * @param string GET bluetooth=true : include bluetooth stats
 * @param string GET system=true : include system stats
 * @param string GET wifi=true : include wifi stats
 * @param string GET wifi_id_gt=int : inly get recent activity with interaction_id >
 * @param string GET sd=int : inly get recent activity with interaction_id >
 */

require_once(dirname(dirname(dirname(__FILE__))) . DIRECTORY_SEPARATOR . 'common.php');
require_once("Renew" . DIRECTORY_SEPARATOR . "DbManagerBluetooth.php");
require_once("Renew" . DIRECTORY_SEPARATOR . "DbManagerSd.php");
require_once("Renew" . DIRECTORY_SEPARATOR . "DbManagerWifi.php");
require_once("Renew" . DIRECTORY_SEPARATOR . "DateHelper.php");
require_once("Renew" . DIRECTORY_SEPARATOR . "DeviceInfo.php");


function getSqlTimestampFromGetArrayKey($key, $default){
	try {
		if (isset($_GET, $_GET[$key])) {
			$timeFloat = (float) strip_tags($_GET[$key]); // expect this to be a unix string
			return Renew\DateHelper::UnixTimestampToSqliteTime($timeFloat);
		}
		else {
			return $default;
		}
	} catch (Exception $e) {
		header('HTTP/1.1 400 Error');
		die("The key {$key} had a format error");
	}
}

function getValueFromGetArray($key, $default){
	try {
		if (isset($_GET, $_GET[$key])) {
			$value = strip_tags($_GET[$key]); // expect this to be a unix string
			return $value;
		}
		else {
			return $default;
		}
	} catch (Exception $e) {
		header('HTTP/1.1 400 Error');
		die("The key {$key} had a format error");
	}
}


$requestMethod = $_SERVER['REQUEST_METHOD'];
if ($requestMethod == 'GET') {
	$returnArray = array();

	/*
	$timeStartDefault = '0000-00-00 00:00:00.000';
	$timeStart = getSqlTimestampFromGetArrayKey('time_start', $timeStartDefault);
	$timeStartUnix = DateHelper::SqliteTimeToUnixTimestamp($timeStart);
	$returnArray['time_start'] = intval($timeStartUnix);

	$timeEnd = getSqlTimestampFromGetArrayKey('time_end', DateHelper::DateTimeStringSQLite3());
	$timeEndUnix = DateHelper::SqliteTimeToUnixTimestamp($timeEnd);
	$returnArray['time_end'] = intval($timeEndUnix);

	$limit = getValueFromGetArray('limit', 10);
	if ($limit == 0 || $limit > 5000) {
		$limit = 5000; // enforce a max limit
	}
*/

	if (isset($_GET, $_GET['wifi']) && strtolower($_GET['wifi']) == 'true') {
		$wifiArray = array();
		//$stats = $dbManagerWifi->setDateTimeBetweenClause($timeStart, $timeEnd);
		$dbManagerWifi->openDb();
			$wifiArray['streams'] = $dbManagerWifi->statsGetOverTimeStreams();
			$wifiArray['downloads'] = $dbManagerWifi->statsGetOverTimeDownloads();
			$wifiArray['devices'] = $dbManagerWifi->statsGetOverTimeUniqueDevices();
			$wifiArray['devices']['current'] = \Renew\DeviceInfo::GetCurrentlyConnectedDevicesCount();
			$wifiArray['top-files'] = $dbManagerWifi->statsGetStreamsAndDownloadsByFileid(5, TRUE);
			$limit = 10;
			$idGt = 0;
			if (isset($_GET, $_GET['wifi_id_gt']) && is_int(intval($_GET['wifi_id_gt']))) {
				$limit = NULL;
				$idGt = intval($_GET['wifi_id_gt']);
			}
			$wifiArray['recent-activity'] = $dbManagerWifi->statsGetRecentActivity($limit, TRUE, $idGt);
			$returnArray['wifi'] = $wifiArray;
		$dbManagerWifi->closeDb();
	}

	if (isset($_GET, $_GET['sd']) && strtolower($_GET['sd']) == 'true') {
		$sdArray = array();
		$dbManagerSd = new Renew\DbManagerSd(LSSD_DB);
		//$stats = $dbManagerWifi->setDateTimeBetweenClause($timeStart, $timeEnd);
		$dbManagerSd->openDb();
		$sdArray['sessions'] = $dbManagerSd->statsGetOverTimeSessions();
		$sdArray['files'] = $dbManagerSd->statsGetOverTimeFiles();
		$sdArray['data'] = $dbManagerSd->statsGetOverTimeData();
		$returnArray['sd'] = $sdArray;
		$dbManagerSd->closeDb();
	}

	if (isset($_GET, $_GET['bluetooth']) && strtolower($_GET['bluetooth']) == 'true') {
		$bluetoothArray = array();
		$dbManagerBluetooth = new Renew\DbManagerBluetooth(LSBT_DB);
		//$stats = $dbManagerWifi->setDateTimeBetweenClause($timeStart, $timeEnd);
		$dbManagerBluetooth->openDb();
		$bluetoothArray['devices'] = $dbManagerBluetooth->statsGetOverTimeUniqueDevices();
		$bluetoothArray['success-devices'] = $dbManagerBluetooth->statsGetOverTimeSuccessfulPushesUniqueDevices();
		$bluetoothArray['success-files'] = $dbManagerBluetooth->statsGetOverTimeSuccessfulPushes();
		$returnArray['bluetooth'] = $bluetoothArray;
		//$wifiArray['interactions'] = $dbManagerWifi->statsGetAll($limit);
		$dbManagerBluetooth->closeDb();
	}

	if (isset($_GET, $_GET['system']) && strtolower($_GET['system']) == 'true') {
		$systemArray = array();
		$returnArray['system'] = $sdArray;
		//$wifiArray['interactions'] = $dbManagerWifi->statsGetAll($limit);
		$dbManagerWifi->closeDb();
	}

	echo json_encode($returnArray);
}
