<?php
require_once(dirname(dirname(dirname(__FILE__))) . DIRECTORY_SEPARATOR . 'common.php');

/**
 * Process a delete.
 * @param string GET serial = the hardware id of the request (Required)
 * @param string GET version = the current software version (Required)
 */

 /**
 *@return json data with
 * newest_version = most recent version of the software
 * updates = an array of updates, each update is an assocative array has a url, size (in bytes), md5, and version
 * error = an error if you have a bad request ... etc
 */

define('API_ERROR_REQUIRED_PARAM', 'API_ERROR_REQUIRED_PARAM');
define('API_ERROR_BAD_PARAM', 'API_ERROR_BAD_PARAM');

$requestMethod = $_SERVER['REQUEST_METHOD'];
if ($requestMethod === 'GET') {
	$returnArray = array();
	$serial = '';
	$version = '';
	$newestVersion = '4.1.0';
	$error = FALSE;

	// get and validate data
	if (isset($_GET, $_GET['serial'])) {
		$serial = $_GET['serial'];
	}
	else {
		$error = API_ERROR_REQUIRED_PARAM;
	}

	if (isset($_GET, $_GET['version'])) {
		 $version = $_GET['version'];
		if (!preg_match("/^[0-9]+\.[0-9]+\.[0-9]+$/", $version)) {
			$error = API_ERROR_BAD_PARAM;
		}
	}
	else {
		$error = API_ERROR_REQUIRED_PARAM;
	}

	// no error
	if ($error === FALSE) {
		$updateArray = array();
		$updateArray['version'] = '4.1.0';
		$updateArray['url'] = 'media/master/firmware.tar.gz';
		$updateArray['md5'] = 'todo make some md5';
		$updateArray['size'] = 1000000000;

		$updatesArray = array();
		$updatesArray['4.1.0'] = $updateArray;

		$returnArray['newest_version'] = $newestVersion;
		$returnArray['updates'] = $updatesArray;
	} else {
		$returnArray['error'] = $error;
	}

	echo json_encode($returnArray);
}
