<?php
require_once('common.php');
require_once('Renew/DbManagerWifi.php');
require_once('Renew/DbManagerMedia.php');
require_once('Renew/DateHelper.php');
require_once('admin/utilities/agent_browser_is_safari.php');
use \Renew\DbManagerWifi;
use \Renew\DbManagerMedia;
use \Renew\Validator;
$isAppleDevice = agentIsSafari();
$dbManagerMedia = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);

// Force set the session variable because some user agents have old session variables
$dbManagerWifi->openDb();
  setDeviceIdSessionVariable($dbManagerWifi);
$dbManagerWifi->closeDb();

$languageId = '';
if (isset($_GET)) {
  // Check $isAppleDevice because some non-apple devices make requests to captive.apple.com
  if (isset($_GET['iosRedirect']) && $isAppleDevice) {
    $t->display('user/captive_portal_ios_redirect.tpl');
    exit();
  }
  if (isset($_GET['id'])) {
    $languageId = $_GET['id'];
  }
  if (isset($_GET['success'])) {
    $success = Validator::StringToBoolean($_GET['success']);
    
    // If we have gotten to the success screen, set portal-ok in the stats
    if ($success === TRUE) {
      $t->display('user/captive_portal_success.tpl');
      exit();
    }
  }
}

$dbManagerWifi->openDb();
  $t->assign('site_url', $dbManagerWifi->settingsGetValueForKey('site_url'));
  $captivePortalMode = $dbManagerWifi->settingsGetValueForKey('captive_portal_mode');
  if ($captivePortalMode === 'default') {
    if ($languageId) {
      $t->assign('captive_portal_language_current', $dbManagerWifi->captivePortalLanguagesGetWithId($languageId));
    } else {
      $t->assign('captive_portal_languages', $dbManagerWifi->captivePortalLanguagesGetAll());
    }
  } else if ($captivePortalMode === 'message') {
    $captivePortalModeMessageMediaFileId = $dbManagerWifi->settingsGetValueForKey('captive_portal_mode_message_media_file_id');
    $captivePortalModeMessageMediaFile = NULL;
    if ($captivePortalModeMessageMediaFileId !== DbManagerMedia::FILE_ID_DEFAULT) {
      $dbManagerMedia->openDb();
        $captivePortalModeMessageMediaFile = $dbManagerMedia->mediaGetFileWithId($captivePortalModeMessageMediaFileId);
        if ($captivePortalModeMessageMediaFile === FALSE) {
          error_log('Err: captive portal mode get video file failed');
          $captivePortalModeMessageMediaFile = NULL;
        }
      $dbManagerMedia->closeDb();
    }
    $t->assign('captive_portal_title', $dbManagerWifi->settingsGetValueForKey('captive_portal_title'));
    $t->assign('captive_portal_message', $dbManagerWifi->settingsGetValueForKey('captive_portal_message'));
    $t->assign('captive_portal_mode_message_media_file', $captivePortalModeMessageMediaFile);
    $t->assign('captive_portal_mode_message_media_autoplay', $dbManagerWifi->settingsGetValueForKey('captive_portal_mode_message_media_autoplay'));
  } 
$dbManagerWifi->closeDb();
$t->assign('is_apple_device', $isAppleDevice);
$t->assign('captive_portal_mode', $captivePortalMode);
$t->assign('serial_number', $serialNumber);
$t->display('user/captive_portal.tpl');
