<?php
require_once('common.php');
require_once('Renew' . DS . 'DbManagerWifi.php');
require_once('Renew' . DS . 'DateHelper.php');
use \Renew\DbManagerWifi as DbManagerWifi;

// If request is coming from a wifi box, return internet disconnected
$headers = getallheaders(); 
$isWifiBox = isset($headers['Box']); 
if ($isWifiBox) {
  http_response_code(503);
  exit();
}

function return204AndExit() {
  // this captive type variable should be set in the nginx configuration file
  if ($_SERVER['CAPTIVE_TYPE'] === 'ios') {
    // this is what iPhones expect to see when they are connected to the internet
    echo '<HTML><HEAD><TITLE>Success</TITLE></HEAD><BODY>Success</BODY></HTML>';
    http_response_code(200);
  } else {
    http_response_code (204);
  }
  exit();
}

function return302ToPortalAndExit($url) {
  $url = strtolower($url);
  if ($_SERVER['CAPTIVE_TYPE'] === 'ios') {
    header("Location: http://{$url}/captive_portal.php?iosRedirect=true");
  } else {
    header("Location: http://{$url}/captive_portal.php");
  }
  exit();
}

$dbManagerWifi->openDb();
  // force set the session variable because some user agents have old session variables
  setDeviceIdSessionVariable($dbManagerWifi);
  $lastInteraction = $dbManagerWifi->statsGetLastInteractionFromDeviceWithId($_SESSION['device_id']);
  $siteUrl = $dbManagerWifi->settingsGetValueForKey('site_url');
  $captivePortalMode = $dbManagerWifi->settingsGetValueForKey('captive_portal_mode');
$dbManagerWifi->closeDb();

if ($captivePortalMode === 'disabled') {
  // portal is disabled ... just return 204
  return204AndExit();
} else if ($lastInteraction['interaction_type'] === DbManagerWifi::INTERACTION_TYPE_CONNECT
  || $lastInteraction['interaction_type'] === DbManagerWifi::INTERACTION_TYPE_DISCONNECT) { // Check INTERACTION_TYPE_DISCONNECT as well for mac captive portal not popping issue on reconnect?
  return302ToPortalAndExit($siteUrl);
} else {
  // the phone has made it past the portal page
  return204AndExit();
}