<?php
/**
 * required for IE, otherwise Content-disposition is ignored
 */
if (ini_get('zlib.output_compression')) {
  ini_set('zlib.output_compression', 'Off');
}

require 'common.php';
require_once ("Renew" . DS . "DbManagerWifi.php");
require_once ("Renew" . DS . "DbManagerMedia.php");
require_once ("Renew" . DS . "DateHelper.php");
require_once ("Renew" . DS . "DeviceInfo.php");
use \Renew\DbManagerWifi as DbManagerWifi;
use \Renew\DbManagerMedia as DbManagerMedia;
use \Renew\DeviceInfo;

$id = NULL;
$type = NULL;

if (isset($_GET, $_GET['id'])) {
	$id = $_GET['id'];
} else {
	$id = NULL;
}

if (isset($_GET, $_GET['type'])) {
	$type = $_GET['type'];
} else {
	exit();
}

// TODO: These used to be ''. Is it okay to change them to NULL?
$fileId = NULL;
$filePathRel = NULL;
$fileName = NULL;
$fileExtension = NULL;
if ($id !== NULL) {
  $mediaDbManager = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);
  $mediaDbManager->openDb();
  $file = $mediaDbManager->mediaGetFileWithId($id, TRUE); // add the TRUE to inclide path_rel key
  if ($file === FALSE) {
  	error_log("error, trying to increment stats for an ID that does not exist in the database:{$id}");
  	exit();
  }
  else {
    $fileId = $file['file_id'];
    $filePathRel = $file['path_rel'];
    $fileName = $file['file_name'];
    $fileExtension = $file['file_extension'];
  }
}

// Set device ID, from request, or from GET request if request is coming locally
if (isset($_GET, $_GET['deviceNum']) && DeviceInfo::RequestingDeviceIpIsLocalhost($_SERVER)) {
  // Get from node
  $deviceNum = $_GET['deviceNum'];
  $dbManagerWifi->openDb();
    $deviceId = $dbManagerWifi->devicesGetDeviceIdWithDeviceNum($deviceNum);
  $dbManagerWifi->closeDb();
  if ($deviceId === FALSE) {
    error_log('ERR: Get device ID failed');
    exit();
  }
} else {
  // Force set the session variable because some user agents have old session variables
  $dbManagerWifi->openDb();
    setDeviceIdSessionVariable($dbManagerWifi);
  $dbManagerWifi->closeDb();
  $deviceId = $_SESSION['device_id'];
}

if ($type === DbManagerWifi::INTERACTION_TYPE_HOMEPAGE) {
  // check to see if it is the first homepage visit since connect
  // if it is the first homepage hit since a connect, record the event
  $dbManagerWifi->openDb();
    $isFirstHomepageVisit = $dbManagerWifi->checkIsFirstWifiVisitByDeviceId($deviceId);
  $dbManagerWifi->closeDb();
  if (!$isFirstHomepageVisit) {
    exit();
  }
}

$dbManagerWifi->openDb();
  $dbManagerWifi->statsInsert($type, $deviceId, NULL, NULL, $fileId, $filePathRel, $fileName, $fileExtension);
$dbManagerWifi->closeDb();
exit();
