<?php

namespace Renew;

class ArrayHelper {

  public static function ArrayDiff($array1, $array2) {
    $map = array();
    foreach ($array1 as $v1) {
      $map[$v1] = 1;
    }
    foreach ($array2 as $v2) {
      unset($map[$v2]);
    }
    return array_keys($map);
  }

  public static function ArrayDiffMapArray($map, $array) {
    foreach ($array as $v2) {
      unset($map[$v2]);
    }
    return array_keys($map);
  }

  public static function InArray($needle, $haystack){
    $map = array();
    foreach ($haystack as $v1) {
      $map[$v1] = 1;
    }
    return isset($map[$needle]);
  }

  /**
   * If an ArrayList with a matching key, value pair exists, return the first one. If not, return false
   * @return Mixed: AssociativeArray or FALSE
   */
  public static function GetArrayListWithKeyValueFromArray($arrayListArray, $key, $value, $retValOnNotFound = FALSE, $urlDecodeComparison = TRUE) {
    if ($urlDecodeComparison) {
      $value = urldecode($value);
    }
    foreach ($arrayListArray as $currentItemArrayList) {
      $currentKey = $currentItemArrayList[$key];
      if ($urlDecodeComparison) {
        $currentKey = urldecode($currentKey);
      }
      if ($currentKey === $value) {
        return $currentItemArrayList;
      }
    }
    return $retValOnNotFound;
  }

  /**
  * Returns an associative array of the form '1' => 1, '2' => 2, etc.
  *
  * @param $minValue
  * @param $maxValue
  * @return AssociativeArray
  */
  public static function GetAssociativeArrayOfNumbers($minValue, $maxValue) {
    $numberArray = array();
    for ($i = $minValue; $i <= $maxValue; $i++) {
      $numberArray[$i] = $i;
    }
    return $numberArray;
  }

  /**
   * Get a standardized format for paginated responses to requests, as an arraylist with data, offset, and more parameters
   * @param $data the data retrieved from the db
   * @param $page the page to retrieve that data from
   * @param $limit the limit of the paginated request
   * @param $totalCount the total count of the items in the database that is being access for paginated data
   */
  public static function GetPaginatedResponse($data, $page, $limit, $count) {
    $more = (($page + 1) * $limit) < $count;
    return array(
      'data' => $data,
      'page' => $page,
      'more' => $more
    );
  }
}
