<?php

namespace Renew;

class CacheHelper {

  const PASSWORD_PROTECTED_FILE_ID_ARRAY = 'PASSWORD_PROTECTED_FILE_ID_ARRAY';

  public $cache;
  public function __construct($docrineCacheObject) {
    $this->cache = $docrineCacheObject;
  }

  /**
   * Check to see if we need to check for password protected media
   */
  public function protectedFileIdArrayExists() {
    return $this->cache->contains(self::PASSWORD_PROTECTED_FILE_ID_ARRAY);
  }

  /**
   * Get count of password protected media, or false if it hasn't been set
   */
  public function getProtectedFileIdArray() {
    if ($this->cache->contains(self::PASSWORD_PROTECTED_FILE_ID_ARRAY)) {
      return json_decode($this->cache->fetch(self::PASSWORD_PROTECTED_FILE_ID_ARRAY), TRUE);
    }
    return FALSE;
  }

  /**
   * @param $count the number of password protected media items
   */
  public function setProtectedFileIdArray($array) {
    $this->cache->save(json_encode(self::PASSWORD_PROTECTED_FILE_ID_ARRAY, TRUE), $array);
  }

  public function flushAll() {
    $this->cache->flushAll();
  }

  // public function checkFileIdIsAuthenticated($fileId) {
  //   return isset($_SESSION[self::SESSION_MEDIA_AUTHENTICATED_ARRAY]) 
  //     && in_array($fileId, $_SESSION[self::SESSION_MEDIA_AUTHENTICATED_ARRAY]);
  // }

  // public function authenticateFileId($fileId) {
  //   if (!isset($_SESSION[self::SESSION_MEDIA_AUTHENTICATED_ARRAY])) {
  //     $_SESSION[self::SESSION_MEDIA_AUTHENTICATED_ARRAY] = array();
  //   }
  //   $_SESSION[self::SESSION_MEDIA_AUTHENTICATED_ARRAY][] = $fileId;
  // }
}
    