<?php

namespace Renew;

class SatelliteManager {
    /**
     *
     * @var SQLite3
     * @access private
     */
    private $db;


    public function __construct($db) {
        $this->db = $db;
    }

    public function getTxFrequency() {
        return $this->getSetting("txfrequency");
    }

    public function setTxFrequency($frequency) {
        return $this->setSetting("txfrequency", $frequency);
    }

    public function setSetting($key, $value){
        try{
            $stmt = $this->db->prepare( "INSERT OR REPLACE INTO settings (key, value) VALUES (:key, :value)");
            $stmt->bindValue(':key', $key);
            $stmt->bindValue(':value', $value);
            $result = $stmt->execute();
            return $result;
        }
        catch (Exception $e){
            return false;
        }
    }

    public function getSetting($key)
    {
        try{
            $stmt = $this->db->prepare("SELECT value FROM settings WHERE key = :key");
            $stmt->bindValue(':key', $key);
            $results = $stmt->execute();
            return $results->fetchArray(SQLITE3_ASSOC)["value"];
        }catch (Exception $e){
            return false;
        }
    }

}
