<?php
namespace Renew;

use \Smarty as Smarty;

class TemplateManager extends Smarty
{

    /**
     * Initialize the Class.  We set the Smarty Defaults by extending the Smarty class.
     *
     * @param string $baseDir the base directory for the website
     * @return void
     * @author JPul
     **/
    public function __construct($baseDir)
    {
        $baseDir = rtrim($baseDir, DIRECTORY_SEPARATOR) . DIRECTORY_SEPARATOR;
        //date_default_timezone_set('America/New_York');
        parent::__construct();
        $this->setTemplateDir($baseDir . 'templates');
        $this->setCompileDir($baseDir . 'templates_c');
        $this->setConfigDir($baseDir . 'config');
        $this->setCacheDir($baseDir . 'cache');

        $this->caching = Smarty::CACHING_OFF;
        $this->cache_lifetime = -1; // Don't refresh the cache automatically
        $this->assign('app_name', 'LightStream');
    }
}
