<?php

/*
 * A script that will add pieces of media with specified full paths
 * To call this script from the command line:
 * $ php <-wbu> "/full/path/1" "/full/path/2" ... "/full/path/n"
 * Will add media with the full path to the sqlite database
 * Options:
 * -w make available over wifi
 * -b make available over bluetooth
 * -u make available over usb
 *
 * All options must be specified in first parameter
 * If options are omitted, the media will be added to the database without making it available to any of the destinations
 */

// include the settings for php functions to run from the command line
require_once(dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'config' . DIRECTORY_SEPARATOR . 'settings_cmdline.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'StringHelper.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'DbManagerMedia.php');
use \Renew\DbManagerMedia as DbManagerMedia;
$mediaDbManager = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);

if ($argc < 2){
    exit ();
}

$mediaDbManager->openDb();
// iterate through all of the paths, and add them to the media database
for ($index = 1; $index < $argc; $index++) {
	// check for the piece of media to make sure it exists
	$pathFull = $argv[$index];
  // add the image, and don't allow duplicate titles so images don't get re-uploaded
	$mediaDbManager->imagesAddImageSetTitleToFileName($pathFull, FALSE);
}
$mediaDbManager->closeDb();
