<?php

/*
 * A script that will add pieces of media with specified full paths
 * To call this script from the command line:
 * $ php <-wbu> "/full/path/1" "/full/path/2" ... "/full/path/n"
 * Will add media with the full path to the sqlite database
 * Options:
 * -w make available over wifi
 * -b make available over bluetooth
 * -u make available over usb
 *
 * All options must be specified in first parameter
 * If options are omitted, the media will be added to the database without making it available to any of the destinations
 */

// include the settings for php functions to run from the command line
require_once(dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'config' . DIRECTORY_SEPARATOR . 'settings_cmdline.php');
require_once('vendor' . DIRECTORY_SEPARATOR . 'autoload.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'DbManagerWifi.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'DbManagerBluetooth.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'DbManagerSd.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'TemplateManager.php');
use \Renew\DbManagerWifi as DbManagerWifi;

$t = new Renew\TemplateManager(BASE_DIR);
$t->clearAllCache();
$dbManagerWifi = new Renew\DbManagerWifi(LSWIFI_DB);
$dbManagerWifi->openDb();
$dbManagerWifi->statsDeleteAll();
$dbManagerWifi->closeDb();
$bluetoothManager = new Renew\DbManagerBluetooth(LSBT_DB);
$bluetoothManager->openDb();
$bluetoothManager->statsDeleteAll();
$bluetoothManager->closeDb();
$sdCopyStatsManager = new Renew\DbManagerSd(LSSD_DB);
$sdCopyStatsManager->openDb();
$sdCopyStatsManager->statsDeleteAll();
$sdCopyStatsManager->closeDb();
