<?php

/**
 * A php script that can be called from the command line
 * Create the media database if it does not exist -AND-
 * Recursively add all media under the MASTER_DIR to the database
 */

// include the settings for php functions to run from the command line
require_once(dirname(dirname(dirname(dirname(__FILE__)))) . DIRECTORY_SEPARATOR . 'config' . DIRECTORY_SEPARATOR . 'settings_cmdline.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'DbManagerMedia.php');
require_once('Renew' . DIRECTORY_SEPARATOR . 'DbManagerWifi.php');
use \Renew\DbManagerMedia as DbManagerMedia;
use \Renew\DbManagerWifi as DbManagerWifi;
$dbManagerMedia = new DbManagerMedia(MEDIA_DB, MEDIA_DIR, USER_IMAGES_DIR);
$dbManagerWifi = new DbManagerWifi(LSWIFI_DB);

$dbManagerMedia->openDb();
$success = $dbManagerMedia->mediaScanForMedia();
$dbManagerMedia->closeDb();
if ($success !== FALSE) {
  $dbManagerWifi->openDb();
  $dbManagerWifi->settingsSetKeyValue('should_scan_media', 'false');
  $dbManagerWifi->closeDb();
}

