<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace Renew;

require_once("Renew" . DS . "StringHelper.php");

class ZipHelper {

    /**
     * Recursively create ZipArchive with a directory
     *
     * @param string $in the directory to compress
     * @param string $out the full name and path of the output ZipArchive
     * @return boolean TRUE if successful and FALSE if unsuccessful
     * @access public
     **/
    public static function ZipFolder($in, $out) {
        
        if (is_dir($in) === FALSE){
            return FALSE;
        }
        
        
        $zip = new \ZipArchive();
        $zip->open($out, \ZipArchive::CREATE);
        $recursive_iterator = new \RecursiveIteratorIterator(new \RecursiveDirectoryIterator($in, \RecursiveDirectoryIterator::SKIP_DOTS), \RecursiveIteratorIterator::SELF_FIRST);

        foreach ($recursive_iterator as $this_file) {
            
            // shorten the full path, for putting the file in the zip file
            $this_shortened_file_path = str_replace($in, '', $this_file);
            
            if (is_dir($this_file)) {
                $zip->addEmptyDir($this_shortened_file_path);
            } 
            // ignore metadata.json files
            elseif (is_file($this_file) && (StringHelper::EndsWith($this_file, 'metadata.json') === FALSE)) {
                $zip->addFromString($this_shortened_file_path, file_get_contents($this_file));
            }
        }
        
        // attempt to close the file
        $success = $zip->close();
        return $success;
    }
    
    
    /**
     * Recursively create ZipArchive with a directory in the background
     *
     * @param string $in the directory to compress
     * @param string $out the full name and path of the output ZipArchive
     * @return boolean FALSE if unsuccessful and a string witht he pid number if successful
     * @access public
     **/
    public static function ZipFolderZeroCompressionInBg($in, $out) {
        
        if (is_dir($in) === FALSE){
            return FALSE;
        }
        
        $cmd = '"'.BASE_DIR.DS.'lib'.DS.'Renew'.DS.'BashScripts'.DS.'zip_dir.sh" "'.$in.'" "'.$out.'" > /dev/null 2>&1 & echo $!';
        exec($cmd, $output, $return);
                
        if ($output === null || count($output) < 1){
            return FALSE;
        }
        
        return $output[0];
    }
}
