{*
  Media icon and options allowing users to edit settings for media

  USES JS

  @author JP
  @param media_item associative array of the media item
  @param media_checkbox_array_name Name for the array of media select checkboxes
  @param hide_cancel If true, cancel button will be hidden from edit form
  @param name
  @param id
  @param ajax If true, certain extra initializations will take place so it
  still works
*}
{assign var="name" value="{$media_item['file_id']}"}
{assign var="id" value="id-media-{$media_item['file_id']}"}
{assign var="is_directory" value="{if $media_item['mime_part1'] == 'directory'}TRUE{/if}"}
{assign var="is_language_directory" value="{if $is_directory && $media_item['mime_part2'] == 'languagedirectory'}TRUE{/if}"}
{assign var="has_image" value="{if $media_item['image_id'] != 0}TRUE{/if}"}
{assign var="is_uploader" value="{if isset($is_uploader)}TRUE{/if}"}
{assign var="language_select_id" value="{$id}-language-select"}
{assign var="name_input_id" value="{$id}-name-input"}

{if $is_directory}
  {assign var="link" value="/admin/manage/media.php?id={$media_item['file_id']}"}
{else}
  {assign var="link" value="/file/{$media_item['file_id']}"} {* /media/master/{rawurlencode($media_item['path_rel'])} -filesadmin/{$media_item['file_id']}/ *}
{/if}

<div id="{$id}-media-item" class="media-item-wrapper">
  <div
    class="panel container-fluid padding0 margin0 position-relative">
    {if $is_directory}
      <div class="media-item-enter-button-container">
        ({$media_item['children_count']})
        {include
          file="shared/raised_button.tpl"
          href="{$link}"
          icon="&#xE5C8;"
          class="btn-success square-button"
          remove_block=TRUE
          remove_flexbox=TRUE
        }
      </div>
    {/if}
    <div class="media-item-select-bar">
    </div>
    {if !$is_language_directory && isset($media_checkbox_array_name)}
      <div class="media-item-select-checkbox">
        {include
          file="admin/components/reusable/form_checkbox.tpl"
          name="{$media_checkbox_array_name}"
          value="{$media_item['file_id']}"
          id="{$id}-select-checkbox"
          checked=FALSE
          remove_margin_top=TRUE
        }
      </div>
    {/if}
    <div class="row margin0 pull-right media-item-content-container">
        <div class="col-sm-4 hidden-xs">
          <a
            {if $is_directory}
            href="{$link}"
            {/if}
            id="{$id}-media-item-image"
            class="button-hover btn-block media-item-directory-container background-dark-gray background-cover"
            {if $has_image}
            style="background-image: url('/images/user_images/4x3/{$media_item['image_id']}.jpeg?cache={$serial_number}')";
            {/if}>
            {include
              file="user/components/reusable/circle_button_icon.tpl"
              mime_part1=$media_item['mime_part1']
			        mime_part2=$media_item['mime_part2']
              icon_class="icon-shadow media-icon-file-type-icon color-light-gray"
              show_folder_icon=TRUE
              language_directory_icon=$is_language_directory
              is_media_icon=TRUE
            }
          </a>
          <div class="media-item-change-image-container">
            {include
      				file="shared/raised_button.tpl"
      				id="{$id}-button-change-image"
      				class="media-item-change-image-button"
              icon="&#xE86A;"
      				title="{t}Image{/t}"
      			}
          </div>
        </div>
      <div class="col-sm-8 col-xs-12 pull-right panel-body media-item-body">
        <div class="row">
          <div>
            <div class="{if $is_directory}col-xs-9{else}col-xs-8{/if}">
              <h4 class="margin-bottom-0 font-size-14">
                <a href="{$link}" class="color-dark-gray">
                  {if $is_directory}
                    <div class="position-absolute margin-top-minus-5 margin-right-10"><i class="material-icons">{if $is_language_directory}&#xE8E2;{else}&#xE2C7;{/if}</i></div>
                  {/if}
                  <div id="{$id}-media-item-title" class="{if $is_directory}margin-left-30{/if} media-item-folder-title dotdotdot underline-link">{$media_item['title']}{if $is_language_directory} <span class="media-item-folder-title-iso">({$media_item['language_iso']})</span>{/if}</div>
                </a>
              </h4>
            </div>
            {if !($is_directory)}
              <div class="col-xs-4 padding-xs-0 xs-text-align-center">
                <h4 class="margin-bottom-0 font-size-14">
                  .{$media_item['file_extension']} ({$media_item['file_size']})
                </h4>
              </div>
            {/if}
          </div>
        </div>
        <br />
        <div class="row">
          <form id="{$id}-availability-form" class="margin0" method="POST" action="/admin/manage/media_forms/media_realtime.php" enctype="multipart/form-data">
            <input type="hidden" name="_method" value="PUT">
            <input type="hidden" name="form_type" value="availability" />
            <input type="hidden" name="file_id" value="{$media_item['file_id']}" />
            {include
              file="admin/components/media/media_availability.tpl"
              show_featured_checkbox=!$is_language_directory
              id="{$id}"
            }
          </form>
        </div>
        <div class="row">
          <hr class="media-item-hr"/>
          <div class="col-xs-4 smaller-button-col-padding">
            {include
      				file="shared/raised_button.tpl"
      				id="{$id}-button-edit"
      				class="media-item-button"
              icon="&#xE254;"
      				title="{t}Edit{/t}"
              icon_class="color-primary media-item-icon"
      			}
            {* &#xE88E; *}
          </div>
          <div class="col-xs-4 smaller-button-col-padding">
            <form id="{$id}-delete-form" class="margin0" method="POST" action="/admin/manage/media_forms/media_realtime.php" enctype="multipart/form-data">
              <input type="hidden" name="_method" value="DELETE">
              <input type="hidden" name="file_id" value="{$media_item['file_id']}" />
              {include
        				file="shared/raised_button.tpl"
        				id="{$id}-delete-button"
        				class="media-item-button"
                icon="&#xE92B;"
        				title="{t}Delete{/t}"
                icon_class="color-danger media-item-icon media-item-icon-delete"
        			}
            </form>
          </div>
          <div class="col-xs-4 smaller-button-col-padding">
            <form id="{$id}-sort-order-form" class="margin0 displ" method="POST" action="/admin/manage/media_forms/media_realtime.php" enctype="multipart/form-data">
              <input type="hidden" name="_method" value="PUT">
              <input type="hidden" name="file_id" value="{$media_item['file_id']}" />
              <input type="hidden" name="form_type" value="sort_order" />

              <div id="{$id}-show-first-button" class="btn btn-block btn-raised btn-default select2Small media-item-button-first position-relative">
                <i class="material-icons hidden-xs media-item-icon media-item-show-first-icon">&#xE5D8;</i>
                <span class="display-inline-block margin-right-5 media-item-show-first-title">{t}First{/t}</span>
                <div class="display-inline-block margin-left-5 pointer-events-none">
                  {include
                    file="admin/components/reusable/form_checkbox.tpl"
                    name="show_first"
                    id="{$id}-show-first-checkbox"
                    checked="{if $media_item['sort_order'] != NULL}TRUE{/if}"
                    remove_margin_top=TRUE
                    table=TRUE
                  }
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>

  {include
    file="admin/components/media/media_item_edit.tpl"
    name="{$name}"
    media_item=$media_item
    id="{$id}-edit"
    language_select_id="{$language_select_id}"
    id_form="{$id}-form"
    id_select="{$id}-select"
    show_current=FALSE
    collapse=$collapse
    hide_cancel="{if isset($hide_cancel)}{$hide_cancel}{/if}"
    is_language_directory=$is_language_directory
  }
  <br />
</div>

{*
  Since this media item is loaded with AJAX on the upload media page,
  a few differences are necessary in the init script
*}
{include file="shared/script_start.tpl"}
  initAdmin.init("media_item.tpl", {
    id: "{$id}",
    id_edit: "{$id}-edit",
    message_confirm: "{t}Are you sure you want to delete %s?{/t}",
    media_item: {json_encode($media_item) nofilter},
    {*media_item_title: "{$media_item['title']}",
    media_item_file_name: "{$media_item['file_name']}",*}
    ajax: {if isset($ajax)}true{else}false{/if},
    is_directory: "{$is_directory}",
    is_language_directory: "{$is_language_directory}",
    is_uploader: "{$is_uploader}",
    language_select_id: "{$language_select_id}",
    name_input_id: "{$name_input_id}"
  });
{include file="shared/script_end.tpl"}
