{*
  Collapsable form for media_item.tpl to edit media item settings

  USES BOOTSTRAP COLLAPSE

  @author JP
  @param id
  @param id_form
  @param id_select
  @param media_item
  @param show_current If true, option to select current image is availble (for multiselect)
  @param submit_button_id
  @param collapse If true, edit menu will start collapsed
  @param hide_cancel If true, cancel button will be hidden
*}
{assign var="is_video" value="{if isset($media_item) && $media_item['mime_part1'] == 'video'}TRUE{/if}"}
{assign var="is_using_thumbnail" value="{if isset($media_item['image_id_thumbnail']) && $media_item['image_id'] == $media_item['image_id_thumbnail']}TRUE{/if}"}
{assign var="is_language_directory" value="{if isset($is_language_directory) && $is_language_directory}TRUE{/if}"}
{assign var="is_directory" value="{if isset($media_item) && $media_item['mime_part1'] == 'directory'}TRUE{/if}"}
{assign var="is_multi_edit" value="{if isset($multi_edit)}TRUE{/if}"}
{assign var="filename_input_id" value="{$id}-filename"}

{if !$is_multi_edit}
<div id="{$id}" class="collapse {if !isset($collapse)}in{/if}">
{/if}
  <div class="panel panel-body margin-bottom-0">
    <form id="{$id_form}" method="POST" action="/admin/manage/media_forms/media_edit.php" enctype="multipart/form-data">
      {if isset($media_item)}
        {* Hidden file id input, if media_item is defined *}
        <input type="hidden" name="file_id" value="{$media_item['file_id']}" />

        {if isset($current_directory_id)}
        <input type="hidden" name="current_directory_id" value="{$current_directory_id}" />
        {/if}
      {/if}
      {if $is_language_directory}
        {* Hidden input to say if this is a language directory *}
        <input type="hidden" name="is_language_directory" value="TRUE" />
      {/if}
      <div class="col-sm-6">
        <div>
          {include
            file="admin/components/reusable/form_select_image.tpl"
            name="select_image"
            wrapper_class="form-input-height"
            class="media-item-edit-select-image-dropdowns"
            id="{if isset($id_select)}{$id_select}{else}{$id}-select{/if}"
            label="{if $is_language_directory}{t}Greeting Image{/t}{else}{t}Select Image{/t}{/if}"
            placeholder="Change"
            image_id="{if isset($media_item)}{$media_item['image_id']}{/if}"
            media_image=TRUE
            show_current=$show_current
            upload_form_id="{$id}-image-form"

            is_video=$is_video
            is_using_thumbnail=$is_using_thumbnail
            file_id="{if isset($media_item)}{$media_item['file_id']}{/if}"
          }
        </div>
        {if $is_language_directory}
          <div>
            {if $media_item['promoted_media_file_id'] === 0}
              {assign var=promoted_media_selected_item_array value=NULL} 
            {else}
              {assign var=promoted_media_selected_item_array value=[$media_item['promoted_media_title'] => $media_item['promoted_media_file_id']]}
            {/if}
            {include
              file="admin/components/media/media_select.tpl"
              name="promoted_media_file_id"
              id="{$id}-promoted-media-file-id"
              wrapper_class="form-input-height"
              label="{t}Greeting{/t} - {t}Promote a media file{/t}"
              default_option_text="{t}None{/t}"
              default_option_value="0"
              selected_value="{$media_item['promoted_media_file_id']}"
              items=$promoted_media_selected_item_array
            }
          </div>
          {include
            file="admin/components/reusable/form_input.tpl"
            name="greeting_title"
            label="{t}Greeting Title{/t}"
            id="{$id}-greeting-title"
            value="{$media_item['greeting_title']}"
          }
        {/if}

        <div class="{if $is_directory && !$is_language_directory}hidden{/if}">
          {include
            file="admin/components/reusable/form_textarea.tpl"
            placeholder="{if $is_multi_edit}{t}Keep Current{/t}{/if}"
            name="description"
            label="{if $is_language_directory}{t}Greeting Message{/t}{else}{t}Description{/t}{/if}"
            id="{$id}-description"
            value="{if isset($media_item)}{$media_item['description']}{/if}"
          }
        </div>
      </div>
      {if $is_multi_edit}
        {* Hidden input to tell that it's a multi-edit form *}
        <input type="hidden" name="multi_edit" value="TRUE" />
        <div class="col-sm-6">
          <div class="margin-top-25">
            {include
              file="admin/components/reusable/form_checkbox.tpl"
              name="change_availability"
              id="change-availability"
              label="{t}Change Availability Settings{/t}"
              checked=FALSE
              table=TRUE
            }
          </div>
          <div id="change-availability-collapse">
            <div class="row padding-top-5">
            {include
              file="admin/components/media/media_availability.tpl"
              id="multi-edit-form"
              wifi_status_checked=TRUE
            }
            </div>
          </div>
        </div>
      {else}
        <div class="col-sm-6">
          {if $is_language_directory}
            {include
              file="admin/components/media/new_directory_select_wrapper.tpl"
              language_iso="{$media_item['language_iso']}"
              title="{$media_item['title']}"
              language_select_id="{$language_select_id}"
              filename_input_id="{$filename_input_id}"
            }
          {else}
            <div class="shown-xs padding-top-28"></div>
            {include
              file="admin/components/reusable/form_input.tpl"
              name="title"
              label="{t}Title{/t}"
              id="{$id}-title"
              value="{$media_item['title']}"
              remove_margin_top=TRUE
            }
          {/if}
          <div class="shown-xs padding-top-28"></div>    
          <div class="hidden-xs {if $is_language_directory}media-item-filename-margin-language-directory{else}media-item-filename-margin{/if}"></div>
          {include
            file="admin/components/reusable/form_input.tpl"
            name="filename"
            label="{t}File Name{/t}"
            id="{$filename_input_id}"
            value="{$media_item['file_name']}"
            remove_margin_top=TRUE
          }
        </div>
        {if !$is_language_directory}
        <div class="col-xs-12 margin0">
        {include 
          file="admin/components/reusable/advanced_options_start.tpl"
          advanced_options_id="{$id}-advanced"
          is_open="{if $media_item['is_download_disabled'] || $media_item['is_password_protected']}TRUE{/if}"
        }
          <div class="row">
            <div class="col-sm-6 col-centered">
              {* Keep track of initial value of is_password_protected to make sure user enters an initial password *}
              <input 
                type="checkbox" 
                class="display-none"
                name="is_password_protected_initial_value"
                {if $media_item['is_password_protected']}checked{/if}
              />
              {include
                file="admin/components/reusable/form_checkbox.tpl"
                id="{$id}-is-password-protected-checkbox"
                name="is_password_protected"
                label="{t}Password Protect{/t}"
                checked=$media_item['is_password_protected']
              }
              <div id="{$id}-is-password-protected-collapse">
                {include
                  file="admin/components/reusable/form_input.tpl"
                  name="password"
                  label="{if $media_item['is_password_protected']}{t}Change Password{/t}{else}{t}Password{/t}{/if}"
                  placeholder="{if $media_item['is_password_protected']}({$title_unchanged}){/if}"
                  disable_autocapitalize=TRUE
                  remove_margin_top=TRUE
                }
              </div>
              {if !$is_directory}
                {include
                  file="admin/components/reusable/form_checkbox.tpl"
                  name="is_download_disabled"
                  label="{t}Disable Download (Stream Only){/t}"
                  checked=$media_item['is_download_disabled']
                }
                {include
                  file="admin/components/reusable/form_checkbox.tpl"
                  name="is_global"
                  label="{t}Show in Every Language Folder{/t}"
                  checked=$media_item['is_global']
                  remove_margin_bottom=TRUE
                }
              {/if}
            </div>
          </div>
        {include
          file="admin/components/reusable/advanced_options_end.tpl"
        }
        <br>
      </div>
      {/if}
    {/if}
      <div class="col-xs-12">
        {include
          file="admin/components/reusable/form_submit_footer_inner.tpl"
          media=TRUE
          cancel_button_id="{$id}-cancel"
          submit_button_id="{if isset($submit_button_id)}{$submit_button_id}{/if}"
          disable_submit="{if isset($submit_button_id)}TRUE{/if}"
          cancel_button_onclick="collapse.hide('#{$id}')"
          hide_cancel="{if isset($hide_cancel)}{$hide_cancel}{/if}"
        }
      </div>
    </form>
  </div>
{if !$is_multi_edit}
</div>
{/if}

{include file="shared/script_start.tpl"}
  initAdmin.init("media_item_edit.tpl", {
    id: "{$id}",
    is_multi_edit: "{$is_multi_edit}",
    select_id: "{if isset($id_select)}{$id_select}{else}{$id}-select{/if}",
  });
{include file="shared/script_end.tpl"}

