{*
  Nav options menu for media manager allowing edit, delete, etc. of media

  USES JS

  @author JP
  @assign directory_array, array of directory info
  @param id
*}
<div id="{$id}" class="media-nav">
  <div class="col-sm-10 col-md-8 col-centered">
    <div class="media-nav-select-bar-container">
      <div class="media-nav-select-bar"></div>
      <div class="media-nav-select-checkbox">
        {include
          file="admin/components/reusable/form_checkbox.tpl"
          name="checkbox_multiselect"
          id="{$id}-checkbox-multiselect"
          checked=FALSE
          remove_margin_top=TRUE
        }
      </div>
      <div class="row">
        <div class="col-xs-12 media-nav-content">
          <div class="row">
            <div class="col-xs-12 color-light-gray">
              {include
                file="admin/components/media/media_breadcrumbs.tpl"
              }
            </div>
          </div>
          <div class="row smaller-button-col-padding-row">
            <div class="col-xs-4 smaller-button-col-padding">
              {include
        				file="shared/raised_button.tpl"
        				id="{$id}-button-edit"
        				class="btn-less-side-padding btn-success padding-top-bottom-10"
                icon="&#xE254;"
        				title="{t}Edit{/t} (<span class='media-selected-count'>0</span>)"
                icon_class="hidden-xs"
        			}
            </div>
            <div class="col-xs-4 smaller-button-col-padding">
              <form id="{$id}-delete-multi-form" class="margin0" method="POST" action="/admin/manage/media_forms/media_realtime.php" enctype="multipart/form-data">
                <input type="hidden" name="_method" value="DELETE">
                <input type="hidden" name="multi_delete" value="TRUE">
                {include
          				file="shared/raised_button.tpl"
          				id="{$id}-delete-multi-button"
          				class="btn-less-side-padding btn-danger padding-top-bottom-10"
                  icon="&#xE92B;"
          				title="{t}Delete{/t} (<span class='media-selected-count'>0</span>)"
                  icon_class="hidden-xs"
          			}
              </form>
            </div>
            <div class="col-xs-4 smaller-button-col-padding">
              <form id="{$id}-move-form" class="margin0" method="POST" action="/admin/manage/media_forms/media_realtime.php" enctype="multipart/form-data">
                <input type="hidden" name="_method" value="PUT">
                <input type="hidden" name="form_type" value="move">
                {include
          				file="shared/raised_button.tpl"
          				id="{$id}-move-button"
          				class="btn-less-side-padding btn-success padding-top-bottom-10"
                  icon="&#xE2C7;"
          				title="{t}Move{/t} (<span class='media-selected-count'>0</span>)"
                  icon_class="hidden-xs"
          			}
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-sm-10 col-md-8 col-centered">
    {* USES JS *}
    <div id="multi-edit-collapse" class="collapse">
      {* NOTE: Ids below are used in constants array in application.shared.js. Don't change. *}
      <div id="no-media-selected-message-wrapper">
        <div class="panel panel-body margin0 text-center">
          <h4>{t}No media selected{/t}</h4>
        </div>
      </div>
      <div id="multi-edit-wrapper" class="collapse">
        {include
          file="admin/components/media/media_item_edit.tpl"
          id="multi-edit-collapse"
          id_form="multi-edit-form"
          submit_button_id="multi-edit-submit-button"
          show_current=TRUE
          collapse=FALSE
          multi_edit=TRUE
          hide_cancel=FALSE
        }
      </div>
    </div>
  </div>
</div>

{include file="shared/script_start.tpl"}
  initAdmin.init("media_nav.tpl", {
    id: "{$id}",
    media_checkbox_array_name: "{$media_checkbox_array_name}",
    no_media_selected_message: "{t}No media selected{/t}",
    delete_message: "{t}Are you sure you want to delete %s items?{/t}",
    move_title_message: "{t}Move{/t}",
    move_message: "{t}Folder to move %s items{/t}:",
    directory_array: {json_encode($directory_array) nofilter},
    language_directories_array: {json_encode($language_directories_array_select) nofilter},
  });
{include file="shared/script_end.tpl"}
