{*
  Allows selection of custom user styles for colors and background images

  USES JS

  @author JP
*}

<div class="row form-group">
  <div class="col-md-3 padding0 margin-top-10">
    <label>
      {$title}
    </label>
    {if isset($description)}
      <div class="row">
        <div class="col-xs-12">
          {$description}
        </div>
      </div>
    {/if}
  </div>
  <div class="col-md-9">
    <div class="row">
      <div class="col-sm-6">
        {if $type === 'color'}
          {include
            file="admin/components/reusable/form_radio.tpl"
            name="{$name}"
            value="color"
            label="{t}Color{/t}:"
            checked=TRUE
          }
        {else}
          {include
            file="admin/components/reusable/form_radio.tpl"
            name="{$name}"
            value="background"
            label="{t}Color{/t}:"
            checked="{if $type === 'background'}TRUE{/if}"
          }
        {/if}

      </div>
      <div class="col-sm-3">
        <input
          name="{$name}_color"
          id="{$id}-input-color"
          type="color"
          class="color-picker-input-color"
          list="palette"
          value="{if $type !== 'image'}{$value}{else}{$default_value}{/if}">
      </div>
      <div class="form-group col-sm-3 theme-hex-input">
        <input
          name="{$name}_input"
          id="{$id}-input-text"
          type="text"
          class="form-control color-picker-input-text"
          value="{if $type !== 'image'}{$value}{else}{$default_value}{/if}">
      </div>
    </div>
    {if $type !== 'color'}
      {include
        file="admin/components/reusable/form_radio.tpl"
        name="{$name}"
        value="image"
        id="{$id}-image"
        label="{t}Background Image{/t}:"
        checked="{if $type === 'image'}TRUE{/if}"
      }
      <div class="collapse row margin0" id="{$id}-collapse">
        <div class="form-group col-sm-12 margin0">
          <div class="col-sm-12 padding0">
            {include
              file="admin/components/reusable/form_select_image.tpl"
              name="{$name}_image"
              class="color-picker-select-image-dropdowns"
              id="{$id}-select-image"
              placeholder="{t}Select Background Image{/t}"
              image_id="{if $type === 'image'}{$value}{/if}"
              remove_margin_top=TRUE
            }
            {* TODO Have the image change based on the $image_value input*}
          </div>
          {*
          <div class="col-sm-12 padding0">
            {include
              file="admin/components/reusable/form_checkbox.tpl"
              name="{$name}_blur"
              id="{$id}-blur"
              label="{t}Blur Image{/t}"
              checked="{if $effect === 'BLUR'}TRUE{/if}"
              value=NULL
            }
          </div>
          *}
        </div>
      </div>
    {/if}
  </div>
</div>

<hr class="hr-equal"/>

{include file="shared/script_start.tpl"}
  initAdmin.init("color_picker.tpl", {
    id: "{$id}",
    name: "{$name}"
  });
{include file="shared/script_end.tpl"}
