{*
  Checkbox for forms

  @author JP
  @param table Changes formatting for use in tables
  @param remove_margin_top
  @param remove_margin_bottom
  @param onclick Event to be fired on checkbox click
  @param checked If true, checkbox will be checked by default
  @param value
  @param name
  @param id
  @param label
  @param hint
*}
<div class="form-group {if isset($wrapper_class)}{$wrapper_class}{/if} {if isset($table)}margin0 padding0{elseif isset($remove_margin_top)}margin0{/if}">
  <div
    {if isset($table)}
    class="checkbox margin0"
    {else}
    class="checkbox {if isset($checkbox_div_class)}{$checkbox_div_class}{/if} {if isset($remove_margin_bottom)}margin-bottom-0{/if}"
    {/if}>
    <label class="display-inline" {if isset($id)} id="checkbox_label_{$id}" {/if}>
      <input
        {if isset($onclick)} onclick="{$onclick}" {/if}
        type="checkbox"
        {if isset($value)} value="{$value}" {/if}
        name="{$name}"
        {if isset($id)} id="{$id}" {/if}
        {if isset($class)} class="{$class}" {/if}
        {if isset($checked) && $checked} checked="" {/if}>
        {if isset($label)} {$label} {/if}
    </label>
    {include file="admin/components/reusable/form_security_button.tpl"}
    {if isset($hint)}
    <p class="help-block">
      {$hint}
    </p>
    {/if}
    {if isset($hint_seen)}
    <div class="control-label-margin-bottom">
      <label class="control-label control-label-margin">
        {$hint_seen nofilter}
      </label>
    </div>
    {/if}
  </div>
</div>
