{*
  Extendable template for using multiple forms in a page

  USES JS

  @author JP
  @block is_form
  @block form_id
  @block click_id
  @block form_title
  @block form_action
  @block form_icon
  @block form_content
  @block group_class
  @block cancel_button_onclick
*}

{assign var="hide_form" value="{block name='hide_form'}{/block}"}
{assign var="form_id" value="{block name='form_id'}{/block}"}
{assign var="click_id" value="{block name='click_id'}{/block}"}
{assign var="group_class" value="{block name='group_class'}{/block}"}
{assign var="hide_arrow" value="{block name='hide_arrow'}{/block}"}
{assign var="remove_submit" value="{block name='remove_submit'}{/block}"}
{assign var="remove_hover" value="{block name='remove_hover'}{/block}"}
{assign var="form_action" value="{block name='form_action'}{/block}"}
{assign var="cancel_href" value="{block name='cancel_href'}{/block}"}
{assign var="cancel_button_id" value="{block name='cancel_button_id'}{/block}"}
{assign var="submit_text" value="{block name='submit_text'}{/block}"}
{assign var="disable_shadow" value="{block name='disable_shadow'}{/block}"}
{assign var="init_accordion" value="{block name='init_accordion'}{/block}"}
{assign var="disable_submit" value="{block name='disable_submit'}{/block}"}
{* {assign var="remove_margin_bottom" value="{block name='remove_margin_bottom'}{/block}"} *}

<div class="form-margin-outer">
  <div class="col-xs-12 col-centered {if !$disable_shadow}panel{/if} panel-default padding0 position-relative">
    {if "{block name='absolute_position'}{/block}"}
      {block name='absolute_position'}{/block}
    {/if}
    {* {if $disable_shadow}panel margin0{/if} *}
    <div id="{$click_id}" class="panel-heading background-light-gray-2 {if !($remove_hover)}button-hover{/if}">
      <i class="material-icons pull-left margin-right-10">{block name='form_icon'}{/block}</i>
      {if "{block name='form_title'}{/block}"}
        <h3 class="margin0 form-accordion-title">{block name='form_title'}{/block}</h3>
      {/if}
      {if !($hide_arrow)}
        <i id="{$click_id}-arrow" class="material-icons pull-right panel-down-arrow">&#xE5C5;</i>
      {/if}
    </div>
    <div id="{$click_id}-collapse" class="collapse {$group_class}">
      {if $hide_form}
        {block name="content"}{/block}
      {else}
        <form id="{$form_id}" method="POST" class="form-accordion" action="{$form_action}" enctype="multipart/form-data">
          <div class="col-sm-10 col-centered">
            {block name="form_content"}{/block}
          </div>
          {* Show submit by default *}
          {if !($remove_submit)}
            {include
              file="admin/components/reusable/form_submit_footer_inner.tpl"
              cancel_button_id="{$cancel_button_id}"
              cancel_href="{$cancel_href}"
              submit_text="{$submit_text}"
            }
          {/if}
        </form>
      {/if}
    </div>
  </div>
</div>

{*
{if !$remove_margin_bottom}
  <br />
{/if}
*}

{block name="script"}{/block}
{include file="shared/script_start.tpl"}
  {if $init_accordion}
    collapse.initAccordion('#' + '{$click_id}', '.' + '{$group_class}');
  {/if}
  {if (!$cancel_href) && $cancel_button_id}
    var collapseId = '#' + '{$click_id}' + '-collapse';
    var cancelButtonId = '#' + '{$cancel_button_id}';
    collapse.hideOnClick(collapseId, cancelButtonId);
  {/if}
{include file="shared/script_end.tpl"}
