{*
  Input field for Forms

  @author JP
  @param remove_margin_top
  @param remove_margin_bottom
  @param label_left If defined, the label will be put on the left
  @param label
  @param icon
  @param id
  @param password If true, inpu type will be password
  @param placeholder
  @param value
  @param hint
  @param maxlength
*}
{if isset($label_left)}
<div class="col-xs-4 col-sm-3 col-md-2">
  <label class="margin-top-10">{$label_left}</label>
</div>
<div class="col-xs-8 col-sm-9 col-md-10">
{/if}

<div class="form-group {if isset($remove_margin_top) && $remove_margin_top}margin0{/if} {if isset($remove_margin_bottom)}padding0{/if}">
  {if isset($label)}
    <label class="wrap-long-words display-inline" for="{$name}">
      {if isset($required) && $required}<span class="color-danger">*</span>{/if}{if isset($icon)}<span class="display-inline-block"><i class="material-icons">{$icon nofilter}</i></span>{/if} <span class="display-inline-block">{$label}</span>
    </label>
    {include file="admin/components/reusable/form_security_button.tpl"}
  {/if}
  <input
    maxlength="{if isset($maxlength)}{$maxlength}{elseif isset($text_input_character_limit)}{$text_input_character_limit}{/if}"
    class="form-control{if isset($remove_margin_bottom)} margin-bottom-0{/if}{if isset($input_class)} {$input_class}{/if}"
    {if isset($password) && !isset($remove_password)} type="password" {else} type="text" {/if}
    name="{$name}"
    {if isset($id)} id="{$id}" {/if}
    {if isset($placeholder)} placeholder="{$placeholder}" {/if}
    {if isset($value)} value="{$value}" {/if}
    {if isset($disabled)} disabled="" {/if}
    {if isset($disable_autocapitalize)}
      autocorrect="off"
      autocapitalize="none"
      autocomplete="off"
      spellcheck="false"
    {/if}>
  {if isset($hint)}
    {if isset($warning_hint)}
      <div class="{if isset($hint_class)}{$hint_class}{/if} color-danger warning-hint display-none">{$hint}</div>
    {else}
      <p class="{if isset($hint_class)}{$hint_class}{/if} help-block">{$hint}</p>
    {/if}
  {/if}
</div>

{if isset($label_left)}
</div>
{/if}
