{*
  Select dropdown, using the select2 JS plugin

  @author JP
  @param label
  @param name
  @param id
  @param placeholder
  @param selected_value The value initially selected
  @param disable_search Requires ID
*}
<div class="form-group {if isset($remove_margin_top) && $remove_margin_top}margin0 padding0{/if} {if isset($wrapper_class)}{$wrapper_class}{/if} {if isset($inline_block)}display-inline-block{/if}">
  {if isset($label) && $label}
    <label for="{$name}">{$label}</label>
    {if isset($hint_seen)}
    <div class="font-size-12 margin-bottom-10 margin-top-0">
      - {$hint_seen}
    </div>
    {else}
    <br />
    {/if}
  {/if}
  <select
    class="select2"
    name="{$name}"
    {if isset($id)} id="{$id}" {/if}
    {if isset($placeholder)} data-placeholder="{$placeholder}" {/if}
  >
    {if isset($default_option_text)}
      {if isset($show_placeholder_default)}
        <option class="hidden"></option>
      {/if}
      <option
        {if isset($default_option_value)}
        value="{$default_option_value}"
        {else}
        value="default"
        {/if}
        {if (!isset($show_placeholder_default) || !$show_placeholder_default) && (!isset($selected_value) || !$selected_value)}
        selected
        {/if}>
        {$default_option_text}
      </option>
    {else}
      {if isset($placeholder)}
        <option class="hidden"></option>
      {/if}
    {/if}
    {if isset($items)}
      {if isset($non_associative_array)}
        {foreach from=$items item=item}
          <option
          value="{$item}"
          {if isset($selected_value) && ($selected_value == "{$item}")}
          selected
          {/if}>
          {$item}
          </option>
        {/foreach}
      {else}
        {foreach from=$items key=k item=v}
          <option
          value="{$v}"
          {if isset($selected_value) && ($selected_value == "{$v}")}
          selected
          {/if}>
          {$k}
          </option>
        {/foreach}
      {/if}
    {/if}
  </select>
</div>

{if isset($disable_search)}
  {include file="shared/script_start.tpl"}
    var id = '#' + "{$id}";
    select2Class.initHelper(id, false, false, false, -1);
  {include file="shared/script_end.tpl"}
{/if}
