{*
  Select current image, or upload a new one to a hidden input

  USES JS
  @author JP
  @param media_image If true, an option will be included to allow no image selection
  @param default_option_text If none option is allowed, this can optionally change the displayed
  message for the 'none' option
  @param images_array
  @param name
  @param label
  @param id
  @param placeholder
  @param image_array
  @param image_id
  @param current_option_text
*}
{assign var="images_uploaded" value="{if isset($images_array) && count($images_array) > 0}TRUE{/if}"}
{assign var="is_video" value="{if isset($is_video) && $is_video}TRUE{/if}"}

<div class="row margin0">
  <div class="{if isset($wrapper_class)}{$wrapper_class}{/if} form-group margin0 padding0">
    {if isset($label) && !isset($image)}
      {if isset($icon)}<span class="display-inline-block"><i class="material-icons">{$icon nofilter}</i></span>{/if} <label for="{$name}">{$label}</label>
    {/if}
    <div>
      {if $is_video}
        {* Hidden input to encode ID of thumbnail, set in JS *}
        <input id="{$id}-thumbnail-input" type="hidden" name="thumbnail_id" value="{if isset($is_using_thumbnail) && $is_using_thumbnail}{$image_id}{/if}" />
      {/if}
      <select
        class="select2 {if isset($class)}{$class}{/if}"
        name="{$name}"
        {if isset($placeholder)} data-placeholder="{$placeholder}" {/if}
        id="{$id}">
        <option></option>
        {if isset($show_current) && $show_current}
        <option
          value="current"
          {if !isset($image_id) || $image_id == '' || $image_id == '0'}
          selected
          {/if}>
          {if isset($current_option_text)}
            {$current_option_text}
          {else}
            {t}Keep Current{/t}
          {/if}
        </option>
        {/if}
        {if isset($media_image)}
        <option
          value="default"
          {if (!isset($show_current) || !$show_current) && (!isset($image_id) || $image_id == '' || $image_id == '0')}
          selected
          {/if}>
          {if isset($default_option_text)}
            {$default_option_text}
          {else}
            {t}None{/t}
          {/if}
        </option>
        {/if}
        <option id="{$id}-upload" value="upload">
          {t}Upload New Image{/t}
        </option>
        {if $is_video}
          <option id="{$id}-generate-thumbnail" value="generate_thumbnail">
            {t}Generate New Thumbnail{/t}
          </option>
        {/if}
        <optgroup class="{$class}-current-images" label="{t}Images{/t}:">
          {if $is_video}
            <option value="current_thumbnail"
              {if isset($is_using_thumbnail) && $is_using_thumbnail}selected{/if}>
              {t}Thumbnail{/t}
            </option>
          {/if}
          {if $images_uploaded}
            {foreach from=$images_array item=image}
            <option
              value="{$image['image_id']}"
              {if isset($image_id) && ($image['image_id'] == $image_id)}
              selected
              {/if}>
              {$image['image_title']}
            </option>
            {/foreach}
          {/if}
        </optgroup>
      </select>
    </div>
  </div>
</div>

{include file="shared/script_start.tpl"}
  var data = {
    select_id: "#{$id}",
    select_group_class: ".{$class}",
    image_insert_class: ".{$class}-current-images",
  };
  {if isset($fineuploader_template_id) && $fineuploader_template_id}
    data['fineuploader_template_id'] = '{$fineuploader_template_id}';
  {/if}
  {if $is_video}
    data['file_id'] = '{$file_id}';
  {/if}
  initAdmin.init("form_select_image.tpl", data);
{include file="shared/script_end.tpl"}
