{extends file="admin/components/extends/toggle_group.tpl"}
{assign var="back_button_id" value="button-mirror-drive-back"}
{assign var="button_id" value="button-mirror-drive"}
{assign var="state1_id" value="mirror-drive-state-1-waiting"}
{assign var="state2_id" value="mirror-drive-state-2-creating"}
{assign var="state3_id" value="mirror-drive-state-3-success"}

{block name="button_id"}{$button_id}{/block}
{block name="content_id"}content-mirror-drive{/block}
{block name="button_group_class"}{$button_group_class}{/block}
{block name="content_group_class"}{$content_group_class}{/block}
{block name="back_button_id"}{$back_button_id}{/block}
{block name="button_icon"}layers{/block}
{block name="button_title"}{t}Mirror SD Card Setup{/t}{/block}
{block name="content"}
  <div class="text-align-center">
    <div class="{$section_group_class} display-none" id="{$state1_id}">
      <h3 class="margin0 position-relative">{t}Waiting for SD card{/t}<span class="animate-dots"></span></h3>
      <br />
      <div class="label-text">{t}Insert an SD card to create a mirror of this device.{/t}</div>
      <div class="margin-top-10"></div>
      <div class="label-text">{$message_warning_drive_delete nofilter}</div>
      <br />
    </div>
    <div class="{$section_group_class} display-none" id="{$state2_id}">
      <h3 class="margin0 position-relative">{t}Creating Mirror SD Card{/t}<span class="animate-dots"></span></h3>
      <br />
      <div class="progress">
        <div id="mirror-drive-progress-percent-complete" class="progress-bar background-success" style="width: 0%">
        </div>
        <div id="mirror-drive-progress-percent-remaining" class="progress-bar background-light-gray-2 color-black" style="width: 100%">
        </div>
      </div>
      <div class="padding-top-40"></div>
    </div>
    <div class="{$section_group_class} display-none" id="{$state3_id}">
      <h3 class="margin0">{t}Successfully created!{/t}</h3>
      <br />
      <div class="label-text text-align-left">
        <div>{$message_help_mirror_run_button nofilter}</div>
        <br />
        <div><span class="color-danger">{$message_help_mirror_warning nofilter}</span></div>
        <br />
        <div>{$message_help_mirror_run_admin nofilter}</div>
      </div>
      <br />
    </div>
    {include file="admin/components/reusable/toggle_group_cancel_okay.tpl"}
  </div>
{/block}
{block name="script_inside"}
  initAdmin.init('toggle_group_mirror_drive.tpl', {
    section_group_class: '{$section_group_class}',
    button_id: "{$button_id}",
    back_button_id: "{$back_button_id}",
    state1_id: "{$state1_id}",
    state2_id: "{$state2_id}",
    state3_id: "{$state3_id}",
    message_confirm: "{t}Are you sure you want to turn the inserted SD card into a mirror SD card?{/t}<br /><br /><span class='color-danger'>{$message_warning_drive_delete nofilter}</span>"
  });
{/block}
