{*
  Used in settings.tpl and setup_followup_form.tpl

  @param is_setup_wizard If true, some options are hidden
*}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}
{assign var="is_setup_wizard" value="{if isset($is_setup_wizard) && is_setup_wizard}TRUE{/if}"}
{include
  file="admin/components/reusable/form_checkbox.tpl"
  id="followup-form-enable-checkbox"
  name="form_followup_enabled"
  label="{t}Enable Follow-up Form{/t}"
  checked="{$form_followup_enabled}"
  remove_margin_top=TRUE
  security_message="{$message_security_followup_form nofilter}"
  security_button_id="security-followup-form"
}
<div id="followup-form-enable-collapse" class="{if !$form_followup_enabled}collapse{/if}">
  {include
    file="admin/components/reusable/form_checkbox.tpl"
    name="form_email_enabled"
    id="checkbox-enable-send-email"
    label="{t}Prompt User to Send Email with Form Response{/t}"
    checked="{$form_email_enabled}"
    security_message="{$message_security_followup_form_send_email nofilter}"
    security_button_id="security-send-email"
  }
  {* USES JS *}
  <div class="margin-left-checkbox-reveal {if !$form_email_enabled}collapse{/if}" id="checkbox-enable-send-email-collapse">
    {include
      file="admin/components/settings/setup_section_reporting_email.tpl"
      followup=TRUE
    }
    {include
      file="admin/components/reusable/form_checkbox.tpl"
      name="form_email_stats_enabled"
      id="checkbox-enable-email-stats"
      label="{t}Send Stats from this Device in Email{/t}"
      checked="{$form_email_stats_enabled}"
      security_message="{$message_security_followup_form_email_stats nofilter}"
      security_button_id="security-device-stats"
    }
  </div>

  {include
    file="admin/components/reusable/form_input.tpl"
    name="title"
    label="{t}Form Title{/t}"
    value="{$followup_form['title']}"
    placeholder="{t}Icon only{/t}"
  }
  {if !$is_setup_wizard}
    {include
      file="admin/components/reusable/form_input.tpl"
      name="button_title"
      label="{t}Form Homepage Button Message{/t}"
      value="{$followup_form['button_title']}"
      placeholder="{t}Icon only{/t}"
    }
    {include
      file="admin/components/followup_form/form_select_followup_icon.tpl"
      name="icon"
      id="select-form-icon"
      label="{t}Form Icon (Shown on homepage button, and at top of form){/t}"
      selected_value="{$followup_form['icon'] nofilter}"
    }
    {include file="admin/components/reusable/advanced_options_start.tpl"}
      {include
        file="admin/components/reusable/form_textarea.tpl"
        name="description"
        label="{t}Form Message{/t}"
        value="{$followup_form['description']}"
        placeholder="{t}None{/t}"
      }
      {include
        file="admin/components/reusable/form_input.tpl"
        name="cancel_button_title"
        label="{t}Cancel Button Text{/t}"
        value="{$followup_form['cancel_button_title']}"
        placeholder="{t}Icon only{/t}"
      }
      {include
        file="admin/components/reusable/form_input.tpl"
        name="submit_button_title"
        label="{t}Submit Button Text{/t}"
        value="{$followup_form['submit_button_title']}"
        placeholder="{t}Icon only{/t}"
      }
      {include
        file="admin/components/reusable/form_input.tpl"
        name="submit_success_title"
        label="{t}Submit Success Text{/t}"
        value="{$followup_form['submit_success_title']}"
        placeholder="{t}None{/t}"
      }
    {include file="admin/components/reusable/advanced_options_end.tpl"}
  {/if}
  <div class="{if $is_setup_wizard}setup-followup-fields-mobile-margin{/if}">
    {include
      file="admin/components/followup_form/form_fields.tpl"
      list_label="{t}Form Fields{/t}:"
      button_text="{t}Add Another Field{/t}"
      list_id="text-field-table"
      max_inputs=$max_fields
      checkbox_array_name="field_checkbox_array[]"
    }
  </div>
</div>
{include file="shared/script_start.tpl"}
  initAdmin.init('setup_section_form.tpl', {});
{include file="shared/script_end.tpl"}
