{assign var="ssid_no_whitespace" value="{preg_replace('/\s+/', '', $ssid)}"}
{assign var="in_range" value="{if $wifi_network['quality'] > 0}TRUE{/if}"}

<div id="{$ssid_no_whitespace}-wrapper">
  <div id="{$ssid_no_whitespace}-tile" class="flexbox-vertically-center-children wifi-network-tile-wrapper">
    <div class="display-inline-block">
      <span class="wifi-networks-non-connected-global {$ssid_no_whitespace}-non-connected {if $connected}display-none{/if}">
        <i class="material-icons icon-fab background-gray {$ssid_no_whitespace}-in-range {if !$in_range}display-none{/if}">
          &#xE63E;
        </i>
        <i class="material-icons icon-fab background-gray {$ssid_no_whitespace}-not-in-range {if $in_range}display-none{/if}">
          &#xE1DA;
        </i>
      </span>
      <span class="wifi-networks-connected-global {$ssid_no_whitespace}-connected {if !$connected}display-none{/if}">
        <i class="material-icons icon-fab background-success">
          &#xE63E;
        </i>
      </span>
    </div>
    <div class="wifi-network-tile-title">
      <h4 class="margin0 padding0 wrap-long-words">
        {$ssid}
      </h4>
      <span class="wifi-networks-non-connected-global {$ssid_no_whitespace}-non-connected {if $connected}display-none{/if}">
        <span class="{$ssid_no_whitespace}-saved {if !$is_saved}display-none{/if}">{t}Saved{/t}</span>
        <span class="{$ssid_no_whitespace}-not-saved {if $is_saved}display-none{/if}">{t}Not Saved{/t}</span>
        -
        <span class="{$ssid_no_whitespace}-in-range {if !$in_range}display-none{/if}">{t}In Range{/t}</span>
        <span class="{$ssid_no_whitespace}-not-in-range {if $in_range}display-none{/if}">{t}Not In Range{/t}</span>
      </span>
      <span class="wifi-networks-connected-global {$ssid_no_whitespace}-connected {if !$connected}display-none{/if}">
        {t}Connected{/t}
      </span>
    </div>
    <div class="display-inline-block margin-left-auto">
        <span class="wifi-networks-non-connected-global {$ssid_no_whitespace}-non-connected {if $connected}display-none{/if}">
          <div id="{$ssid_no_whitespace}-connect" class="{$ssid_no_whitespace}-saved btn display-inline-block square-button-border {if !$is_saved}display-none{/if}">
            {t}Connect{/t}
          </div>
          <div id="{$ssid_no_whitespace}-connect-not-saved" class="{$ssid_no_whitespace}-not-saved btn display-inline-block square-button-border {if $is_saved}display-none{/if}">
            {t}Connect (not saved){/t}
          </div>
        </span>
        <div id="{$ssid_no_whitespace}-disconnect" class="wifi-networks-connected-global {$ssid_no_whitespace}-connected btn display-inline-block square-button-border {if !$connected}display-none{/if}">
          {t}Disconnect{/t}
        </div>
        <div id="{$ssid_no_whitespace}-edit" class="{$ssid_no_whitespace}-saved btn square-button display-inline-block color-success margin-left-10 {if !$is_saved}display-none{/if}">
          <i class="material-icons">&#xE254;</i>
        </div>
    </div>
  </div>

  {* Edit menu *}
  <div class="{$ssid_no_whitespace}-saved {if !$is_saved}display-none{/if}">
    <div id="{$ssid_no_whitespace}-collapse" class="collapse">
      <div class="panel panel-body margin-bottom-0 tile-wrapper-border">
        <form id="{$ssid_no_whitespace}-form" method="POST" action="/admin/utilities/connect_wifi.php">
          <input type="hidden" name="_method" value="PUT" />
          <input type="hidden" name="ssid" value="{$ssid}" />
          <div class="col-sm-8">
            {include
              file="admin/components/reusable/form_input.tpl"
              name="password"
              label="{t}Password{/t}"
              id="{$ssid_no_whitespace}-password"
              value="{if isset($password)}$password{/if}"
              placeholder="{t}No Password{/t}"
              remove_margin_top=TRUE
              remove_password=TRUE
            }
          </div>
          <div class="col-sm-4">
            <br />
            {include
              file="shared/raised_button.tpl"
              id="{$ssid_no_whitespace}-remove"
              class="btn-danger margin0"
              icon="&#xE92B;"
              title="{t}Forget Network{/t}"
            }
            <div class="shown-xs">
              <br />
            </div>
          </div>
          <div class="col-xs-12">
            {include
              file="admin/components/reusable/form_submit_footer_inner.tpl"
              media=TRUE
              cancel_button_id="{$ssid_no_whitespace}-cancel"
            }
          </div>
        </form>
      </div>
    </div>
  </div>
</div>


{include file="shared/script_start.tpl"}
var test = function() {
  var isSaved = "{$is_saved}";
  var ssid = "{$ssid}";
  var password = "{$password}";
  var ssidNoWhitespace = "{$ssid_no_whitespace}";

  var wifiNetworkWrapperId = "#" + ssidNoWhitespace + "-wrapper";
  var wifiNetworkTileId = "#" + ssidNoWhitespace + "-tile";
  var cancelButtonId = "#" + ssidNoWhitespace + "-cancel";
  var collapseId = "#" + ssidNoWhitespace + "-collapse";
  var connectButtonId = "#" + ssidNoWhitespace + "-connect";
  var connectButtonNotSavedId = "#" + ssidNoWhitespace + "-connect-not-saved";
  var disconnectButtonId = "#" + ssidNoWhitespace + "-disconnect";
  var editId = "#" + ssidNoWhitespace + "-edit";
  var removeId = "#" + ssidNoWhitespace + "-remove";
  var passwordInputId = "#" + ssidNoWhitespace + "-password";
  var confirmButtonId = "#" + ssidNoWhitespace + "-confirm";
  var ssidPasswordInputId = "#" + ssidNoWhitespace + "-input";
  var confirmDeleteButtonId = "#" + ssidNoWhitespace + "-confirm-delete";
  var editFormId = "#" + ssidNoWhitespace + "-form";
  var popupConfirmButtonId = "#" + ssidNoWhitespace + "-popup-confirm";
  var nonConnectedContentClass = "." + ssidNoWhitespace + "-non-connected";
  var connectedContentClass = "." + ssidNoWhitespace + "-connected";
  var savedContentClass = "." + ssidNoWhitespace + "-saved";
  var notSavedContentClass = "." + ssidNoWhitespace + "-not-saved";
  var nonConnectedContentGlobalClass = '.wifi-networks-non-connected-global';
  var connectedContentGlobalClass = '.wifi-networks-connected-global';

  var phpEndpoint = '/admin/utilities/connect_wifi.php';
  var passwordHeading = "{t}Password{/t}";
  var passwordMessage = "{t}Enter WiFi Password for %s{/t}";
  var confirmDeleteMessage = "{t}Are you sure you want to forget %s?{/t}";
  passwordMessage = utilAdmin.sprintf(passwordMessage, ssid);
  var confirmText = "{t}Connect{/t}";
  var popupHeading = "{t}Enter password for %s{/t}";

  // TODO check to see if the one we are removing is currently connected to, if so, we should show the new one as connected?
  // If there is an old network with the same name, overwritten in the database, remove it from view
  var duplicateNetworks = $('body ' + wifiNetworkWrapperId);
  duplicateNetworks.each(function() {
    if ($(this).attr('original') === 'true') {
      $(this).remove();
    }
  });
  $(wifiNetworkWrapperId).attr('original', 'true'); // New original

  ajax.submitAjaxFormSuccessWithCallback(editFormId, function() {
    collapse.hide(collapseId);
  });

  // Visually shows WiFi connection
  var connectedToWifi = function() {
    // Move to top, change color
    $(wifiNetworkWrapperId).detach().prependTo('#wifi-networks-foreach');
    $(nonConnectedContentGlobalClass).toggle(true); // Show global non-connected
    $(nonConnectedContentClass).toggle(false);
    $(connectedContentGlobalClass).toggle(false); // Hide global connected
    $(connectedContentClass).toggle(true);
  }

  var disconnectedFromWifi = function() {
    $(nonConnectedContentClass).toggle(true);
    $(connectedContentClass).toggle(false);
  }

  var showSaved = function() {
    $(savedContentClass).toggle(true);
    $(notSavedContentClass).toggle(false);
  }

  var showNotSaved = function() {
    $(savedContentClass).toggle(false);
    $(notSavedContentClass).toggle(true);
  }

  // Click connect when WiFi network is NOT saved
  $(connectButtonNotSavedId).on('click', function() {
    popup.popupHelper(
      'shared/popup_custom.tpl',
      {
        include_file: 'admin/components/settings/add_wifi_network_connect_form.tpl',
        heading: utilAdmin.sprintf(popupHeading, ssid),
        message: '',
        confirm_button_id: util.removePound(popupConfirmButtonId),
        ssid: ssid
      },
      function() {
        var addWifiNetworkConnectFormId = '#add-wifi-form-connect';
        $(popupConfirmButtonId).on('click', function() {
          popup.loadingGif();
          $(addWifiNetworkConnectFormId).submit();
        });
        ajax.submitAjaxForm(
          addWifiNetworkConnectFormId,
          function(responseJSON) { // Success
            popup.removeLoadingGif();
            var response = JSON.parse(responseJSON);
            console.log('RESPONSE ' + response);
            $(passwordInputId).val(response['password']); // Set password input to password
            connectedToWifi();
            if (response['save_success']) {
              showSaved();
            }
          },
          function(responseJSON) { // Failure
            popup.removeLoadingGif();
            var response = JSON.parse(responseJSON);
            console.log('RESPONSE ' + response);
            if (response['save_success']) {
              showSaved();
            }
          }
        );
      }
    );
  });

  // Click connect when WiFi network IS saved
  $(connectButtonId).on('click', function() {
    popup.loadingGif();
    ajax.php(
      phpEndpoint,
      {
        _method: 'CONNECT',
        ssid: ssid,
        password: password
      },
      function() { // Success
        popup.removeLoadingGif();
        connectedToWifi();
      },
      function() {
        popup.removeLoadingGif();
      }
    );
  });
  $(disconnectButtonId).on('click', function() {
    popup.loadingGif();
    ajax.php(
      phpEndpoint,
      {
        _method: 'DISCONNECT',
        ssid: ssid
      },
      function() { // Success
        popup.removeLoadingGif();
        disconnectedFromWifi();
      },
      function() {
        popup.removeLoadingGif();
      }
    );
  });
  $(editId).on('click', function() {
    collapse.toggle(collapseId);
  });
  $(cancelButtonId).on('click', function() {
    collapse.hide(collapseId);
  });
  $(removeId).on('click', function() {
    popup.confirmPopup(
      utilAdmin.sprintf(confirmDeleteMessage, ssid),
      confirmDeleteButtonId,
      function() {
        $(confirmDeleteButtonId).on('click', function() {
          ajax.php(
            phpEndpoint,
            {
              _method: 'DELETE',
              ssid: ssid
            },
            function() { // Success
              collapse.hide(collapseId);
              util.fadeOutCSS(wifiNetworkWrapperId);
            }
          );
        });
      }
    );
  });
}
test();
{include file="shared/script_end.tpl"}
