{*
  Page, login for the admin.

  @author JP
  @param $error If true, error message will be shown to users
*}

{extends file="admin/components/reusable/login_panel_extend.tpl"}

{block name="heading"}{t}Setup Success{/t}{/block}
{block name='is_login'}TRUE{/block}
{block name="hide_login_buttons"}TRUE{/block}
{block name="content"}
  <div>
    <div class="col-sm-8 padding0 col-centered">
      <p class="text-center">
        {t}Setup successful! Click "Okay" to continue to Admin.{/t}
      </p>
      <br>
      <p class="margin0">
        {t}If you want to change your password, see the account settings page{/t}: <a href="/admin/settings/account.php" class="text-link">{t}Account Settings{/t}</a>
      </p>
      <div class="padding-top-40"></div>
      <div class="flexbox-center-children">
        <div class="padding-10">
          {include
            file="admin/components/help_messages/page_help_message.tpl"
            relative_position=TRUE
          }
        </div>
        <i class="material-icons setup-success-arrow">&#xE5C4;</i>
        <p class="setup-success-arrow-title">
          {t}On each page, click the help button to learn how to use the page features.{/t}
        </p>
      </div>
      {*<hr class="hr-equal" />*}
      <div class="padding-top-40"></div>
      <div class="flexbox-center-children">
        <div class="setup-success-security-button">
          {include
            file="admin/components/reusable/form_security_button.tpl"
            security_message="{t}Security messages will look like this.{/t}"
            security_button_id="security-message"
          }
        </div>
        <i class="material-icons setup-success-arrow">&#xE5C4;</i>
        <p class="setup-success-arrow-title">
          {t}Settings that could impact the device's security will have a security button next to them. Click the button to see the security message.{/t}
        </p>
      </div>
      <div class="padding-top-40 shown-xs"></div>
      <div class="padding-40 hidden-xs"></div>
      <div class="row">
        <div class="col-sm-7 col-sm-push-5">
          <br class="hidden-xs" />
          <div class="flexbox-vertically-center-children">
            <i class="material-icons setup-success-arrow hidden-xs">&#xE5C4;</i>
            <p class="margin0">
              {t}Remember to update your device often for new features and fixes!{/t}
            </p>
          </div>
          <br class="shown-xs" />
        </div>
        <div class="col-sm-5 col-sm-pull-7">
          {* Navbar clone *}
          <div class="navbar navbar-default admin-nav color-dark-nav margin0 setup-success-navbar">
            <div class="padding0 navbar-collapse">
              <ul class="nav navbar-nav">
                <li class="dropdown open">
                  <a aria-expanded="true"><i class="material-icons"></i> Settings <b class="caret"></b></a>
                  <ul class="dropdown-menu">
                    <li><a href="/admin/settings/update.php"><i class="material-icons"></i> Software Update</a></li>
                  </ul>
                  </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
      <div class="hidden-xs padding-40"></div>
      <div class="hidden-xs padding-top-40"></div>
      <div class="shown-xs padding-top-40"></div>
      <div class="col-sm-10 col-centered">
        {include
          file="shared/raised_button.tpl"
          href="/admin/dashboard.php"
          class="btn-success margin-bottom-0"
          title="{t}Okay{/t}"
        }
      </div>
    </div>
  </div>
{/block}
