{*
  Form to edit settings for multiple media uploaded at once

  USES JS

  @author JP
  @assign directory_array
*}
{extends file="admin/components/reusable/form_extend_accordion.tpl"}
{assign var="fineuploader_image_for_files_id" value="fineuploader-image-for-files"}

{* Including "in" in group_class will make the accordion open by default *}
{block name="group_class"}in {$group_class}{/block}
{block name="click_id"}{$step1_id}{/block}
{block name="form_id"}{$form_id}{/block}
{block name="form_action"}/admin/manage/media_forms/media_edit.php{/block}
{block name="form_icon"}&#xE88F;{/block}
{block name="hide_arrow"}TRUE{/block}
{block name="form_title"}{t}Step 1: Set Media Upload Options{/t}{/block}
{block name="cancel_href"}/admin/manage/media.php?id={$current_directory_id}{/block}
{block name="submit_text"}{t}Next{/t}{/block}
{block name="cancel_button_id"}upload-media-form-buttons{/block}
{block name="form_content"}
  {* Hidden input to indicate upload form type *}
  <input type="hidden" name="upload_form" value="TRUE" />

  <br /><br />
  <div class="row">
    <div class="col-sm-3">
      <label>{t}Upload Location{/t}:</label>
    </div>
    <div class="col-sm-9">
      {include
        file="admin/components/media/media_move_select.tpl"
        name="directory"
        select_id="{$select_directory_id}"
        language_directories_array=$language_directories_array_select
        directory_array=$directory_array
        selected_value="{if isset($current_directory_id)}{$current_directory_id}{/if}"
      }
    </div>
  </div>
  <div class="row form-group">
    <div class="col-sm-3 padding0">
      <label>{t}Distribute Over{/t}:</label>
    </div>
    <div class="col-sm-9 padding0">
      <div class="row">
        {include
          file="admin/components/media/media_availability.tpl"
          id="multi-edit-form"
          wifi_status_checked=TRUE
          sd_status_checked=TRUE
        }
      </div>
    </div>
  </div>
  {include file="admin/components/reusable/advanced_options_start.tpl"}
    {include
      file="admin/components/reusable/form_textarea.tpl"
      name="description"
      label="{t}Description for Files{/t}"
      message="{t}To give unique descriptions, edit files individually after the upload is complete.{/t}"
      remove_margin_top=TRUE
    }
    <br />
    {include
      file="admin/components/upload/fineuploader_upload.tpl"
      is_dropdown_image_uploader=TRUE
      fineuploader_template_id="{$fineuploader_image_for_files_id}"
    }
    {include
      file="admin/components/reusable/form_select_image.tpl"
      name="select_image"
      class="upload-media-form-select-image-dropdowns"
      id="upload-select-image"
      label="{t}Image for Files{/t}"
      fineuploader_template_id="{$fineuploader_image_for_files_id}"
      image_id=""
      media_image=TRUE
      show_current=TRUE
      current_option_text="{t}Use Thumbnails From Video Files{/t}"
    }
  {include file="admin/components/reusable/advanced_options_end.tpl"}
  <br />
{/block}

{block name="script"}
{* Initialize radio reveals *}
  {include file="shared/script_start.tpl"}
    initAdmin.init("upload_media_form.tpl", {
      form_id: "{$form_id}",
      step1_id: "{$step1_id}",
      step2_id: "{$step2_id}",
      group_class: "{$group_class}",
    });
  {include file="shared/script_end.tpl"}
{/block}
