{*
  General settings form section for WiFi Interface.

  @author JP
*}
{extends file="admin/components/reusable/form_extend_accordion.tpl"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{block name="group_class"}{$group_class}{/block}
{block name="click_id"}{$click_id}{/block}
{block name="form_id"}form-general-settings{/block}
{block name="form_action"}/admin/manage/user_interface_forms/general_settings.php{/block}
{block name="form_icon"}&#xE869;{/block}
{block name="form_title"}{t}General Settings{/t}{/block}
{block name="cancel_button_id"}{$click_id}-cancel{/block}
{block name="form_content"}
  <div class="row form-group">
    <label class="col-md-2 padding0 margin-top-10">{t}Show Folders As{/t}:</label>
    <div class="col-md-10">
      {include
        file="admin/components/reusable/form_radio.tpl"
        label="{t}Sliders{/t}"
        name="general_disable_sliders"
        value="false"
        id="radio-folder-sliders-options-1"
        checked="{if !$general_disable_sliders}TRUE{/if}"
      }
      {include
        file="admin/components/reusable/form_radio.tpl"
        label="{t}Single Icons{/t}"
        name="general_disable_sliders"
        value="true"
        id="radio-folder-sliders-options-2"
        checked="{if $general_disable_sliders}TRUE{/if}"
      }
    </div>
  </div>
  {include
    file="admin/components/reusable/form_checkbox.tpl"
    id="general-logo-enabled"
    name="general_logo_enabled"
    label="{t}Enable Site Logo{/t}"
    checked=$general_logo_enabled
  }
  <div id="general-logo-enabled-collapse" class="collapse {if $general_logo_enabled}in{/if}">
    <div class="row form-group">
      <label class="col-md-2 padding0">{t}Site Logo{/t}:</label>
      <div class="col-md-10">
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Default Logo{/t}"
          name="general_logo_mode"
          value="default"
          id="radio-logo-options-1"
          checked="{if $general_logo_mode === 'default'}TRUE{/if}"
          security_message="{$message_security_site_logo nofilter}"
          security_button_id="security-site-logo"
        }
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Custom Image{/t}"
          name="general_logo_mode"
          value="image"
          id="radio-logo-options-2"
          checked="{if $general_logo_mode === 'image'}TRUE{/if}"
        }
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Text{/t}"
          name="general_logo_mode"
          value="text"
          id="radio-logo-options-3"
          checked="{if $general_logo_mode === 'text'}TRUE{/if}"
        }
      </div>
    </div>
    {* USES JS *}
    <div id="radio-logo-options-2-collapse">
      <div class="well margin0">
        <input id="custom-image-src" type="hidden" name="custom_image_src" value="{$custom_logo_dir_rel}/{$general_logo}" />
        <div>
          <div class="flexbox-center-children">
            <div id="custom-image-wrapper" class="{if !$general_logo}display-none{/if}">
              <div class="display-inline-block position-relative">
                <img id="custom-image-img" src="{if $general_logo}{$custom_logo_dir_rel}/{$general_logo}{/if}" class="col-centered" />
                <div class="btn-group-sm manage-images-icon-buttons">
                  {include
                    file="user/components/reusable/circle_button.tpl"
                    id="custom-image-button-remove"
                    icon="&#xE92B;"
                    button_class="background-danger"
                    icon_class="color-white"
                  }
                </div>
              </div>
            </div>
          </div>
          <label id="custom-image-label" class="{if $general_logo}display-none{/if}">None uploaded</label>
          {include
            file="shared/raised_button.tpl"
            class="btn-success"
            id="upload-custom-image-button"
            title="{t}Upload{/t}"
            icon="&#xE2C6;"
          }
        </div>
      </div>
    </div>

    {* USES JS *}
    <div id="radio-logo-options-3-collapse">
      <div class="well margin0">
        {include
          file="admin/components/reusable/form_input.tpl"
          maxlength=$max_logo_text_length
          name="general_logo_text"
          value="{$general_logo_text}"
          placeholder="{t}Logo Text{/t}"
          remove_margin_top=TRUE
        }
      </div>
    </div>
  </div>
  {include
    file="admin/components/reusable/advanced_options_start.tpl"
    advanced_options_id="general-settings-advanced"
  }
    {include
      file="admin/components/reusable/form_checkbox.tpl"
      id="general-language-redirect"
      name="general_language_redirect"
      label="{t}Redirect users into language folder based on browser language{/t}"
      checked=$general_language_redirect
      remove_margin_top=TRUE
    }
    {* TODO: test and roll out download mode feature *}
    {*
    {include
      file="admin/components/reusable/form_checkbox.tpl"
      id="general-download-mode"
      name="general_download_mode"
      label="{t}Download mode{/t}"
      checked=$general_download_mode
      remove_margin_top=TRUE
    }
    *}
  {include file="admin/components/reusable/advanced_options_end.tpl"}
  <br />
{/block}

{block name="script"}
  {include file="shared/script_start.tpl"}
    initAdmin.init("general_settings.tpl", {
      click_id: "{$click_id}",
      open: "{$open}"
    });
  {include file="shared/script_end.tpl"}
{/block}
