{*
  Greeting Panel form section.

  @author JP
*}
{extends file="admin/components/reusable/form_extend_accordion.tpl"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{block name="group_class"}{$group_class}{/block}
{block name="click_id"}{$click_id}{/block}
{block name="form_id"}form-greeting-panel{/block}
{block name="form_action"}/admin/manage/user_interface_forms/greeting_panel.php{/block}
{block name="form_icon"}&#xE88A;{/block}
{block name="form_title"}{t}Greeting Panel{/t}{/block}
{block name="cancel_button_id"}{$click_id}-cancel{/block}
{block name="form_content"}
  <div class="well margin-top-20">
    <p>{$message_help_greeting_panel}</p>
    <div>{t}Note: this greeting panel will be shown before files that are not in a language folder. To add a greeting panel to an individual language folder, go to the manage media page and click "edit" on the language folder.{/t}</div>
  </div>
  {include
    file="admin/components/reusable/form_checkbox.tpl"
    id="greeting-enabled-checkbox"
    name="greeting_enabled"
    label="{t}Enable Greeting Panel Message{/t}"
    checked=$greeting_enabled
  }
  <div id="greeting-enabled-collapse">
    {* NOTE: This select one for show before featured is hidden, since it isn't that useful *}
    {*
    <div class="hidden row form-group">
      <label class="col-md-2 padding0 margin-top-10">{t}Select One{/t}:</label>
      <div class="col-md-10">
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Display before featured media{/t}"
          name="greeting_location"
          value="before"
          id="greeting-location-radio-1"
          checked=$greeting_show_before_featured
        }
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Display after featured media{/t}"
          name="greeting_location"
          value="after"
          id="greeting-location-radio-2"
          checked=!($greeting_show_before_featured)
        }
      </div>
    </div>
    *}
    {include
      file="admin/components/reusable/form_input.tpl"
      name="greeting_title"
      label="{t}Greeting Panel Title{/t}"
      value="{$greeting_title}"
      placeholder="{t}None{/t}"
    }
    {include
      file="admin/components/reusable/form_textarea.tpl"
      name="greeting_text"
      label="{t}Greeting Panel Message{/t}"
      value="{$greeting_text}"
      placeholder="{t}None{/t}"
    }
    <div class="form-group label-text">
      {t}Greeting Panel Background{/t} -
      <a class="clickable-pointer text-link" id="change-theme-settings">{t}Change in Theme Settings{/t}</a>
    </div>
    <div class="row form-group">
      <label class="col-md-2 padding0 margin-top-10">{t}Select One{/t}:</label>
      <div class="col-md-10">
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Text only greeting panel{/t}"
          name="greeting_mode"
          value="text"
          id="radio-greeting-options-1"
          checked="{if $greeting_mode === 'text'}TRUE{/if}"
        }
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Promote a media file{/t}"
          name="greeting_mode"
          value="media"
          id="radio-greeting-options-2"
          checked="{if $greeting_mode === 'media'}TRUE{/if}"
        }
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Add an image above greeting{/t}"
          name="greeting_mode"
          value="image"
          id="radio-greeting-options-3"
          checked="{if $greeting_mode === 'image'}TRUE{/if}"
        }
      </div>
    </div>

    {* USES JS *}
    <div id="radio-greeting-options-2-collapse">
      <div class="well">
        {include
          file="admin/components/media/media_select.tpl"
          name="greeting_mode_media_file_id"
          placeholder="{t}Select Media File{/t}"
          id="greeting-mode-media-file-id"
          selected_value="{$greeting_mode_media_file_id}"
          remove_margin_top=TRUE
          items=$greeting_mode_media_file_select_array
        }
      </div>
    </div>

    {* USES JS *}
    <div id="radio-greeting-options-3-collapse">
      <div class="well">
        {include
          file="admin/components/reusable/form_select_image.tpl"
          name="greeting_mode_image_src"
          id="select-greeting-custom-image"
          class="greeting-panel-select-image-dropdowns"
          label="{t}Custom Greeting Panel Image{/t}"
          placeholder="{t}Select Image{/t}"
          upload_form_id="custom-image-form"
          image_id="{$greeting_mode_image_src}"
        }
      </div>
    </div>
  </div>
{/block}

{block name="script"}
  {* Initialize radio reveals *}
  {include file="shared/script_start.tpl"}
    initAdmin.init("greeting_panel.tpl", {
      click_id: "{$click_id}",
    });
  {include file="shared/script_end.tpl"}
{/block}
