{*
  Form section for customization of user-specified styles and theme data.

  @author JP
*}
{extends file="admin/components/reusable/form_extend_accordion.tpl"}

{block name="group_class"}{$group_class}{/block}
{block name="click_id"}{$click_id}{/block}
{block name="form_id"}form-theme{/block}
{block name="form_action"}/admin/manage/user_interface_forms/theme.php{/block}
{block name="form_icon"}&#xE3AE;{/block}
{block name="form_title"}{t}Theme{/t}{/block}
{block name="cancel_button_id"}{$click_id}-cancel{/block}
{block name="form_content"}
  <br />
  <div class="row">
    <div class="col-xs-6">
      {include
        file="shared/raised_button.tpl"
        id="apply-dark-theme"
        class="btn-standard"
        title="{t}Apply Dark Theme{/t}"
      }
    </div>
    <div class="col-xs-6">
      {include
        file="shared/raised_button.tpl"
        id="apply-light-theme"
        class="btn-standard"
        title="{t}Apply Light Theme{/t}"
      }
    </div>
  </div>

  <hr class="hr-equal" />
  {foreach from=$themes item=theme}
    {include
      file="admin/components/reusable/color_picker.tpl"
      id="id-{$theme['key']}"
      name=$theme['key']
      type=$theme['type']
      effect=$theme['effect']
      value=$theme['value']
      default_value=$theme['default']
      title=$theme['title']
      description=$theme['description']
    }
  {/foreach}

  {* Used by all of the color pickers *}
  {include
    file="admin/components/reusable/color_palette.tpl"
    palette=$themes_palette
  }
{/block}

{block name="script"}
  {include file="shared/script_start.tpl"}
    initAdmin.init("theme.tpl", {
      click_id: "{$click_id}",
      theme_message: "{t}Your previous theme settings will be overwritten. Are you sure you want to apply this theme?{/t}",
      theme_popup_id: "theme-popup-confirm-button",
      apply_light_them_id: "apply-light-theme",
      apply_dark_them_id: "apply-dark-theme",
      form_theme_id: "form-theme"
    });
  {include file="shared/script_end.tpl"}
{/block}
