{*
  Manage images page, where users can upload, edit, and remove images for use
  with media, or general images for backgrounds, the splash screen, etc.

  @author JP
*}
{include file="header_admin.tpl"}
{include file="admin/top_nav.tpl"}
{assign var="should_show_more_button" value="{if $images_limit < $total_images}TRUE{/if}"}


{include file="admin/components/reusable/page_title.tpl"}
{include
  file="admin/components/help_messages/page_help_message.tpl"
  help_template="admin/components/help_messages/help_images.tpl"
}
<div class="row">
  <div class="col-md-4">
    {include
      file="shared/raised_button.tpl"
      class="btn-success"
      id="upload-images-top-button"
      icon="&#xE2C6;"
      title="{t}Upload Image{/t}"
    }
  </div>
  <div class="col-md-4">
    {include
      file="shared/raised_button.tpl"
      class="btn-danger"
      id="images-delete-all-button"
      icon="&#xE92B;"
      title="{t}Delete All Images{/t}"
    }
    <form id="form-delete-all-images" class="hidden" method="POST" action="/admin/manage/images.php">
      <input type="hidden" name="_method" value="DELETE" />
      <input type="hidden" name="type" value="DELETE_ALL" />
    </form>
  </div>
  <div class="col-md-4">
    <div class="p-button-border btn-margin">
      <p>{t}Remaining Space{/t}: {$storage_free_gb}</p>
    </div>
  </div>
</div>
<div class="hidden-xs"><br /></div>
<div>
  <label>
    <div class="manage-images-description-label"></div>
    {t}Images can be used as backgrounds and media thumbnails. Upload wide images (16:9 aspect ratio) to reduce cropping.{/t}
  </label>
</div>
<br />
<div class="fineuploader-image-upload-wrapper">
  {*   <div id="fineuploader-image-upload-collapse" class="row margin0 collapse"> *}
  <div id="fineuploader-image-upload" class="display-none-xs">
    {include
      file="admin/components/upload/fineuploader_upload.tpl"
    }
  </div>
</div>
<br />
<div id="image-icon-container" class="row container-fluid">
  {include file="admin/components/images/manage_images_icon_foreach.tpl"}
</div>


{if count($images_array) === 0}
  <br /><br />
  <h3 class="text-center">{t}No images uploaded yet{/t}</h3>
{/if}

{if $should_show_more_button}
  {* Value is current media offset *}
  <div id="show-more-images-wrapper">
    <div class="col-sm-6 col-centered">
      {include
        file="shared/raised_button.tpl"
        id="show-more-images"
        class="btn-success pulse"
        icon="&#xE313;"
        value="0"
        title="{t}Show More Images{/t}"
        icon_after_button=TRUE
      }
    </div>
    <br />
  </div>
{/if}
{include file="footer_admin.tpl"}

<script>
  initAdmin.init("images.tpl", {
    delete_popup_message: "{t}Are you sure you want to delete all of your images?{/t}",
    should_show_more_button: "{$should_show_more_button}",
    images_limit: "{$images_limit}",
    total_images: "{$total_images}"
  });
</script>
