{*
  Page: Account settings.
*}
{extends file="admin/components/reusable/form_extend.tpl"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{block name="form_title"}
  {if $set_reporting_email}
    {include
      file="admin/components/reusable/alert.tpl"
      class="alert-success help-message-toggle-adjust-width-alert"
      dismissible=TRUE
      title="{t}Please set reporting email below{/t}"
    }
    <br />
  {/if}
  {include
    file="admin/components/reusable/form_title.tpl"
    icon="&#xE7FD;"
    title="{$page_title}"
    remove_margin_top=true
  }
  {include
    file="admin/components/help_messages/page_help_message.tpl"
    help_template="admin/components/help_messages/help_account.tpl"
    is_form=TRUE
  }
{/block}
{block name="form_content"}
  <form id="account-form" method="POST" action="/admin/settings/account.php">
    {include file="admin/components/reusable/form_submit_footer.tpl"}
    {include
      file="admin/components/reusable/form_input.tpl"
      name="user_name"
      label="{t}Change Username{/t}"
      value="{$user_name}"
      placeholder=""
      remove_margin_top=TRUE
      disable_autocapitalize=TRUE
    }
    {include
      file="admin/components/reusable/form_input.tpl"
      name="confirm_user_name"
      label="{t}Confirm New Username{/t}"
      value="{$user_name}"
      placeholder=""
      disable_autocapitalize=TRUE
    }
    {* Also used for setup wizard *}
    {include file="admin/components/settings/setup_section_account.tpl"}
    {include file="admin/components/settings/setup_section_reporting_email.tpl"}
    {include
      file="admin/components/reusable/form_list_item_array.tpl"
      list_label="{$title_trusted_devices}"
      list_hint="{$message_trusted_devices nofilter}"
      form_list_item_array_id="list-trusted-devices"
      form_list_item_array_add_button_id="list-trusted-devices-add-button"
      item_array=$trusted_devices_array
      form_list_item_content_file="admin/components/settings/account/form_item_trusted_device.tpl"
      item_default_ajax=$current_device
      button_text="{t}Add Current Device to Trusted Devices{/t}"
    }
    {include file="admin/components/reusable/advanced_options_start.tpl"}
      {include
        file="admin/components/reusable/form_checkbox.tpl"
        id="statistics-include-raw-data"
        name="statistics_include_raw_data"
        label="{$title_include_raw_data}"
        hint_seen="{$hint_include_raw_data}"
        checked=$statistics_include_raw_data
        remove_margin_top=TRUE
      }
      {include
        file="admin/components/reusable/form_toggle.tpl"
        name="setup_should_show"
        label="{t}Show Setup at Next Login{/t}"
        checked="{$setup_should_show}"
      }
      {include
        file="admin/components/reusable/form_toggle.tpl"
        name="help_messages_highlight"
        label="{t}Highlight Page Help Buttons{/t}"
        checked="{$help_messages_highlight}"
      }
    {include file="admin/components/reusable/advanced_options_end.tpl"}
  </form>
{/block}
{block name="form_footer"}
  {include file="admin/components/settings/account/wide_button_factory_restore.tpl"}
{/block}
{block name="below_footer"}
  <script>
    ajax.submitAjaxFormSuccessRefresh("#account-form");
    
    // Trusted devices button
    var trustedDevicesAddButtonWrapper = $('#list-trusted-devices-add-button-wrapper');
    var trustedDevicesAddButton = $('#list-trusted-devices-add-button');
    var messageCurrentDeviceAlreadyTrusted = "{t}Current device is already trusted{/t}";
    trustedDevicesAddButtonWrapper.on('click', function() {
      var currentDevice = $('input[value="' + "{$current_device['device_id']}" + '"]');
      var currentDeviceIsTrusted = currentDevice.length > 0;
      if (currentDeviceIsTrusted) {
        // Remove newly added device
        currentDevice.first().parent().remove();
        popup.errorPopup(messageCurrentDeviceAlreadyTrusted);
      }
    });
  </script>
{/block}
