{*
  Page: Bluetooth settings.

  TODO
*}
{extends file="admin/components/reusable/form_extend.tpl"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{block name="form_title"}
  {include
    file="admin/components/reusable/form_title.tpl"
    icon="&#xE1A7;"
    title="{$page_title}"
    remove_margin_top=TRUE
  }
  {include
    file="admin/components/help_messages/page_help_message.tpl"
    help_template="admin/components/help_messages/help_bluetooth.tpl"
    is_form=TRUE
    class_margin_bottom=""
  }
  <div class="well margin0">
    <div class="color-danger">{$message_bluetooth_dongle nofilter}</div>
  </div>
{/block}
{block name="form_content"}
  <form id="bluetooth-form" method="POST" action="/admin/settings/bluetooth.php" enctype="multipart/form-data">
    {include file="admin/components/reusable/form_submit_footer.tpl"}
    {include
      file="admin/components/reusable/form_input.tpl"
      name="bluetooth_device_name"
      label="{t}Bluetooth Device Name{/t}"
      value="{$bluetooth_device_name}"
      maxlength=$device_name_max_length
      hint="{t}Short names are best. Some older devices can only see the first 31 letters of the name.{/t}"
    }
    {include
      file="admin/components/reusable/form_toggle.tpl"
      name="scan_for_bluetooth_devices"
      label="{t}Scan for Bluetooth Devices{/t}"
      checked="{$bluetooth_scan_for_devices}"
      hint="{t}If turned on, the Bluetooth will attempt to transfer files to nearby devices{/t}"
    }
    {include file="admin/components/reusable/advanced_options_start.tpl"}
      {include
        file="admin/components/reusable/form_input.tpl"
        name="bluetooth_max_push_retry"
        label="{t}Maximum Number of Bluetooth File Share Attempts Before Timeout{/t}"
        value="{$bluetooth_max_push_retry}"
        hint=""
      }
      {include
        file="admin/components/reusable/form_input.tpl"
        name="bluetooth_rejected_delay"
        label="{t}Timeout Length (Hours){/t}"
        value="{$bluetooth_rejected_delay}"
        hint="Entering 0 will continually retry devices"
      }
    {include file="admin/components/reusable/advanced_options_end.tpl"}
    <div class="form-inner-heading">
      {include
        file="admin/components/reusable/form_title.tpl"
        icon="bluetooth_audio"
        title="{t}Files to Send over Bluetooth{/t}"
      }
      <div class="well margin0">
        <div class="label-text">{$message_help_bluetooth_size nofilter}</div>
      </div>
    </div>
    <br />
    {include
      file="admin/components/reusable/form_sortable_item_title_list.tpl"
      checkbox_array_name="bluetooth_media[]"
      media_array=$bluetooth_media_array
      max_number_of_inputs=FALSE
      title="{t}Add Bluetooth Media{/t}"
    }
  </form>
{/block}
{block name="form_footer"}<div class="form-margin-footer"></div>{/block}

{block name="below_footer"}
  <script>
    ajax.submitAjaxFormSuccess("#bluetooth-form");
  </script>
{/block}
