{*
  Page: Reboot settings.

  TODO
*}
{extends file="admin/components/reusable/form_extend.tpl"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{block name="form_title"}
  {include
    file="admin/components/reusable/form_title.tpl"
    icon="&#xE8AC;"
    title="{$page_title}"
    remove_margin_top=true
  }
  {include
    file="admin/components/help_messages/page_help_message.tpl"
    help_template="admin/components/help_messages/help_power.tpl"
    is_form=TRUE
  }
{/block}
{block name="form_content"}
    <form id="power-form" method="POST" action="/admin/settings/power.php">
      {include file="admin/components/reusable/form_submit_footer.tpl"}
      <div class="row form-group margin0">
        <label class="col-md-2 padding0">{t}Startup Mode{/t}:</label>
        <div class="col-md-10">
          {include
            file="admin/components/reusable/form_radio.tpl"
            label="{t}Normal{/t}"
            name="startup_mode"
            value="normal"
            id="radio-startup-options-1"
            checked="{if !$secure_boot_enabled && !$auto_boot_enabled}TRUE{/if}"
          }
          {include
            file="admin/components/reusable/form_radio.tpl"
            label="{t}Auto Startup Mode{/t}"
            name="startup_mode"
            value="auto"
            id="radio-startup-options-2"
            checked="{if $auto_boot_enabled}TRUE{/if}"
          }
          {include
            file="admin/components/reusable/form_radio.tpl"
            label="{t}Secure Startup Mode{/t}"
            name="startup_mode"
            value="secure"
            id="radio-startup-options-3"
            checked="{if $secure_boot_enabled}TRUE{/if}"
            security_message="{$message_security_secure_boot nofilter} <br /><br /> <span class='color-danger'>{$message_secure_boot nofilter}</span>"
            security_button_id="security-form-title"
          }
          <div id="radio-startup-options-3-collapse" class="collapse margin-left-10">
            <div class="color-danger">{$message_secure_boot nofilter}</div>
          </div>
        </div>
      </div>
    </form>
{/block}
{block name="form_footer"}
  <div class="padding-top-20"></div>
  <div class="panel padding-20">
    <div class="row flexbox-vertically-center-children-not-xs">
      <div class="col-md-6 col-centered">
        <form method="POST" id="shutdown-form" action="/admin/settings/power.php" enctype="multipart/form-data">
            <input type="hidden" name="reboot-method" value="shutdown" />
            {include
              file="shared/raised_button.tpl"
              id="shutdown-btn"
              class="btn-danger padding-20"
              icon="&#xE8AC;"
              title="{t}Shut Down{/t}"
            }
        </form>
      </div>
    </div>
  </div>
  <div class="padding-top-40"></div>
{/block}
{block name="below_footer"}
  <script>
    initAdmin.init('power.tpl', {
      message_confirm_shutdown: "{t}Are you sure you want to shut down?{/t}",
      message_shutdown: "{t}The system is now in the process of shutting down{/t}"
    });
  </script>
{/block}
