{include file="header.tpl"}
{include file="admin/top_nav.tpl"}

{extends file="admin/components/reusable/form_extend.tpl"}

{block name="form_title"}
  {include
    file="admin/components/reusable/form_title.tpl"
    icon="satellite"
    title="{$page_title}"
    remove_margin_top=true
    margin_bottom=true
  }
{/block}
{block name="form_content"}
  <div class="label-text">{t}Satellite Cable Status{/t} -
    {if $satellite_cable_connected}
      <span class="color-success">{t}Connected{/t}</span>
    {else}
      <span class="color-danger">{t}Not Connected{/t}</span>
    {/if}
  </div>
  <form id="satellite-form" method="POST" action="/admin/settings/satellite.php">
    {include
      file="admin/components/reusable/form_select.tpl"
      label="{t}Transmission Frequency{/t}"
      name="txfrequency"
      id="txfrequency_options_select"
      placeholder="{t}Select{/t}"
      selected_value="{$txfrequency}"
      items=$txfrequency_options
    }
    {include file="admin/components/reusable/form_submit_footer.tpl"}
  </form>
{/block}
{block name="form_footer"}
  {if $satellite_cable_connected}
    <div class="padding-top-20"></div>
    <div class="panel padding-20">
      {include
        file="admin/components/reusable/wide_button_with_message.tpl"
        id="testtx-btn"
        icon="send"
        button_title="{t}Send Test{/t}"
        message="{t}Send a test message over the satellite connection{/t}"
        button_class="btn-danger"
      }
    </div>
    <div class="padding-top-40"></div>
  {else}
    <div class="form-margin-footer"></div>
  {/if}
{/block}

{block name="below_footer"}
  <script>
    var messageConfirm = '{t}Test transmission sent{/t}';
    var heading = '{t}Success{/t}';
    ajax.submitAjaxFormSuccess('#satellite-form');
    $('#testtx-btn').on('click', function() {
      ajax.php(
        '/admin/settings/satellite.php',
        { texttx: 'texttx' },
        function() {
          popup.errorPopupHeading(messageConfirm, heading);
        }
      );
    });
  </script>
{/block}
