{*
  TODO Comment
*}

{extends file="admin/components/reusable/form_extend.tpl"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{block name="form_title"}
  {include
    file="admin/components/reusable/form_title.tpl"
    icon="&#xE897;"
    title="{$page_title}"
    remove_margin_top=TRUE
  }
  {include
    file="admin/components/help_messages/page_help_message.tpl"
    help_template="admin/components/help_messages/help_security.tpl"
    is_form=TRUE
  }
{/block}
{block name="form_content"}
  <form id="security-form" method="POST" action="/admin/settings/security.php">
    {*$wifi_password_enabled|@print_r*}
    {*$secure_boot_enabled|@print_r*}
    {include file="admin/components/reusable/form_submit_footer.tpl"}
    {include
      file="admin/components/reusable/form_checkbox.tpl"
      name="secure_boot_enabled"
      label="{$title_enable_secure_startup}"
      checked=$secure_boot_enabled
      hint_seen="<span class='color-danger'>{$message_secure_boot nofilter}</span>"
      remove_margin_top=TRUE
      security_message="{$message_security_secure_boot nofilter}"
      security_button_id="security-secure-boot"
    }

    {include file="admin/components/settings/wifi/wifi_password_enabled.tpl"}
    {include
      file="admin/components/reusable/form_checkbox.tpl"
      name="disable_site_logo"
      label="{$title_disable_site_logo}"
      checked=!$general_logo_enabled
      security_message="{$message_security_site_logo nofilter}"
      security_button_id="security-site-logo"
    }
    {include
      file="admin/components/reusable/form_checkbox.tpl"
      id="disable-followup-form-checkbox"
      name="disable_followup_form"
      label="{$title_disable_followup_form}"
      checked=$disable_followup_form
      security_message="{$message_security_followup_form nofilter}"
      security_button_id="security-followup-form"
    }
    <div id="disable-followup-form-collapse">
      {include
        file="admin/components/reusable/form_checkbox.tpl"
        name="disable_followup_form_email"
        label="{$title_disable_followup_form_email}"
        checked=$disable_followup_form_email
        security_message="{$message_security_followup_form_send_email nofilter}"
        security_button_id="security-send-email"
      }
    </div>
  </form>
{/block}
{block name="form_footer"}
  {include file="admin/components/settings/account/wide_button_factory_restore.tpl"}
{/block}
{block name="below_footer"}
  <script>
    initAdmin.init("security.tpl", {
      disable_media_message: "{t}Are you sure you want to disable your media over WiFi?{/t}",
      disable_media_confirm_text: "{t}Disable{/t}",
      message_save_successful: "{$message_save_successful nofilter}",
      message_restart: "{t}Changes to WiFi Password will apply on restart{/t}"
    });
  </script>
{/block}
