{*
  Page, WiFi settings, like SSID and WiFi Channel
  TODO

  @author JP
*}
{extends file="admin/components/reusable/form_extend.tpl"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{block name="form_title"}
  {include
    file="admin/components/reusable/form_title.tpl"
    icon="&#xE63E;"
    title="{$page_title}"
    remove_margin_top=TRUE
  }
  {include
    file="admin/components/help_messages/page_help_message.tpl"
    help_template="admin/components/help_messages/help_wifi.tpl"
    is_form=TRUE
  }
{/block}
{block name="form_content"}
  <form id="wifi-form" method="POST" action="/admin/settings/wifi.php">
    {include file="admin/components/settings/setup_section_wifi.tpl"}
    {include
      file="admin/components/reusable/form_input.tpl"
      name="site_url"
      id="wifi-site-url"
      maxlength=$max_url_length
      label="{t}Website URL{/t}"
      value="{$site_url}"
      hint="{t}Can only contain letters, numbers, and one period - Example: FreeMovies.com{/t}"
    }

    {include
        file="admin/components/reusable/form_select.tpl"
        name="wifi_max_downloads"
        label="{$title_max_downloads}"
        id="form-select-wifi-max-downloads"
        selected_value="{$wifi_max_downloads}"
        items=$wifi_max_downloads_array
        disable_search=TRUE
        hint_seen="{$message_wifi_max_downloads_notice nofilter}"
      }
    {include file="admin/components/settings/wifi/wifi_password_enabled.tpl"}
    <label class="wifi-captive-portal-header">{$title_captive_portal nofilter}</label>
    <hr class="margin-top-0 margin-bottom-10" />
    <div class="font-size-12 margin-bottom-10">
      - {$message_captive_portal nofilter}
    </div>
    <div class="row form-group margin0">
      <p class="help-block">Captive Portal</p>
      <div class="col-md-10">
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Show Instructions In Multiple Languages{/t}"
          name="captive_portal_mode"
          value="default"
          id="radio-portal-options-1"
          checked="{if $captive_portal_mode == 'default'}TRUE{/if}"
        }
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Custom Message{/t}"
          name="captive_portal_mode"
          value="message"
          id="radio-portal-options-2"
          checked="{if $captive_portal_mode == 'message'}TRUE{/if}"
        }
        {include
          file="admin/components/reusable/form_radio.tpl"
          label="{t}Disabled{/t}"
          name="captive_portal_mode"
          value="disabled"
          id="radio-portal-options-3"
          checked="{if $captive_portal_mode == 'disabled'}TRUE{/if}"
        }
      </div>
    </div>
    <div id="radio-portal-options-1-collapse" class="collapse">
      {include 
        file="admin/components/settings/wifi/form_sortable_item_captive_portal_language_list.tpl"
        list_id="captive-portal-languages"  
      }
      <br />
      <hr class="margin-bottom-10" />
    </div>
    <div id="radio-portal-options-2-collapse" class="collapse">
      <div class="well margin0">
        {include
          file="admin/components/reusable/form_input.tpl"
          name="captive_portal_title"
          value="{$captive_portal_title}"
          label="{t}Title{/t}"
          placeholder="{$title_none}"

          remove_margin_top=TRUE
        }
        {include
          file="admin/components/reusable/form_textarea.tpl"
          name="captive_portal_message"
          value="{$captive_portal_message}"
          label="{t}Message{/t}"
          placeholder="{$title_none}"
        }
        {include
          file="admin/components/reusable/form_checkbox.tpl"
          name="captive_portal_video_checkbox"
          id="captive-portal-video-checkbox"
          checkbox_div_class="margin0"
          label="{t}Show a Video File in Captive Portal{/t}"
          checked="{if "{$captive_portal_mode_message_media_file_id}" !== '0'}TRUE{/if}"
        }
        <div id="captive-portal-video-collapse" class="collapse {if "{$captive_portal_mode_message_media_file_id}" === '0'}in{/if}">
          {include
            file="admin/components/media/media_select.tpl"
            name="captive_portal_mode_message_media_file_id"
            placeholder="{t}None{/t}"
            id="captive-portal-video"
            label="{t}Select Video File{/t}"
            selected_value="{$captive_portal_mode_message_media_file_id}"
            items=$captive_portal_mode_message_media_file_select_array
            only_video=TRUE
          }
          {include
            file="admin/components/reusable/form_checkbox.tpl"
            name="captive_portal_mode_message_media_autoplay"
            id="captive-portal-video-autoplay-checkbox"
            label="{t}Autoplay Video{/t}"
            hint_seen="{t}Video will begin muted if autoplay is enabled{/t}"
            checked="{if "{$captive_portal_mode_message_media_autoplay}" === 'true'}TRUE{/if}"
          }
          {* TODO *}
        </div>
      </div>
    </div>
    {include file="admin/components/reusable/advanced_options_start.tpl"}
      {include
        file="admin/components/reusable/form_select.tpl"
        name="wifi_channel"
        label="{t}WiFi Channel{/t}"
        id="form-select-wifi-channel"
        selected_value="{$wifi_channel}"
        items=$wifi_channel_array
        disable_search=TRUE
      }
      {include
        file="admin/components/reusable/form_select.tpl"
        name="wifi_max_users"
        label="{t}Max Number of Connected WiFi Users{/t}"
        id="form-select-wifi-max-users"
        selected_value="{$wifi_max_users}"
        items=$wifi_max_users_array
        disable_search=TRUE
      }
    {include file="admin/components/reusable/advanced_options_end.tpl"}
    {include file="admin/components/reusable/form_submit_footer.tpl"}
  </form>
{/block}
{block name="form_footer"}<div class="form-margin-footer"></div>{/block}

{block name="below_footer"}
  <script>
    var messageSuccess = "{$message_restart nofilter}";
    ajax.submitAjaxForm("#wifi-form", function() {
      popup.successPopup(messageSuccess);
    });
    reveal.revealWithInput(
      '#radio-portal-options-1-collapse',
      '#radio-portal-options-1',
      'captive_portal_mode'
    );
    reveal.revealWithInput(
      '#radio-portal-options-2-collapse',
      '#radio-portal-options-2',
      'captive_portal_mode'
    );
    reveal.revealWithInput(
      '#captive-portal-video-collapse',
      '#captive-portal-video-checkbox'
    );
  </script>
{/block}
