{*
  Admin view top nav, included on all admin pages.

  @assign notify_password_change Boolean: if true, button prompting users to
  change password will appear
  @assign current_page
  @assign current_manage
  @assign logo
*}
{if isset($downloader_state) && $downloader_state && !$downloader_state['finished'] && $current_page !== 'downloader'}
  <a href="/admin-v/downloader/current" class="button-hover text-decoration-none">
  {include
    file="admin/components/reusable/alert.tpl"
    title="{t}Downloads in Progress{/t} - {$downloader_state['totalProgress']}%"
    class="alert-success"
    dismissible=TRUE
  }
  </a>
{/if}
<div id="admin-top-nav" class="navbar navbar-default admin-nav color-dark-nav margin0">
  <div class="container-fluid">
    <div class="navbar-header">
      <a class="navbar-brand flexbox-center-children {if $admin_language != 'en'}navbar-brand-smaller-on-large-screens{/if}" href="/admin/dashboard.php">
        {*<div style="font-size: 30px; letter-spacing: 8px; text-align: center; color: white; padding: 0px;">{t}ADMIN PANEL{/t}</div>*}
        <img
        src="{$logo_default}"
        alt="Logo"
        class="img-responsive col-centered"
        id="admin-logo">
      </a>
      <button id="navbar-toggle-button" type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-responsive-collapse">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
    </div>
    <div id="navbar-collapse-menu" class="navbar-collapse collapse navbar-responsive-collapse">
      <ul class="nav navbar-nav">
        <li {if $current_page eq "dashboard"} class="active"{/if}>
          <a href="/admin/dashboard.php"><i class="material-icons">&#xE8F1;</i>{t}Dashboard{/t}</a>
        </li>
        {include
          file="admin/components/top_nav/settings.tpl"
          class="hidden-sm hidden-md hidden-lg"
        }
        {include file="admin/components/top_nav/media.tpl"}
        <li {if $current_page eq "chat"} class="active"{/if}>
          <a href="/admin-v/chat/home"><i class="material-icons">&#xE0B7;</i> {t}Chat{/t}</a>
        </li>
        {include file="admin/components/top_nav/followup_form.tpl"}
        {include
          file="admin/components/top_nav/settings.tpl"
          class="hidden-xs"
        }
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <li><a href="/logout.php"><i class="material-icons">&#xE879;</i> {t}Log Out{/t}</a></li>
      </ul>
    </div>
  </div>
</div>
{if !isset($is_admin_vue)}
<div class="col-sm-10 col-md-8 col-centered margin-top-20">
{/if}

{include file="shared/script_start.tpl"}
  var navbarCollapseMenu = $('#navbar-collapse-menu');
  $('#navbar-toggle-button').on('click', function() {
    if (navbarCollapseMenu.hasClass('in')) { // currently open, about to close
      util.enableBodyScroll();
    } else { // currently closed, about to open
      util.preventBodyScroll();
    }
  });
  {* $('#navbar-logout').on('click', function() {
    $.get('/api/v2/admin-only/wifi/disconnect');
  }); *}
{include file="shared/script_end.tpl"}
