{*
  Page, login for the admin.

  @author JP
  @param $error If true, error message will be shown to users
*}

{extends file="admin/components/reusable/login_panel_extend.tpl"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{block name="heading"}{t}Admin Login{/t}{/block}
{block name='is_login'}TRUE{/block}
{block name="content"}
  <div>
    {if isset($error)}
      {include
        file="admin/components/reusable/alert.tpl"
        message="{if $error === '2'}{t}You have logged in too many times. Please try again later.{/t}{else}{t}Sorry, we were not able to log you in. Please check your credentials and try again.{/t}{/if}"
        class="background-color-danger"
      }
      <br />  
    {/if}
    <form class="form-horizontal" action="login_process.php" method="post">
      {if $nosetup}
        <input type="hidden" name="nosetup" value="true" />
      {else}
        <input type="hidden" name="nosetup" value="false" />
      {/if}
      <fieldset>
        <div class="form-group margin-top-0">
          <label for="username" class="col-md-2 control-label">{t}Username{/t}:</label>
          <div class="col-md-10">
            <input autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" type="text" class="form-control" name="username" id="username" value="" placeholder="{t}Username{/t}" autofocus>
          </div>
        </div>
        <div class="form-group">
          <label for="password" class="col-md-2 control-label">{t}Password{/t}:</label>
          <div class="col-md-10">
            <input autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" type="password" class="form-control" name="password" id="password" value="" placeholder="{t}Password{/t}" />
            <div id="caps-lock-warning" class="color-danger warning-hint display-none">{$capslock_warning}</div>
            {if isset($password_hint) && $password_hint}
              <label class="control-label">{t}Hint{/t} - {$password_hint}</label>
            {/if}
          </div>
        </div>
        {include
          file="admin/components/setup/navigation_buttons_login.tpl"
          login=TRUE
        }
      </fieldset>
    </form>
  </div>
{/block}
{block name="below_footer"}
  <script>
    utilAdmin.revealCapsLockWarning('#caps-lock-warning');
  </script>
{/block}
