{*
  Page, login for the admin.

  @author Josiah Palusky
  @param $error If true, error message will be shown to users
*}

{extends file="admin/components/reusable/login_panel_extend.tpl"}
{include file="admin/components/reusable/shared_assigns/shared_translated_strings.tpl" scope=parent}

{block name="heading"}{t}Forgot Password{/t}{/block}
{block name='is_login'}TRUE{/block}
{block name="content"}
  <div>
    {if $device_is_trusted && $device_is_authenticated}
      <p>{t}This is a trusted device. Click below to change your password.{/t}</p>
      {assign var="button_title" value="{t}Change Password{/t}"}
      {assign var="button_href" value="/admin/settings/account.php"}
    {else}
      {assign var="button_title" value="{t}Back{/t}"}
      {assign var="button_href" value="/login.php"}
      {if $device_is_trusted}
        {t}Something went wrong. Please try again later.{/t}
      {else}
        <p>{t}Please return to this page using a trusted device.{/t}</p>
        <br>
        <p>{t}Phones and computers that were used to change the password were automatically set as a trusted device.{/t}</p>
      {/if}
    {/if}
    <br>
    <div class="col-sm-6 col-centered">
      {include
        file="shared/raised_button.tpl"
        class="btn-success"
        title="{$button_title}"
        href="{$button_href}"
      }
    </div>
  </div>
{/block}
