{*
  Page: details about each media item including description, download, etc.

  @author JP
  @assign media_item
  @assign file_size
  @assign file_length
*}
{assign var="image" value="{$media_item['image_id']}.jpeg?cache={$serial_number}"} {* NOTE: $image is also set in media_details_content *}
{assign var="image_src_bg" value="/images/user_images/bg/{$image}"}

{include file="header.tpl"}
  {* Followup form footer *}
  {include file="user/components/followup_form_banner.tpl"}

  {include
    file="user/folder_nav.tpl"
    title=$media_item['title']
  }
  {if $media_item['image_id'] == 0}
    {include
      file="user/components/reusable/panel_background.tpl"
      class=""
      column_class="col-sm-12"
    }
    {* user-theme-background-main *}
  {else}
    <div class="panel-background-media-details panel-background-container">
    <div class="panel-background-image" style="background-image: url('{$image_src_bg}')"></div>
  {/if}
    <div class="media-details">
      <div id="media-details-panel" class="panel user-theme-background-media-icon">
        <div class="row margin0">
          <div class="col-lg-7 padding0">
            {include
              file="user/components/media_details_content.tpl"
              scope=parent
            }
          </div>
          <div class="col-lg-5 padding0 wrap-long-words">
            <div class="padding-20">
              <div class="row margin0">
                <div class="col-sm-12">
                  <p>{$media_item['title']}</p>
                </div>
                {if $media_item['description']}
                  <div class="col-sm-12">
                    <p>{$media_item['description']}</p>
                  </div>
                {/if}
                <div class="col-sm-12">
                  <i class="material-icons media-details-icons">&#xE24D;</i>
                  <p>.{$media_item['file_extension']}</p>
                </div>
                {if $media_item['file_length_seconds'] > 0}
                  <div class="col-sm-12">
                    <i class="material-icons media-details-icons">&#xE192;</i>
                    <p>{$file_length}</p>
                  </div>
                {/if}
                <div class="col-sm-12">
                  {*
                  <i class="material-icons">&#xE1AF;</i>
                  <i class="material-icons media-details-icons">&#xE1DB;</i>
                  <i class="material-icons media-details-icons">&#xE161;</i>
                  *}
                  <i class="material-icons media-details-icons">&#xE2C4;</i>
                  <p>{$file_size}</p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>


      {if $is_apk}
        <!-- Hidden looping .apk instruction video -->
        <div id="apk-instructions-video-panel" class="display-none">
          <video class="apk-instructions-video" autoplay loop muted>
            <source src="" type="video/mp4"> <!-- TODO src="/images/install_apk_video.mp4", enable in media_details_content -->
          </video>
        </div>
      {/if}
    </div>
  {if $media_item['image_id'] == 0}
    {include
      file="user/components/reusable/panel_background_close.tpl"
    }
  {else}
    </div>
  {/if}
{include file="footer.tpl"}
