{*
  Popup allowing selection, with the Select2 dropdown plugin.

  @author JP
  @param heading
  @param message
  @param confirm_text
  @param cancel_text
  @param confirm_button_id
  @param popup_select_id HTML id of the Select2 dropdown
  @param select_array Array of data to pass to the Select2 dropdown
  @param ajax
*}

{extends file="shared/popup_extend.tpl"}

{block name="heading"}{$heading}{/block}
{block name="body"}
  <div class="row">
    <div class="col-xs-12">
      {$message}
    </div>
  </div>
  <br />
  <div class="row">
    <div class="col-xs-12">
      {include
        file="admin/components/reusable/form_select.tpl"
        name="popup_select"
        id="{$popup_select_id}"
        items=$select_array
        remove_margin_top=TRUE
      }
    </div>
  </div>
{/block}
{block name="footer"}
  {include
    file="shared/popup_cancel_confirm.tpl"
    confirm_text="{if isset($confirm_text)}{$confirm_text}{/if}"
    cancel_text="{if isset($cancel_text)}{$cancel_text}{/if}"
    confirm_button_id="{if isset($confirm_button_id)}{$confirm_button_id}{/if}"
  }
{/block}

{block name="script"}
  {include file="shared/script_start.tpl"}
    util.preventBodyScroll();
    sharedPopup.hideOnClick('.popup-button-cancel');
    sharedPopup.hideOnClick('#{$confirm_button_id}');
  {include file="shared/script_end.tpl"}
{/block}
