{include file="user/components/captive_portal/captive_portal_css_loading_gif.tpl"}

*,
*::before,
*::after {
  box-sizing: inherit;
}

a:visited {
  color: unset;
}

a {
  color: unset;
  text-decoration: none;
}

html {
  box-sizing: border-box;
  font-size: 62.5%;
}   

body {
  margin: 0;
  font-size: 1.6rem;
}

/* Prevent IOS from Making Links in Captive Portal */
/* TODO Check to see if this actually works */
a[x-apple-data-detectors] {
  color: inherit !important;
  text-decoration: none !important;
  font-size: inherit !important;
  font-family: inherit !important;
  font-weight: inherit !important;
  line-height: inherit !important;
}

.text-link {
  font-weight: 600;
}

.language-current-wrapper {
  margin: 0rem 0rem;
}

.tile {
  -webkit-box-shadow: 0 1px 6px 0 rgba(0,0,0,.12), 0 1px 6px 0 rgba(0,0,0,.12);
  border-radius: .5rem;
  box-shadow: 0 1px 6px 0 rgba(0,0,0,.12), 0 1px 6px 0 rgba(0,0,0,.12);
  overflow: hidden;
  padding: 3rem;
  background: white;
  font-size: 2rem;
}

.tile-message {
  margin-bottom: 5rem;
  -webkit-user-select: none;
  user-select: none;
  pointer-events: none;
}

.message-video-tag {
  width: 100%;
  margin: 0;
  margin-bottom: 2rem;
  background: black;

  -webkit-box-shadow: 0 1px 6px 0 rgba(0,0,0,.12), 0 1px 6px 0 rgba(0,0,0,.12);
  border-radius: .5rem;
  box-shadow: 0 1px 6px 0 rgba(0,0,0,.12), 0 1px 6px 0 rgba(0,0,0,.12);
}

.message-video-tag__wrapper {
  position: relative;
  width: 100%;
}

.message-video-tag__unmute-background {
  position: absolute;
  left: 1rem;
  top: 1rem;

  height: 3.5rem;
  -webkit-box-shadow: 0 1px 6px 0 rgba(0,0,0,.12), 0 1px 6px 0 rgba(0,0,0,.12);
  border-radius: .5rem;
  box-shadow: 0 1px 6px 0 rgba(0,0,0,.12), 0 1px 6px 0 rgba(0,0,0,.12);
  background: white;
  display: flex;
  align-items: center;
  opacity: 1;
  transition: opacity 0.4s;
  -webkit-user-select: none;
  user-select: none;
  pointer-events: none;
}

.message-video-tag__unmute-background--less-visible {
  opacity: 0;
}

.message-video-tag__unmute-background-text {
  pointer-events: none;
  padding-left: 3.5rem;
  padding-right: 1rem;
  font-size: 1.4rem;
}

.message-video-tag__unmute {
  pointer-events: none;
  position: absolute;
  left: 1.75rem;
  top: 1.5rem;
  z-index: 1;

  width: 2.5rem;
  height: 2.5rem;
  background: white;
  border-radius: 0.5rem;
  padding: 0.3rem;
  opacity: 1;
  transition: opacity 0.4s;
  -webkit-user-select: none;
  user-select: none;
}

.message-video-tag__unmute--less-visible {
  opacity: 0.5;
}

.message-video-tag__play-wrapper {
  position: absolute;
  width: 100%;
  height: calc(100% - 2rem);
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  -webkit-user-select: none;
  user-select: none;
  pointer-events: none;
}

.message-video-tag__play {
  width: 12rem;
  height: 12rem;
  opacity: 0.8;
  filter: drop-shadow(2px 2px 2px rgb(0 0 0 / 0.5));
  -webkit-user-select: none;
  user-select: none;
}

.tile-title {
  margin-top: 0;
  text-align: center;
}

.tile-message-margin {
  margin-bottom: 4rem;
}

.browser-list,
br,
.button-copy,
#button-wrapper,
#button-okay {
  -webkit-touch-callout: none;
    -webkit-user-select: none;
            user-select: none;
}

.browser-list {
  display: flex;
  justify-content: center;
  width: 100%;
}

.browser-list img {
  width: 20%;
  height: 100%;
}

.background-green {
  background: #4d8777 !important;
  color: #fcfcfc;
  text-shadow: none;
}

.background-green-light {
  background: #bbbbbb !important;
}

/* Utility */
.invisible {
  visibility: hidden;
}

#button-back {
  width: 3.5rem;
  height: 3.5rem;
  
}

.language-current-nav {
  display: flex;
  justify-content: space-between;
  margin-bottom: 1rem;
  width: 100%;
  margin-top: -.75rem;
  -webkit-user-select: none;
  user-select: none;
}

.language-current-nav-button {
  width: 3.5rem;
  height: 3.5rem;
}

.language-current-nav-close {
  width: 3.5rem;
  height: 3.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(0,0,0,0.1);
  border-radius: 100px;
}

.language-current-nav-close img {
  width: 2.5rem;
  height: 2.5rem;
}

.icon-tile-wrapper,
.icon-top-wrapper {
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  margin-top: -1rem;
  margin-bottom: 1rem;
  -webkit-user-select: none;
  user-select: none;
}

.icon-tile {
  width: 10rem;
  height: 10rem;
}

.icon-top-wrapper {
  height: 18rem;
  margin-top: -2rem;
}

.icon-top {
  width: 100px;
  height: 100px;
}

.button-cursor-wrapper {
  position: relative;
  -webkit-user-select: none;
  user-select: none;
}

.button-cursor {
  position: absolute;
  right: -10px;
  top: -45px;
  width: 110px;
  height: 110px;
  pointer-events: none;
}

.button-cursor-ios {
  right: calc(50% - 70px);
}

.button-copy {
  width: 4rem;
  height: 100%;
  background: #dbdbdb;
  position: absolute;
  right: 0;
  top: 0;
}

.button-copy-icon {
  width: 2.5rem;
  height: 2.5rem;
}

.button-main, .button-main-link {
  width: 100%;
  height: 5rem;
  border-radius: .5rem;
  text-align: center;
  position: relative;
}

.button-main-link {
  display: flex;
  align-items: center;
  justify-content: center;
  transition: opacity ease-in-out .2s;
  cursor: pointer;
  text-decoration: none;
  margin-bottom: 10px;
}

.button-hover, .button-main-link {
  cursor: pointer;
  opacity: 1;
  transition: opacity ease-in-out .2s;
}

.button-hover:hover, .button-main-link:hover {
  opacity: 0.7;
}

.button-wrapper {
  height: 16rem;
}

.site-url-wrapper {
  font-size: 3rem;
  padding: .8rem;
  overflow: hidden;
  /* height: 4.5rem; */
  /* padding-top: .5rem; */
  margin: 0 auto;
  width: 70%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.site-url-wrapper *::selection {
  background: rgba(0,0,0,0);
}

.site-url-wrapper.site-url-wrapper-selected {
  background: #3a6a5d !important
}

.site-url {
  height: 85%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none;
}

.site-url-copy-invisible {
  opacity: 0;
  position: fixed;
  transform: translateX(-10rem);
}

.animate-in-partial-fade-start {
  opacity: 0.5;
  transition: all 1.5s;
}

.animate-in-start {
  transform: translateY(20px);
  opacity: 0;
  transition: all 1.5s;
}

.animate-in-end {
  transform: translateY(0px);
  opacity: 1;
}

.on-load-fade-in {
  animation: .5s ease-in-out 0s 1 fadeIn;
}

.on-load-slide-in {
  animation: .75s ease-in-out 0s 1 slideIn;
}

@keyframes slideIn {
  0% {
      -webkit-transform: translateY(-2rem);
      transform: translateY(-2rem);
      opacity: 0;
  }
  100% {
      -webkit-transform: translateY(0rem);
      transform: translateY(0rem);
      opacity: 1;
  }
}

@keyframes fadeIn {
  0% {
      opacity: 0;
  }
  100% {
      opacity: 1;
  }
}

.pulse {
  /* background-color: #f8eeca !important; */
  box-shadow: 0 0 0 rgba(204,169,44, 0.7);
  animation: pulse 2s infinite;
}

.pulse:hover {
  animation: none;
}

@-webkit-keyframes pulse {
  0% {
    -webkit-box-shadow: 0 0 0 0 rgba(204,169,44, 0.7);
  }
  70% {
    -webkit-box-shadow: 0 0 0 10px rgba(204,169,44, 0);
  }
  100% {
    -webkit-box-shadow: 0 0 0 0 rgba(204,169,44, 0);
  }
}

@keyframes pulse {
  0% {
    -moz-box-shadow: 0 0 0 0 rgba(204,169,44, 0.7);
    box-shadow: 0 0 0 0 rgba(204,169,44, 0.7);
  }
  70% {
      -moz-box-shadow: 0 0 0 10px rgba(204,169,44, 0);
      box-shadow: 0 0 0 10px rgba(204,169,44, 0);
  }
  100% {
      -moz-box-shadow: 0 0 0 0 rgba(204,169,44, 0);
      box-shadow: 0 0 0 0 rgba(204,169,44, 0);
  }
}

* {
  font-weight: 400;
	font-family: Arial, Helvetica, sans-serif;
	text-transform: none !important;
}

/* UTILITIES */
.util-display-none {
  display: none;
}

@media (max-width: 767px) {
  .tile-message {
    margin-bottom: 3rem;
  }

  .site-url-wrapper {
    width: 100%;
  }
}