<div class="on-load-slide-in">
  <div class="language-current-wrapper">
    {if $captive_portal_mode === 'default'}
    <div class="language-current-nav">
      <img id="button-back" class="language-current-nav-button button-hover" src="/images/svg/icon-back-arrow.svg">
    </div>
    {/if}
    <div class="tile">
      {if $captive_portal_mode === 'default'}
         <div class="icon-tile-wrapper">
          <img src="/images/icon_wifi.svg" class="icon-tile" style="margin: 0 auto;" />
        </div>
        {if $captive_portal_language_current['message']}
          <div class="tile-message">
            {str_replace('[url]', "<span class=\"text-link\">{$site_url}</span>", $captive_portal_language_current['message']) nofilter}
          </div>
        {/if}
      {else if $captive_portal_mode === 'message'}
        {if isset($captive_portal_mode_message_media_file) && ("{$captive_portal_mode_message_media_file['file_id']}" !== '0')}
          <div class="message-video-tag__wrapper">
            {if $captive_portal_mode_message_media_autoplay === 'true'}
              <div class="message-video-tag__unmute-background">
                <div class="message-video-tag__unmute-background-text">UNMUTE</div>
              </div>
              <img class="message-video-tag__unmute" src="/images/svg/icon-unmute.svg" />
            {/if}
            <div class="message-video-tag__play-wrapper">
              <img class="message-video-tag__play {if $captive_portal_mode_message_media_autoplay === 'true'}util-display-none{/if}" src="/images/svg/icon-play.svg" />
            </div>
            <video class="message-video-tag" loop preload playsinline poster="/images/user_images/16x9/{$captive_portal_mode_message_media_file['image_id']}.jpeg?cache={$serial_number}" {if $captive_portal_mode_message_media_autoplay === 'true'}autoplay muted{/if}>
              <source type="video/mp4" src="/file/{$captive_portal_mode_message_media_file['file_id']}">
            </video>
          </div>
        {/if}
        {if $captive_portal_title || $captive_portal_message}
          {if $captive_portal_title}<h2 class="tile-title">{$captive_portal_title nofilter}</h2>{/if}
          {if $captive_portal_message}<div class="tile-message">{$captive_portal_message nofilter}</div>{/if}
          <div class="tile-message-margin"></div>
        {/if}
      {/if}
      {if $is_apple_device}<a id="iphone-link" href="http://{$site_url}">{/if}
      <div id="site-url-wrapper" class="site-url-wrapper background-green button-main">
        <div id="site-url" class="site-url {if $is_apple_device}site-url-iphone{/if}">{$site_url}</div>
      </div>
      {if $is_apple_device}</a>{/if}
    </div>
    <div id="button-cursor-wrapper" class="button-cursor-wrapper animate-in-start">
      <img class="button-cursor button-cursor-ios scalable-image" src="/images/pointer_small.png" />
    </div>
  </div>
</div>

{* Scripts *}
<script type="text/javascript" src="/vendor/captive_portal/textFit.min.js"></script>
<script>
  textFit(document.querySelector('#site-url'));

  function selectText(query) {
    window.getSelection().removeAllRanges();
    window.getSelection()
      .selectAllChildren(
        document.querySelector(query)
      );
  }

  {if !$is_apple_device}
    window.addEventListener('click', function(e) {
      selectText('#site-url');
      var siteUrlWrapper = document.querySelector('.site-url-wrapper');
      var clickedId = e.target.id; // .parentNode
      if (clickedId === 'site-url' || clickedId === 'site-url-wrapper') {
        siteUrlWrapper.classList.add('site-url-wrapper-selected');
      } else {
        siteUrlWrapper.classList.remove('site-url-wrapper-selected');
      }
    });
    
    // Some older versions of android may not select on first load, so use setTimeout just in case
    setTimeout(function() {
      selectText('#site-url');
    }, 100);
  {/if}

  {if $captive_portal_mode === 'message' && isset($captive_portal_mode_message_media_file) && ("{$captive_portal_mode_message_media_file['file_id']}" !== '0')}
    // Toggle video play on click
    var playButton = document.querySelector('.message-video-tag__play');
    var videoTag = document.querySelector('.message-video-tag');
    var unmute;
    var unmuteBackground;
    {if "{$captive_portal_mode_message_media_autoplay}" === 'true'}
      unmute = document.querySelector('.message-video-tag__unmute');
      unmuteBackground = document.querySelector('.message-video-tag__unmute-background');
    {/if}
    var firstClick = true;
    videoTag.addEventListener('click', function() {
      if (firstClick && unmute !== undefined) {
        firstClick = false;
        unmute.classList.add('util-display-none');
        unmuteBackground.classList.add('util-display-none');
        videoTag.muted = false;
      } else if (videoTag.paused) {
        videoTag.play();
        playButton.classList.add('util-display-none');
      } else {
        videoTag.pause();
        playButton.classList.remove('util-display-none');
      }
    });
    
    if (unmute !== undefined) {
      setTimeout(function() {
        unmute.classList.add('message-video-tag__unmute--less-visible');
        unmuteBackground.classList.add('message-video-tag__unmute-background--less-visible');
      }, 2500);
    }
  {/if}
  // On click back button 
  var buttonBack = document.querySelector('#button-back');
  if (buttonBack) {
    buttonBack.addEventListener('click', function() {
      navigateCaptivePortalBack();
    });
  }

  // Animate in cursor
  setTimeout(function() {
    document.querySelector('#button-cursor-wrapper').classList.add('animate-in-end');
  }, 4000);
</script>