{assign var="inner_padding" value="{block name='inner_padding'}{/block}"}
{assign var="is_apple_device" value="{if isset($is_apple_device) && $is_apple_device}TRUE{/if}"}
<!DOCTYPE html>
<html style="background: #eee;">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style>
      {include file="user/components/captive_portal/captive_portal_css.tpl"}
    </style>
    {include file="user/components/captive_portal/captive_portal_get_request_script.tpl"}
    <script>
      // Global variables
      var preventPortalOkayOnVisibilityChange = false;
      
      // Global functions
      function navigateToCaptivePortalPage(href) {
        document.querySelector('#main-content').classList.add('util-display-none');
        setTimeout(function () {
          var loadingGif = document.querySelector('#loading-gif');
          loadingGif.classList.remove('util-display-none');
          loadingGif.classList.add('on-load-fade-in');
        }, 500);
        preventPortalOkayOnVisibilityChange = true;
        window.location.href = href;
      }
      function navigateCaptivePortalBack() {
        navigateToCaptivePortalPage('/captive_portal.php');
      }
      function navigateCaptivePortalSuccess() {
        navigateToCaptivePortalPage('/captive_portal.php?success=true');
      }
      
      function setPortalOkayNavigateCaptivePortalSuccess() {
        {if $is_apple_device}
        navigateCaptivePortalSuccess();
        {else}
        getRequest('/update_stats.php?type=portal-ok', function() {
          // Important: redirect makes android phones check if connected again
          navigateCaptivePortalSuccess();
        });
        {/if}
      }
    </script>
  </head>
  <body>
    <div id="loading-gif" class="util-display-none">
      {include file="user/components/captive_portal/captive_portal_loading_gif.tpl"}
    </div>
    <div id="main-content">
      {if $inner_padding}
      <div class="on-load-fade-in">
        <div style="padding: 2rem; min-height: 100vh; width: 100%;">
          <div style="max-width: 500px; margin: 0 auto;">
      {/if}
            {block name="content"}{/block}
      {if $inner_padding}
          </div>
        <div>
      </div>
      {/if}
    </div>
    <script>
    // On non apple platforms, detect if user has closed captive portal to set portal okay
    {if !$is_apple_device}      
      // Prevent back button from accidentally calling visibilitychange
      history.pushState(null, null, document.URL);
      window.addEventListener('popstate', function () {
        navigateCaptivePortalBack();
        history.pushState(null, null, document.URL);
      });

      // On android, make get request to update stats page when the document is hidden
      window.addEventListener('visibilitychange', function() {
        getRequest('/captive_portal.php?visibility=Visibility-' + document.visibilityState);
        if (document.hidden && !preventPortalOkayOnVisibilityChange) {
          setPortalOkayNavigateCaptivePortalSuccess();
        }
      });
    {/if}
  </script>
  </body>
</html>
