{*
  Icons displaying media in the main_home_media.tpl template.

  @author JP
  @param flow If true, items will flow down the page. Otherwise, they will
  expand horizontally, for use in folder sliders.
  @param media_item
*}
{assign var="is_directory" value="{if $media_item['mime_part1'] == 'directory'}TRUE{/if}"}
{assign var="has_image" value="{if $media_item['image_id'] != 0}TRUE{/if}"}
{assign var="icon_background_image" value="background-image: url('/images/user_images/4x3/{$media_item['image_id']}.jpeg?cache={$serial_number}')"}
{assign var="link" value="{if $is_directory}/index.php?id={$media_item['file_id']}{else}/media_details.php?id={$media_item['file_id']}{/if}"}
{assign var="flow" value="{if isset($flow)}TRUE{/if}"}

<div class="{if $flow}col-xs-6 col-sm-4 col-md-3 media-icon-flow-col{else}folder-slider-item{/if}">
  <a href="{$link}" class="{if $flow}media-icon-flow width-height-100{/if} clickable-pointer">
    <div class="media-icon">
      <div class="position-relative">
        {if $has_image && !($is_directory)}
          <div class="image-placeholder-4-3" style="{$icon_background_image}"></div>
        {else}
        <div class="width-height-100 user-theme-background-secondary">
          {if $has_image}
            <div class="image-shadow-inner image-placeholder-4-3" style="{$icon_background_image}"></div>
          {else}
            <div class="image-placeholder-4-3"></div>
          {/if}
          {if $is_directory}
            <h3 class="media-icon-folder-font-size media-icon-folder-number icon-shadow">{$media_item['children_count']}</h3>
          {/if}
          {include
            file="user/components/reusable/circle_button_icon.tpl"
            mime_part1=$media_item['mime_part1']
      	    mime_part2=$media_item['mime_part2']
            icon_class="icon-shadow {if $is_directory} media-icon-folder-icon {else} media-icon-file-type-icon {/if}"
            is_media_icon=TRUE
          }
          {* is_media_icon=!($has_image) *}
        </div>
        {/if}
        {if $has_image && !($is_directory)}
          <div class="media-icon-image btn-group-sm">
            <div class="media-icon-image-button">
              {include
                file="user/components/reusable/circle_button_icon.tpl"
                mime_part1="{$media_item['mime_part1']}"
      		      mime_part2="{$media_item['mime_part2']}"
                icon_class="font-size-40 icon-shadow user-theme-color-light"
                is_media_icon=TRUE
              }
            </div>
          </div>
        {/if}
      </div>
      <a href="{$link}" class="clickable-pointer text-decoration-none">
        <div class="user-theme-background-media-icon panel-footer text-center dotdotdot">
          {$media_item['title']}
        </div>
      </a>
    </div>
  </a>
</div>
