{*
  An tile item inside of the featured_media.tpl slider, or flowing display
  template

  @author JP
  @param media_item
  @param id_prefix Id for featured media item, appended as a prefix to buttons,
  etc.
*}
{assign var="is_directory" value="{if $media_item['mime_part1'] == 'directory'}TRUE{/if}"}
{assign var="is_greeting_panel_media" value="{if isset($is_greeting_panel_media) && $is_greeting_panel_media}TRUE{/if}"}
{assign var="is_3gp" value="{if $media_item['mime_part2'] == '3gpp'}TRUE{/if}"}
{assign var="has_image" value="{if $media_item['image_id'] != 0}TRUE{/if}"}
{assign var="link" value="{if $is_directory}/index.php?id={$media_item['file_id']}{else}/media_details.php?id={$media_item['file_id']}{/if}"}
{assign var="id_prefix" value="{if isset($id_prefix)}{$id_prefix}{/if}"}

<div class="featured-media-slider-item position-relative image-shadow user-theme-background-secondary">
  <a href="{$link}">
  {if $has_image}
    <img class="scalable-image" src="/images/user_images/16x9/{$media_item['image_id']}.jpeg?cache={$serial_number}" />
  {else}
    <img class="scalable-image" src="images/placeholder16x9.png" />
    <div class="col-xs-12 featured-media-file-type-icon">
      {include
        file="user/components/reusable/circle_button_icon.tpl"
        mime_part1=$media_item['mime_part1']
		    mime_part2=$media_item['mime_part2']
        icon_class="icon-shadow font-size-80"
        is_media_icon=TRUE
      }
    </div>
  {/if}
  </a>

  <div class="featured-media-title">
    <div class="featured-media-title-text">
      <h3 class="margin0">
        <a href="{$link}">
          {$media_item['title']}
        </a>
      </h3>
    </div>
    <div class="btn-group-sm featured-media-title-icons">
      <div class="featured-media-icons pull-right">
        {include
          file="user/components/reusable/circle_button.tpl"
          id="{$id_prefix}-{$media_item['file_id']}-featured-stream"
          mime_part1=$media_item['mime_part1']
		      mime_part2=$media_item['mime_part2']
          button_class="user-theme-background-media-icon"
        }
        {if !$is_directory && !$is_greeting_panel_media}
          {include
            file="user/components/reusable/circle_button.tpl"
            id="{$id_prefix}-{$media_item['file_id']}-featured-download"
            icon="&#xE2C4;"
            button_class="user-theme-background-media-icon"
          }
        {/if}
      </div>
    </div>
  </div>
  {* Needs to be inside the div, so that it isn't made into a slide in the slider *}
  {include file="shared/script_start.tpl"}
    initUser.init("featured_media_item.tpl", {
      mime_part2: "{$media_item['mime_part2']}",
      file_id: "{$media_item['file_id']}",
      id_prefix: "{$id_prefix}",
      is_directory: {if $is_directory}true{else}false{/if}
    });
  {include file="shared/script_end.tpl"}
</div>
