{*
  Folder slider created using CSS scrollable divs and JS for arrows and scroll
  events.

  @author JP
  @param link Link to the folder contents
  @param media_item Assoc array file data
*}
<div class="col-xs-12 padding-10">
  <div class="folder-slider-panel">
    <div class="folder-slider-header">
      <a href="{$link}" class="pull-right text-decoration-none">
        <span class="user-theme-background-none folder-slider-arrow-number">({$media_item['children_count']}) </span>
        {* user-theme-background-main *}
        {include
          file="shared/raised_button.tpl"
          icon="&#xE5C8;"
          class="square-button user-theme-background-button-1"
          title=FALSE
          remove_block=TRUE
          remove_flexbox=TRUE
        }
      </a>
      {* user-theme-background-main *}
      <a href="{$link}" class="user-theme-background-none">
        <i class="material-icons">&#xE05F;</i> <span class="font-size-18 wrap-long-words">{$media_item['title']}</span>
      </a>
    </div>
    <div class="panel-body padding0 position-relative">
      {include
        file="user/components/folder_arrow.tpl"
        id="arrow-left-{$media_item['file_id']}"
        is_left_arrow=TRUE
      }
      {include
        file="user/components/folder_arrow.tpl"
        id="arrow-right-{$media_item['file_id']}"
      }
      <div id="folder{$media_item['file_id']}" class="folder-slider">
        {if isset($media_item['children'])}
          {foreach from=$media_item['children'] item=folder_media_item}
            {include
              file="user/components/media_icon.tpl"
              media_item=$folder_media_item
            }
          {/foreach}
        {/if}
        {include
          file="user/components/button_icon_enter_folder.tpl"
          link=$link
          title="Slider Item"
        }
      </div>
    </div>
  </div>
</div>

{* Set up folder scroll events *}
{include file="shared/script_start.tpl"}
  initUser.init("folder_slider.tpl", {
    file_id: "{$media_item['file_id']}",
  });
{include file="shared/script_end.tpl"}
