{*
  Greeting panel, containing a title and description/message, and optionally an
  image or a featured media item

  @author JP
  @assign greeting_mode_media_file Assoc array of media file chosen to feature
  @assign greeting_mode 'image', 'media', or 'text'
  @param title
  @param description
  @param image_url
*}
{assign var="is_directory" value="{if $greeting_mode_media_file['mime_part1'] == 'directory'}TRUE{/if}"}
<div class="padding-40">
  {if $greeting_mode == 'image'}
    <div class="row">
      <div class="col-sm-10 col-xs-12 col-centered">
          <img src="/images/user_images/16x9/{$greeting_mode_image_src}.jpeg?cache={$serial_number}" class="scalable-image image-shadow" />
      </div>
    </div>
    <br />
  {/if}
  <div class="row">
    <div class="col-sm-10 col-xs-12 col-centered">
      {if $greeting_title || $greeting_text}
            {if $greeting_title}<h2 class="text-center margin-top-0 wrap-long-words">{$greeting_title}</h2>{/if}
            {if $greeting_text}<p class="wrap-long-words">{$greeting_text}</p>{/if}
            {if $greeting_mode == 'media' }<br />{/if}
      {/if}
      {if $greeting_mode == 'media' }
        {if $greeting_mode_media_file['mime_part1'] == 'video'
         || $greeting_mode_media_file['mime_part1'] == 'audio'}
          {include
            file="user/components/media_details_content.tpl"
            media_item=$greeting_mode_media_file
            download_button_margin=TRUE
          }
        {else}
          {include
            file="user/featured_media_item.tpl"
            media_item=$greeting_mode_media_file
            id_prefix="greeting"
            is_greeting_panel_media=TRUE
          }
          {if $greeting_mode_media_file['mime_part1'] != 'directory'}
            <div class="row">
              <div class="col-xs-12">
                {include
                  file="shared/raised_button.tpl"
                  id="greeting-download-button"
                  class="user-theme-background-button-1 media-button-padding"
                  title=""
                  icon="&#xE2C4;"
                }
              </div>
            </div>
          {/if}
        {/if}
      {/if}
    </div>
  </div>
</div>

{include file="shared/script_start.tpl"}
  initUser.init("greeting_panel.tpl", {
    mime_part2: "{$greeting_mode_media_file['mime_part2']}",
    file_id: "{$greeting_mode_media_file['file_id']}",
    greeting_mode_media_image_action: "{$greeting_mode_media_image_action}"
  });
{include file="shared/script_end.tpl"}
