{*
  Main body of user view, which shows media items and sliders. Also used for
  displaying the inside of folders that are selected.

  @author JP
  @param media_array The array of all of the media items, formatted for display
  with nested associative arrays for folder sliders
  @assign media_limit number of media to load, before users click on load more
  button, and number to load upon click
  @assign children_count Count of children in current directory
*}

{assign var="should_show_more_button" value="{if $media_limit < $children_count}TRUE{/if}"}

<div class="home-content">
  <div id="main-home-media" class="row margin0">
    {include file="user/components/main_home_media/main_home_media_foreach.tpl"}
  </div>
  <br />
  {if $should_show_more_button}
    <div id="load-more-wrapper" class="row">
      <div class="col-sm-6 col-xs-10 col-centered">
        {* Value is current media offset *}
        {include
          file="shared/raised_button.tpl"
          id="load-more-button"
          title=""
          class="user-theme-background-nav-header pulse"
          value="0"
          icon="&#xE5DB;"
        }
        <br /><br />
      </div>
    </div>
  {/if}
</div>

{include file="shared/script_start.tpl"}
  initUser.init('main_home_media.tpl', {
    children_count: {$children_count},
    should_show_more_button: {if $should_show_more_button}true{else}false{/if},
    media_limit: {$media_limit},
    current_directory_id: "{$current_directory_id}",
    general_disable_sliders: "{$general_disable_sliders}"
  });
{include file="shared/script_end.tpl"}

{include file="user/components/followup_form_banner_padding.tpl"}
