#!/bin/bash
#. "/usr/bin/rwo_includeLogging.sh"

inputPath="$1"
outputPath="$2"
percentage="$3"

if [[ ! -f "${inputPath}" ]]; then
	echo "ERROR, the input path does not exit: ${inputPath}"
	exit 1
fi

if [[ -d "${outputPath}" ]]; then
	echo "ERROR, the output path is a directory ... should be a file"
	exit 2
fi

if [[ -f "${outputPath}" ]]; then
	rm "${outputPath}"
fi

if [[ -z ${percentage} ]]; then
	percentage=50
fi

outputDir=$(dirname "${outputPath}")

if [ ! -d "${outputDir}" ]; then
	mkdir -p "${outputDir}"
fi

# echo "will get thumbnail"

ffmpegthumbnailer -i "${inputPath}" -o "${outputPath}" -t ${percentage} -s 0
returnCode=$?
chmod 777 "${outputPath}"
exit $returnCode
