#!/bin/bash
# this script is used to initialize a WiFi AP that is connected via eth0
# once the AP is initialized, it shouldn't need to be initialized again, unless it gets uninitialized or changed

# include logging script to go to central log
. /usr/bin/rwo_includeLogging.sh

apIpAddrUninit="192.168.8.1"
apIpAddrInit="192.168.200.2"

# check if platform is rapsberry-pi
apState=$(rwo_eth0WifiApState.sh)
if [[ $apState == "uninitialized" ]]; then
	rwoLog "potential uninitialized glInet router ip found"
	# begin initializations
	secret=$(/usr/bin/rwo_generateSecret.sh)

# login to change the password
/usr/bin/expect<<EOF
		set timeout 5
		spawn telnet $apIpAddrUninit
		send "passwd\r"
		expect {
			"New password" {
				log_user 0
				send "${secret}\r"
				expect "Retype password"
				send "${secret}\r"
				log_user 1
			}
		}
		expect "Password for root changed by root"
		send "exit\r"
EOF

	sleep 10
	commandStr="uci set network.lan.ipaddr=${apIpAddrInit} && uci set network.lan.gateway=192.168.200.1 && "
	commandStr="${commandStr}uci set dhcp.lan.ignore=1 && uci commit dhcp && uci commit network && /etc/init.d/odhcpd restart && "
	commandStr="${commandStr}/etc/init.d/dnsmasq restart && /etc/init.d/firewall disable && /etc/init.d/firewall stop && "
	commandStr="${commandStr}/etc/init.d/network restart &"
	sshpass -p "${secret}" ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no root@${apIpAddrUninit} "${commandStr}"
	success=$?
	rwoLog "tried to initialize access point and got exit code:${success}"
fi
