#!/bin/bash
# this script is used to detect the state of any specialized Renew access point that may be connected over eth0
apIpAddrUninit="192.168.8.1"
apIpAddrInit="192.168.200.2"

# check for an uninitialized GLInet router
# stall until it all is reachable
#echo "checking for initialized glInet router"
mac=$(arping -I eth0 -c 1 192.168.200.2 | grep -Eo '([0-9A-Fa-f]{2}[:]){5}[0-9A-Fa-f]{2}')
reachable=$?
if [ $reachable -eq 0 ]; then
	# check to see if the mac OUI matches the one for 'IEEE Registration Authority'
	# This should be the OUI for the GL-INet routers
	if [[ $mac =~ ^E4:95:6E([:][0-9A-Fa-f]{2}){3}$ ]]; then
		echo "initialized"
		exit 0
	fi
fi

#echo "checking for uninitialized glInet router"
mac=$(arping -I eth0 -c 1 192.168.8.1 | grep -Eo '([0-9A-Fa-f]{2}[:]){5}[0-9A-Fa-f]{2}')
reachable=$?
if [ $reachable -eq 0 ]; then
	# check to see if the mac OUI matches the one for 'IEEE Registration Authority'
	# This should be the OUI for the GL-INet routers
	if [[ $mac =~ ^E4:95:6E([:][0-9A-Fa-f]{2}){3}$ ]]; then
		echo "uninitialized"
		exit 0
	fi
fi

# default to print out none
echo "none"
exit 0
