#!/bin/bash
inputPath="$1"



# check if file DNE
if [ ! -e "${inputPath}" ]; then
	exit 1
fi

# check if it is a directory
if [ -d "${inputPath}" ]; then
	exit 2 # the file is a directory
fi

# for 64GB of lightstream storage, if all 2MB files, it's 32k files,
# and if I only want to hash 1G worth of data, that's 31,250B per file to hash
bytes=$(wc -c < "${inputPath}")
bs=32768
min=$(( $bs * 5 ))
if (( $bytes < $min )); then
	hash=$(md5sum "${inputPath}" | cut -d' ' -f1)
	echo -e "$hash"
	exit 0
else
	blocks=$(( $bytes / $bs ))
	a=$(dd if="${inputPath}" bs=${bs} count=0 skip=0 conv=notrunc,noerror 2> /dev/null | base64 -w 0)
	b=$(dd if="${inputPath}" bs=${bs} count=1 skip=$(( ${blocks} / 5 * 1 )) conv=notrunc,noerror 2> /dev/null | base64 -w 0)
	c=$(dd if="${inputPath}" bs=${bs} count=1 skip=$(( ${blocks} / 5 * 2 )) conv=notrunc,noerror 2> /dev/null | base64 -w 0)
	d=$(dd if="${inputPath}" bs=${bs} count=1 skip=$(( ${blocks} / 5 * 3 )) conv=notrunc,noerror 2> /dev/null | base64 -w 0)
	e=$(dd if="${inputPath}" bs=${bs} count=1 skip=$(( ${blocks} / 5 * 4 )) conv=notrunc,noerror 2> /dev/null | base64 -w 0)
	f=$(dd if="${inputPath}" bs=${bs} count=1 skip=$(( ${blocks} - 1  )) conv=notrunc,noerror 2> /dev/null | base64 -w 0)
	echo -e $(echo -e -n "${a}${b}${c}${d}${e}${f}${bytes}" | md5sum | cut -d' ' -f1 )
	exit 0
fi
