# Include this file in your source with . /usr/bin/rwo_includeHelpers.sh
# the . followed by space is an alias for source and acts to include the source
function helperCallFirstArgIfFunctionAndExit {
	if [ $# -gt 0 ]; then
		typeArg=$(type -t $1)
		if [[ $typeArg -eq "function" ]]; then
			$@
			exit $?
		fi
	fi
}

function helperSqlite3 {
	sqlite3 -init <(echo .timeout 1000) "${1}" "${2}" "${3}" "${4}" "${5}" "${6}" "${7}"
}

function helperGetHashMac {
	local mac="$1"
	local usersHash=$(users | md5sum)
	local deviceId=$(echo "${mac}${usersHash}" | md5sum | md5sum | cut -d' ' -f1)
	echo "${deviceId}"
}

function helperGetPartUuidForDevice {
	local partition=$1
	blkid "/dev/${partition}" | grep -o "PARTUUID=\"[a-zA-Z0-9\-]*\"" | cut -d= -f2 | tr -d \"
}

# eg mmcblk0p2
function helperGetRootFsDevice {
	mount | grep "on / " | awk '{print $1}' | cut -d'/' -f3
}

# eg mmcblk1, or mmcblk0
function helperGetInternalSdSlotDevice {
	realpath '/dev/disk/by-path/platform-1c0f000.mmc' | cut -d'/' -f3
}

# get size in bytes of device
function helperGetSizeInBytesForDevice {
	blockdev --getsize64 "/dev/${1}"
}

# pass in mmcblk1p1 or mmcblk1 and get back mmcblk1
function helperGetBaseDeviceForPartition {
	lsblk -no pkname "/dev/${1}" | tail -1
}

# pass it in a mount point like /boot and get back number of bytes used
function helperGetSizeUsedForMountPoint {
	df -B1 "$1" | tail -1 | awk '{print $3}'
}

# pass it in a mount point like /boot and get back number of bytes used
function helperGetSizeFreeForMountPoint {
	df -B1 "$1" | tail -1 | awk '{print $4}'
}

# pass it a directory and get the size in bytes
function helperGetDirectorySize {
	du -B1 -d 0 "$1" | awk '{print $1}'
}

function helperCreateSystemTmpDir {
	# make the LightStream tmp directory
	mkdir -p "/tmp/rwo"
	chmod -R 777 "/tmp/rwo/"
}
