# Include this file in your source to have all stderr and stdout messages logged to /var/log/lightstream/lightstream.log in a nice way
# you can lnclude the file by adding this line to your source '. /usr/bin/rwo_lightstreamlogger.sh'
# the . followed bt space is an alias for source and acts to include the source
LOGFILE="/var/log/lightstream/lightstream.log"
LOGFILE_STDOUT="$LOGFILE"
LOGFILE_STDERR="$LOGFILE"
LOGFILE_PRINTOUT="$LOGFILE"
LOGFILE_LOG="$LOGFILE"
SCRIPT=$(basename "$0")

# The date and time as an ISO8601 string accepted by sqlite3
if [[ $LOG_SILENT_STDOUT -gt 0 ]]; then
	LOGFILE_STDOUT="/dev/null"
fi
logstdout() { while IFS='' read -r line; do /bin/echo "[$(date -u +%Y%m%dT%H%M%S)][${SCRIPT}][STDOUT] $line" >> "${LOGFILE_STDOUT}"; done; };

if [[ $LOG_SILENT_STDERR -gt 0 ]]; then
	LOGFILE_STDERR="/dev/null"
fi
logstderr() { while IFS='' read -r line; do /bin/echo "[$(date -u +%Y%m%dT%H%M%S)][${SCRIPT}][STDERR] $line" >> "${LOGFILE_STDERR}"; done; };

if [[ $LOG_SILENT_PRINTOUT -gt 0 ]]; then
	LOGFILE_PRINTOUT="/dev/null"
fi
function rwoPrintout { /bin/echo "$@" >&3; /bin/echo "[$(date -u +%Y%m%dT%H%M%S)][${SCRIPT}][PRINTOUT] $@" >> "${LOGFILE_PRINTOUT}"; };

# define the function to call for logging
if [[ $LOG_SILENT_LOG -gt 0 ]]; then
	LOGFILE_LOG="/dev/null"
fi
function rwoLog { /bin/echo "[$(date -u +%Y%m%dT%H%M%S)][${SCRIPT}][LOG] $@" >> "${LOGFILE_LOG}"; };
exec 3>&1 1> >(logstdout) #redirect 3 to 1 (stdout), and redirect 1 to logstdout()
exec 2> >(logstderr) # redirect 2 (stderr) to logstderr()
# go ahead and tell which script is running
echo "running script \"${0}\""
