#!/bin/bash
# blinks an led

. "/usr/bin/rwo_includeLeds.sh"

function _onExit {

	if [[ "$command" == "batterySixOclock" ]]; then
			ledsBatterySetSixOclockLed 0
	fi

	if [[ "$command" == "wifiSixOclock" ]]; then
		isActive=$( systemctl is-active rwo_wifi@wlan0Ap )
		if [[ $isActive == "active" ]]; then
			ledsWifiSetSixOclockLed 1
		else
			ledsWifiSetSixOclockLed 0
		fi
	fi

	exit 0
}



################# MAIN ################
# systemd sends a SIGTERM before exiting
trap '_onExit' EXIT INT HUP TERM
command=$1

if [[ "$command" == "batterySixOclock" ]]; then
	while true; do
		ledsBatterySetSixOclockLed 0
		sleep 0.25
		ledsBatterySetSixOclockLed 1
		sleep 0.25
	done
fi

if [[ "$command" == "wifiSixOclock" ]]; then
	while true; do
		ledsWifiSetSixOclockLed 0
		sleep 0.2
		ledsWifiSetSixOclockLed 1
		sleep 0.2
	done
fi
