#!/bin/bash

# include logging
LOG_SILENT_STDOUT=1
LOG_SILENT_STDERR=1
. /usr/bin/rwo_includeLogging.sh
. /usr/bin/rwo_includeHelpers.sh
. /usr/bin/rwo_includeLeds.sh

# check for which hardware you are running on
hwPlatform=$(/usr/bin/rwo_system.sh getHwPlatform)


if [ "${hwPlatform}" == 'pocket-v1' ]; then
	##################### MAIN ###################
	# this allows the first argument to be a function
	# the function is called with the other arguments after the function
	helperCallFirstArgIfFunctionAndExit $@
	rwoLog "ERROR: unkonwn command \"${1}\""
elif [[ "${hwPlatform}" =~ ^rpi[1-3]$ ]]; then
	rwoLog "WARNING: trying to control LEDs on an RPi"
fi
