#!/bin/bash

# Include logging to log stderr and stdout to specific file
. /usr/bin/rwo_includeLogging.sh

hwPlatform=$(rwo_system.sh getHwPlatform)
if [[ "${hwPlatform}" == 'pocket-v1' ]]; then
  # add a soft shutdown for low power ...
  batteryPct=$(rwo_battery.sh getBatPct)
  if [[ $batteryPct -lt 2 ]]; then
    chargerIsPlugged=$(rwo_battery.sh getChargerIsPlugged)
    if [[ "$chargerIsPlugged" == "0" ]]; then
      rwoLog "Low power shutdown initiated ..."
      rwo_system.sh systemShutdownNow
    fi 
  fi

  # check if the lightstream has been up for more than 24h 
  # (24h*60m*60s=86400s)
  #uptimeSeconds=$(awk '{print $1}' /proc/uptime)
  #if [[ $uptimeSeconds -gt 86400 ]]; then
  #  # now check there has not been any significant interaction in 6hrs
  #  echo "TODO ..."
  #fi

fi
