#!/bin/bash
. "/usr/bin/rwo_includeHelpers.sh"
# this script gets fired off by incrond
# you can check the incron at /var/spool/incron/root
# this should get fired off on any modification to the /var/lib/misc/dnsmasq.leases files
# it will put them in a database to map the hash of the mac to the IP

# iterate through each line of the leases file
while read line; do
	mac=$(echo "${line}" | cut -d' ' -f2)
	ipAddr=$(echo "${line}" | cut -d' ' -f3)
	deviceId=$(helperGetHashMac "${mac}")
	sqlite3 -init <(echo .timeout 1000) '/etc/lightstream/data/lswifi.sqlite3' "INSERT OR REPLACE INTO ip_addrs (ip_addr, device_id) VALUES ('${ipAddr}', '${deviceId}'); INSERT OR IGNORE INTO devices (device_id, is_admin) VALUES ('${deviceId}', 0);"
done < '/var/lib/misc/dnsmasq.leases'
