#!/bin/bash

# This script should execute every day at midnight
# This script is launched by a systemd timer with name rwo_onMidnightClock.sh

# Include logging to log stderr and stdout to specific file
. /usr/bin/rwo_includeLogging.sh

hwPlatform=$(/usr/bin/rwo_system.sh getHwPlatform)
rwoLog "hwPlatform detected:${hwPlatform}"

if [ "${hwPlatform}" == 'pocket-v1' ]; then
	rwoLog "nothing to do for pocket"
elif [[ "${hwPlatform}" =~ ^rpi[1-3]$ ]]; then
	# launch the satellite script each night at midnight to determine if it should send
	systemctl start rwo_satellite
fi
