'''
Created on Oct 15, 2014

@author: root
'''
import rwo_logging

# logging
_rwo_strings_log = rwo_logging.RwoLogger()
def setLogger(logger):
    _rwo_strings_log.set_logger(logger)
    
def splitStringByFirstOccurrenceOfString(inputString, stringToSplitBy):
    
    '''
    return a list of the strings in order of how they were split
    '''
    
    global _rwo_strings_log
    
    complete_string_list = []
    
    try:
        isInputStringType = type(inputString) == str
        
        _rwo_strings_log.debug("splitting string1:%s by string2:%s" , )
        
        if (inputString != None) and (isInputStringType) and\
         (len(inputString) > 0) and (type(stringToSplitBy) == str) and\
         (len(stringToSplitBy) > 0) and (stringToSplitBy in inputString):
            
            #split by the first occurrence
            splitList = inputString.split(stringToSplitBy, 1)
            
            if len(splitList) >= 1:
                complete_string_list.append(splitList[0])
                complete_string_list.append(stringToSplitBy)
            
            if len(splitList) >= 2:
                complete_string_list.append(splitList[1])
        
        if (inputString != None) and (isInputStringType) and  (len(complete_string_list) == 0):
            complete_string_list.append(inputString)
        
    except Exception as e:
        message = "split string error Exception: " + str(e) +\
        "when trying to split string1:" + str(inputString) +\
         "by string2:" + str(stringToSplitBy)
        _rwo_strings_log.exception(message)
        
    return complete_string_list

def splitStringByListOfStringsOnFirstOccurrence(inputString_i, strings_to_split_by_list_i):
    
    '''
    returns a tuple
    returns (complete_split_string_list, list_of_strings_able_to_be_split)
    complete_split_string_list = list of strings that also contain the items it split by, in the correct order
    list_of_strings_able_to_be_split = the lsit of strings it was able to split by
    '''
    global _rwo_strings_log
    
    complete_string_list = []
    strings_able_to_split = []
    
    try:
        strings_to_split_by_list = list(strings_to_split_by_list_i)
        inputString = str(inputString_i)
        
        if (inputString != None) and (type(inputString) == str) and\
         (len(inputString) > 0) and (type(strings_to_split_by_list) == list) and\
         (len(strings_to_split_by_list) > 0):
            
            #for thisString in strings_to_split_by_list:
            thisStringToSplitBy = strings_to_split_by_list[0]
            #split by the first occurrence
            splitList = splitStringByFirstOccurrenceOfString(inputString, thisStringToSplitBy)
            
            #unable to split by string
            if len(splitList) == 1:
                strings_to_split_by_list.pop(0)
                output = splitStringByListOfStringsOnFirstOccurrence(splitList[0], list(strings_to_split_by_list))
                complete_string_list.extend(output[0])
                
            #try the left side first, if it returned more than 1 result, it was able to split
            if len(splitList) > 1:
                strings_to_split_by_list.pop(0)
                left_side_output = splitStringByListOfStringsOnFirstOccurrence(splitList[0], list(strings_to_split_by_list))
                complete_string_list.extend(left_side_output[0])
                complete_string_list.append(thisStringToSplitBy)
                strings_able_to_split.extend(left_side_output[1])
                strings_able_to_split.append(thisStringToSplitBy)
            
            # get the remaining strings to split by
            remaining_strings_to_split_by = [x for x in strings_to_split_by_list if x not in strings_able_to_split]
            
            #now try the right side
            if (len(splitList) > 2):
                right_side_output = splitStringByListOfStringsOnFirstOccurrence(splitList[2], remaining_strings_to_split_by)
                complete_string_list.extend(right_side_output[0])
                strings_able_to_split.extend(right_side_output[1])
                    
        if len(complete_string_list) == 0:
            complete_string_list.append(inputString)
            
        _rwo_strings_log.debug('able to split string:%s \
        \n\tinto string:%s \
        \n\tby strings:%s \
        \n\tstrings not found:%s' \
        % (str(inputString), str(complete_string_list), \
           str(strings_able_to_split), str(strings_to_split_by_list)))
        
    except Exception as e:
        message = "split string by list error Exception: " + str(e) +\
        "when trying to split string1:" + str(inputString_i) +\
         "by string list:" + str(strings_to_split_by_list_i)
        _rwo_strings_log.exception(message)
        
    return (complete_string_list, strings_able_to_split)

def iterableToString(anIterable):
    if(anIterable == None):
        return "None"
    return "[" + ", ".join(anIterable) + "]"



