#!/bin/bash
. "/usr/bin/rwo_includeLeds.sh"
. "/usr/bin/rwo_includeHelpers.sh"

# this script is called from the hostapd_cli binary
# it is called with this commandline call "hostapd_cli -a '/usr/bin/<nameofthisfile>.sh'"
# when it is called, it is given 3 arguments
# $1 = interface (wlan0)
# $2 = event (AP-STA-CONNECTED, AP-STA-DISCONNECTED ...)
# $3 = mac (FF:FF:FF:FF:FF:FF)
# TODO: look into modifying hostapd to see if we can get an event for a SCAN to identify nearby devices that have not connected

# Generate the device id
mac=$3
deviceId=$(helperGetHashMac "${mac}")
# check if it's a connect or disconnect
if [[ "$2" == 'AP-STA-CONNECTED' ]]; then
  sqlite3 -init <(echo .timeout 1000) '/etc/lightstream/data/lswifi.sqlite3' "INSERT INTO wifi_interaction_stats (interaction_type, device_id, date_time) VALUES ('connect', '${deviceId}', STRFTIME('%Y-%m-%d %H:%M:%f', 'NOW')); INSERT OR IGNORE INTO devices (device_id, is_admin) VALUES ('${deviceId}', 0);"
elif [[ "$2" == 'AP-STA-DISCONNECTED' ]]; then
  sqlite3 -init <(echo .timeout 1000) '/etc/lightstream/data/lswifi.sqlite3' "INSERT INTO wifi_interaction_stats (interaction_type, device_id, date_time) VALUES ('disconnect', '${deviceId}', STRFTIME('%Y-%m-%d %H:%M:%f', 'NOW'));"
  curl -X DELETE "http://127.0.0.1/n/internal-only/on-wifi-disconnect/${deviceId}"
fi

# update the leds
ledsWifiSetLedsToNumConnectedToInterface "$1"
